2009-12-31  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/21772 part 3
	* include/ext/throw_allocator.h: Add _GLIBCXX_IS_AGGREGATE.
	* testsuite/util/testsuite_container_traits.h (traits<std::map>):
	Add has_insert.
	(traits<std::multimap>): Add has_insert.
	(traits<std::multiset>): Add has_size_type_constructor.
	* testsuite/23_containers/array/requirements/exception/
	generation_prohibited.cc: New.
	* testsuite/21_strings/basic_string/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/ext/vstring/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/unordered_map/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/multimap/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/set/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/unordered_multimap/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/forward_list/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/unordered_set/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/vector/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/deque/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/multiset/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/unordered_multiset/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.
	* testsuite/23_containers/map/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.

2009-12-31  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/intro.xml: Order TR's at the end of status.
	* doc/xml/manual/abi.xml: Update.
	* doc/xml/manual/evolution.xml: Put in stubs.

2009-12-31  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/bitset (bitset<>::bitset(unsigned long long),
	_Base_bitset<>::_Base_bitset(unsigned long long)): Add
	in C++0x mode.
	* testsuite/23_containers/bitset/cons/3.cc: New.

2009-12-31  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits: Fix minor stylistic nit.

2009-12-31  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (__is_constructible_helper1): Rename
	to __is_constructible_helper1, tweaked to a specialization of
	__is_constructible_helper.
	(is_constructible): Adjust; minor formatting and stylistic
	changes throughout.
	* testsuite/util/testsuite_tr1.h (test_relationship): Change
	variadic version to an overload of test_property.
	* testsuite/20_util/is_constructible/value.cc: Adjust.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc:
	Adjust dg-error line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.
	* testsuite/20_util/declval/requirements/1_neg.cc: Likewise.

2009-12-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits: Fix minor formatting nit.

2009-12-30  Daniel Frey  <d.frey@gmx.de>
	    Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (is_explicitly_convertible,
	is_constructible): Add.
	* testsuite/util/testsuite_tr1.h (ExplicitClass): Add.
	* testsuite/20_util/is_explicitly_convertible/value.cc: New.
	* testsuite/20_util/is_constructible/value.cc: Likewise.

2009-12-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/util/testsuite_tr1.h (test_relationship): Add
	variadic version.
	* testsuite/20_util/is_explicitly_convertible/requirements/
	typedefs.cc: New.
	* testsuite/20_util/is_explicitly_convertible/requirements/
	explicit_instantiation.cc: Likewise.
	* testsuite/20_util/is_constructible/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/is_constructible/requirements/
	explicit_instantiation.cc: Likewise.
	* testsuite/20_util/is_convertible/value.cc: Extend.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc:
	Adjust dg-error line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.
	* testsuite/20_util/declval/requirements/1_neg.cc: Likewise.

2009-12-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_iterator.h.: Fix typo in comment.

2009-12-29  Edward Smith-Rowland  <3dw4rd@verizon.net>

	* include/bits/random.h: Fix equation in comment of Weibull distro.

2009-12-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/bitset (bitset<>::to_ullong, _M_do_to_ullong): Add.
	(_Base_bitset<>::_M_do_to_ullong): Add.
	* include/debug/bitset (bitset<>): Add using _Base::to_ullong.
	* include/profile/bitset (bitset<>): Likewise.
	* testsuite/23_containers/bitset/to_ullong/1.cc: New.

2009-12-28  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/debug/bitset (bitset<>::bitset(const char*)): Add.
	* include/profile/bitset (bitset<>::bitset(const char*)): Likewise.

2009-12-24  Edward Smith-Rowland  <3dw4rd@verizon.net>
	    Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/bitset (bitset<>::bitset(const char*)): Add.

2009-12-24  Jonathan Wakely  <jwakely.gcc@gmail.com>
	    Edward Smith-Rowland  <3dw4rd@verizon.net>

	* testsuite/23_containers/bitset/cons/2.cc: New.

2009-12-24  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/functional (bind): Avoid invalid instantiations
	for bind<void>.
	* testsuite/20_util/bind/conv_result.cc: New.

2009-12-24  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_deque.h (copy_backward(_Deque_iterator,
	_Deque_iterator, _Deque_iterator), move_backward(_Deque_iterator,
	_Deque_iterator, _Deque_iterator)): Declare.
	* include/bits/deque.tcc: Implement the latter.
	* testsuite/performance/25_algorithms/
	copy_backward_deque_iterators.cc: New.
	* testsuite/25_algorithms/move_backward/deque_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/copy_backward/deque_iterators/1.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/assign_neg.cc:
	Adjust dg-error line number.
	* testsuite/23_containers/deque/requirements/dr438/insert_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-12-23  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/25_algorithms/copy/5.cc: Move...
	* testsuite/25_algorithms/copy/deque_iterators/1.cc: ... here.
	* testsuite/25_algorithms/move/2.cc: Move...
	* testsuite/25_algorithms/move/deque_iterators/1.cc: ... here.

2009-12-23  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_deque.h (copy(_Deque_iterator, _Deque_iterator,
	_Deque_iterator), move(_Deque_iterator, _Deque_iterator,
	_Deque_iterator)): Declare.
	* include/bits/deque.tcc: Implement the latter.
	* testsuite/performance/25_algorithms/copy_deque_iterators.cc: New.
	* testsuite/25_algorithms/move/2.cc: Likewise.
	* testsuite/25_algorithms/copy/5.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/assign_neg.cc:
	Adjust dg-error line number.
	* testsuite/23_containers/deque/requirements/dr438/insert_neg.cc:
	Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-12-22  Iain Sandoe  <iain.sandoe@sandoe-acoustics.co.uk>

	PR target/41605
	* testsuite/libstdc++-abi/abi.exp: Provide -B options to allow for
	link spec %s substitutions for static libraries.
	* testsuite/lib/libstdc++.exp: Ditto

2009-12-22  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/mutex (call_once(once_flag&, _Callable, _Args&&...)):
	Explicitly qualify with std:: bind calls.

2009-12-21  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/42456
	* src/atomic.cc: Move _GLIBCXX_ASM_SYMVER define within guard.
	* config/abi/pre/gnu.ver: Add non-volatile exports.

2009-12-21  Benjamin Kosnik  <bkoz@redhat.com>

	* scripts/run_doxygen: Update nested namespace exceptions.

2009-12-20  Benjamin Kosnik  <bkoz@redhat.com>

	* include/std/atomic: Update to N3000.
	* include/bits/atomic_0.h: Same.
	* include/bits/atomic_2.h: Same.
	* include/c_global/cstdatomic: Move...
	* include/bits/atomic_base.h: ...here.
	* include/c_compatibility/stdatomic.h: Just include atomic_base.h.
	* include/precompiled/stdc++.h: Adjust includes.
	* include/Makefile.am: Adjust files.
	* include/Makefile.in: Regenerate.
	* include/std/future: Adjust.
	* src/atomic.cc: Adjust, adjust exports for compatibility.
	* src/compatibility.cc: Move C++0x stuff...
	* src/compatibility-c++0x.cc: ...here.

	* doc/xml/manual/using.xml: Update.
	* doc/xml/manual/status_cxx200x.xml: Update.
	* doc/doxygen/user.cfg.in: Update.

	* testsuite/29_atomics/atomic_address/cons/assign_neg.cc: Same.
	* testsuite/29_atomics/atomic_address/cons/single_value.cc: Same.
	* testsuite/29_atomics/atomic_address/cons/copy_neg.cc: Same.
	* testsuite/29_atomics/atomic_address/cons/default.cc: Same.
	* testsuite/29_atomics/atomic_address/cons/aggregate.cc: Same.
	* testsuite/29_atomics/atomic_address/requirements/
	standard_layout.cc: Same.
	* testsuite/29_atomics/atomic_address/requirements/trivial.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/assign_neg.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/single_value.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/copy_neg.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/default.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/copy_list.cc: Same.
	* testsuite/29_atomics/atomic_integral/cons/direct_list.cc: Same.
	* testsuite/29_atomics/atomic_integral/requirements/
	standard_layout.cc: Same.
	* testsuite/29_atomics/atomic_integral/requirements/trivial.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/increment_neg.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/
	integral_assignment.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/bitwise_neg.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/decrement_neg.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/increment.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/bitwise.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/decrement.cc: Same.
	* testsuite/29_atomics/atomic_integral/operators/
	integral_conversion.cc: Same.
	* testsuite/29_atomics/atomic_flag/cons/assign_neg.cc: Same.
	* testsuite/29_atomics/atomic_flag/cons/copy_neg.cc: Same.
	* testsuite/29_atomics/atomic_flag/cons/default.cc: Same.
	* testsuite/29_atomics/atomic_flag/cons/aggregate.cc: Same.
	* testsuite/29_atomics/atomic_flag/requirements/
	standard_layout.cc: Same.
	* testsuite/29_atomics/atomic_flag/requirements/trivial.cc: Same.
	* testsuite/29_atomics/atomic_flag/clear/1.cc: Same.
	* testsuite/29_atomics/atomic_flag/test_and_set/explicit.c
	* testsuite/29_atomics/atomic_flag/test_and_set/explicit.cc: Same.
	* testsuite/29_atomics/atomic_flag/test_and_set/implicit.c
	* testsuite/29_atomics/atomic_flag/test_and_set/implicit.cc: Same.
	* testsuite/29_atomics/headers/stdatomic.h/functions.c
	* testsuite/29_atomics/atomic/cons/assign_neg.cc: Same.
	* testsuite/29_atomics/atomic/cons/single_value.cc: Same.
	* testsuite/29_atomics/atomic/cons/copy_neg.cc: Same.
	* testsuite/29_atomics/atomic/cons/default.cc: Same.
	* testsuite/29_atomics/atomic/cons/copy_list.cc: Same.
	* testsuite/29_atomics/atomic/cons/direct_list.cc: Same.
	* testsuite/29_atomics/atomic/requirements/explicit_instantiation/
	1.cc: Same.
	* testsuite/29_atomics/atomic/requirements/base_classes.cc: Same.
	* testsuite/29_atomics/atomic/operators/integral_assignment.cc: Same.
	* testsuite/29_atomics/atomic/operators/integral_conversion.cc: Same.
	* testsuite/util/testsuite_common_types.h: Adjust.

	* testsuite/29_atomics/headers/cstdatomic: Move and adjust...
	* testsuite/29_atomics/headers/atomic: ...here.
	* testsuite/29_atomics/headers/atomic/types_std_c++0x.cc: Same.
	* testsuite/29_atomics/headers/atomic/functions_std_c++0x.cc: Same.
	* testsuite/29_atomics/headers/atomic/std_c++0x_neg.cc: Same.
	* testsuite/29_atomics/headers/atomic/macros.cc: Same.

	* testsuite/29_atomics/headers/atomic/types_std_c++0x_neg.cc: Add.
	* testsuite/29_atomics/atomic/cons/user_pod.cc: Add.

2009-12-18  Jimmy Guo  <jguo@yahoo-inc.com>

	PR libstdc++/40088
	* src/locale_init.cc (locale::locale()): Optimize the common case
	where _S_global still points to _S_classic.

2009-12-17  Dave Korn  <dave.korn.cygwin@gmail.com>

	PR target/42377
	* config/abi/pre/gnu.ver: Adjust mangled function signatures to permit
	LLP64 sizetypes throughout.

2009-12-17  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42198
	* src/thread.cc (thread::_M_start_thread): Throw system_error
	immediately if the thread system is inactive.

2009-12-16  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/21772 part 2
	* doc/xml/manual/test.xml: Add documentation about testing details.
	* testsuite/util/exception/safety.h: New. Functor objects for
	testing C++0x container classes.
	* testsuite/util/testsuite_container_traits.h: Add traits.

	* testsuite/23_containers/list/requirements/exception/
	basic.cc: New.
	generation_prohibited.cc: New.
	propagation_consistent.cc: New.

2009-12-15  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/21772 part 1
	* include/ext/throw_allocator.h: Rework.
	(__gnu_cxx::throw_allocator): To...
	(__gnu_cxx::throw_allocator_limit): ...this.
	(__gnu_cxx::throw_allocator_random): ...and this.
	(throw_value_base, throw_value_limit, throw_value_random): Add.
	(condition_base, random_condition, limit_condition): Add.
	(forced_exception_error): To...
	(forced_error): ...this.
	* testsuite/ext/throw_value: New.
	* testsuite/ext/throw_value/cons.cc: New.
	* testsuite/ext/throw_allocator/deallocate_global.cc: Adjust for
	throw_allocator, forced_exception_error changes.
	* testsuite/ext/throw_allocator/check_delete.cc: Same.
	* testsuite/ext/throw_allocator/check_allocate_max_size.cc: Same.
	* testsuite/ext/throw_allocator/check_deallocate_null.cc: Same.
	* testsuite/ext/throw_allocator/explicit_instantiation.cc: Same.
	* testsuite/ext/throw_allocator/check_new.cc: Same.
	* testsuite/ext/throw_allocator/variadic_construct.cc: Same.
	* testsuite/ext/throw_allocator/deallocate_local.cc: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.cc: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.h: Same.
	* testsuite/util/regression/common_type.hpp: Same.
	* testsuite/util/regression/rand/priority_queue/
	container_rand_regression_test.tcc: Same.
	* testsuite/util/regression/rand/assoc/
	container_rand_regression_test.h: Same.
	* testsuite/util/regression/rand/assoc/
	container_rand_regression_test.tcc: Same.
	* testsuite/util/regression/basic_type.hpp: Same.

	* testsuite/ext/forced_exception_error/cons_virtual_derivation.cc: To...
	* testsuite/ext/forced_error/cons_virtual_derivation.cc: ...this, same.

2009-12-15  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42381
	* include/bits/stl_deque.h (_GLIBCXX_DEQUE_BUF_SIZE): Add.
	(__deque_buf_size(size_t)): Use it.
	* testsuite/23_containers/deque/requirements/dr438/
	assign_neg.cc: Adjust dg-error line numbers.
	* testsuite/23_containers/deque/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-12-15  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/future (unique_future::get, promise::set_value): Remove
	workaround for c++/34022.
	(packaged_task::get_future, packaged_task::operator()): Use
	__throw_bad_function_call.
	* testsuite/30_threads/packaged_task/cons/assign_neg.cc: Adjust.
	* testsuite/30_threads/packaged_task/cons/copy_neg.cc: Likewise.
	* testsuite/30_threads/promise/cons/assign_neg.cc: Likewise.
	* testsuite/30_threads/promise/cons/copy_neg.cc: Likewise.
	* testsuite/30_threads/shared_future/cons/assign_neg.cc: Likewise.
	* testsuite/30_threads/unique_future/cons/assign_neg.cc: Likewise.
	* testsuite/30_threads/unique_future/cons/copy_neg.cc: Likewise.

2009-12-15  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/functional (function::function): Move construct target.
	(function::operator=): Use perfect forwarding for argument.
	(function::operator()): Use new __throw_bad_function_call.
	* include/bits/functexcept.h (__throw_bad_function_call): Declare.
	* src/functexcept.cc (__throw_bad_function_call): Define.
	* config/abi/pre/gnu.ver: Add new symbol.
	* testsuite/20_util/function/cons/move_target.cc: New.
	* testsuite/20_util/function/assign/move_target.cc: New.

2009-12-15  Paolo Carlini  <paolo.carlini@oracle.com>

	PR c++/42379
	* testsuite/23_containers/set/operators/1_neg.cc: Fix dg-error strings.
	* testsuite/23_containers/map/operators/1_neg.cc: Likewise.

2009-12-14  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/25304, DR 865 [Ready]
	* include/bits/stl_algobase.h (fill_n): Add comment about DR 865.
	* include/bits/stl_algo.h (generate_n): Likewise.
	* include/bits/algorithmfwd.h: Remove obsolete comment.
	* doc/xml/manual/intro.xml: Add an entry for DR 865.

2009-12-14  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Remove code to un-precious-ize CC, CXX,
	CXXFLAGS, CFLAGS, LDFLAGS.
	* configure: Regenerate.

2009-12-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/23_containers/queue/requirements/
	explicit_instantiation/1_c++0x.cc: New.
	* testsuite/23_containers/priority_queue/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/multimap/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/bitset/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/set/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/vector/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/deque/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/stack/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/multiset/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/list/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.
	* testsuite/23_containers/map/requirements/
	explicit_instantiation/1_c++0x.cc: Likewise.

2009-12-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_list.h (splice(iterator, list&), splice(iterator,
	list&, iterator), splice(iterator, list&, iterator, iterator),
	merge(list&), merge(list&, _StrictWeakOrdering)): Re-add in C++0x
	mode for backward compatibility (see DR 1133).
	(insert(iterator, size_type, const value_type&), insert(iterator,
	_InputIterator, _InputIterator)): Adjust.
	* include/bits/list.tcc (sort): Likewise.
	* testsuite/23_containers/list/modifiers/1_c++0x.cc: Add.
	* testsuite/23_containers/list/operations/2_c++0x.cc: Likewise.
	* testsuite/23_containers/list/operations/3_c++0x.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	assign_neg.cc: Adjust dg-error line numbers.
	* testsuite/23_containers/list/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-12-11  Paolo Carlini  <paolo.carlini@oracle.com>
	    Matthias Klose  <doko@ubuntu.com>

	PR libstdc++/40133
	* acinclude.m4 ([GLIBCXX_ENABLE_ATOMIC_BUILTINS]): On *-*-linux*,
	*-*-uclinux*, *-*-kfreebsd*-gnu | *-*-gnu* targets do link tests when
	possible.
	* configure: Regenerate.

2009-12-11  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/numeric: Trivial formatting changes.

2009-12-11  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42352
	* include/bits/list.tcc (sort): Use _GLIBCXX_MOVE for list::splice
	and list::merge calls.
	* testsuite/23_containers/list/operations/42352.cc: New.

2009-12-11  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/22634, DR 539 [Ready]
	* include/bits/stl_numeric.h (adjacent_difference): Use std::move
	at the end of the loop body, per the Ready resolution.
	* include/std/numeric: Do not include unnecessarily <cstddef>.
	* doc/xml/manual/intro.xml: Add an entry for DR 539.

2009-12-11  Paolo Carlini  <paolo.carlini@oracle.com>

	* doc/html/ext/lwg-active.html: Update to Revision R68.
	* doc/html/ext/lwg-closed.html: Likewise.
	* doc/html/ext/lwg-defects.html: Likewise.
	* doc/xml/manual/intro.xml: Update status of issues 431, 630, and 696.

2009-12-10  Jakub Jelinek  <jakub@redhat.com>

	PR c++/42317
	* config/abi/pre/gnu.ver: Don't export certain base dtors that
	weren't previously exported.

2009-12-10  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42261 (take 2)
	* include/bits/basic_string.h (_S_construct_aux_2(size_type, _CharT,
	const _Alloc&)): Add.
	(_S_construct_aux(_Integer, _Integer, const _Alloc&, __true_type)):
	Call it.
	* include/ext/sso_string_base.h (_M_construct_aux_2(size_type,
	_CharT): Add.
	(_M_construct_aux(_Integer, _Integer, std::__true_type)): Call it.
	* include/ext/rc_string_base.h (_S_construct_aux_2(size_type, _CharT,
	const _Alloc&)): Add.
	(_S_construct_aux(_Integer, _Integer, const _Alloc&, __true_type)):
	Call it.
	* config/abi/pre/gnu.ver: Export basic_string::_S_construct_aux_2.
	* testsuite/21_strings/basic_string/cons/char/42261.cc: New.
	* testsuite/21_strings/basic_string/cons/wchar_t/42261.cc: Likewise.

2009-12-10  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert:
	2009-12-03  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42261
	* include/bits/basic_string.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, __true_type)): Cast the second argument to value_type.
	* include/ext/sso_string_base.h (_M_construct_aux(_Integer, _Integer,
	std::__true_type)): Likewise.
	* include/ext/rc_string_base.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, std::__true_type)): Likewise.
	* testsuite/21_strings/basic_string/cons/char/42261.cc: New.
	* testsuite/21_strings/basic_string/cons/wchar_t/42261.cc: Likewise.

2009-12-10  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/util/testsuite_containers.h (populate<>::populate(_Tp&)):
	Avoid used uninitialized warning.
	* include/ext/pb_ds/detail/cc_hash_table_map_/
	constructor_destructor_fn_imps.hpp: Fix typo causing sequence point
	warning.

2009-12-09  Benjamin Kosnik  <bkoz@redhat.com>

	* include/profile/impl/profiler_container_size.h: Fix include
	guard, formatting fixes.
	* include/profile/impl/profiler_vector_size.h: Same.
	* include/profile/impl/profiler_hash_func.h: Same.
	* include/profile/impl/profiler_trace.h: Same.
	* include/profile/impl/profiler_vector_to_list.h: Same.
	* include/profile/impl/profiler.h: Same.
	* include/profile/impl/profiler_state.h: Same.
	* include/profile/impl/profiler_map_to_unordered_map.h: Same.
	* include/profile/impl/profiler_hashtable_size.h: Same.
	* include/profile/impl/profiler_node.h: Same.

2009-12-09  Roman Odaisky  <to.roma.from.bugcc@qwertty.com>

	PR libstdc++/42273
	* include/bits/atomic_2.h: Fix typo.

2009-12-07  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42319
	* include/parallel/losertree.h: Include bits/stl_function.h instead
	of the whole <functional>.
	* include/parallel/base.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* testsuite/17_intro/headers/c++200x/42319.cc: New.

2009-12-05  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* Makefile.in: Regenerate.
	* configure: Regenerate.
	* doc/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* libsupc++/Makefile.in: Regenerate.
	* po/Makefile.in: Regenerate.
	* python/Makefile.in: Regenerate.
	* src/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2009-12-05  Dave Korn  <dave.korn.cygwin@gmail.com>

	* config/os/hpux/os_defines.h (_GLIBCXX_PSEUDO_VISIBILITY): Provide
	empty definition.

2009-12-03  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/42261
	* include/bits/basic_string.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, __true_type)): Cast the second argument to value_type.
	* include/ext/sso_string_base.h (_M_construct_aux(_Integer, _Integer,
	std::__true_type)): Likewise.
	* include/ext/rc_string_base.h (_S_construct_aux(_Integer, _Integer,
	const _Alloc&, std::__true_type)): Likewise.
	* testsuite/21_strings/basic_string/cons/char/42261.cc: New.
	* testsuite/21_strings/basic_string/cons/wchar_t/42261.cc: Likewise.

2009-12-03  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/20_util/bind/ref.cc: Add.
	* testsuite/20_util/bind/all_bound.cc: Likewise.
	* testsuite/20_util/bind/nested.cc: Likewise.
	* testsuite/20_util/bind/placeholders.cc: Likewise.

2009-12-03  Hans-Peter Nilsson  <hp@axis.com>

	* testsuite/ext/profile/mutex_extensions.cc: Adjust dg-error line
	number.

2009-11-30  Dave Korn  <dave.korn.cygwin@gmail.com>

	* testsuite/lib/libstdc++.exp (libstdc++_init): Add host-dependent
	settings for LC_ALL and LANG.

2009-11-30  Dave Korn  <dave.korn.cygwin@gmail.com>

	* libstdc++-v3/acinclude.m4 (GLIBCXX_ENABLE_SYMVERS): Don't disable
	on PE targets.
	* libstdc++-v3/configure: Regenerate.
	* libstdc++-v3/configure.host: Add libtool DLL options for Cygwin
	and MinGW platforms.

	* libstdc++-v3/include/bits/c++config (_GLIBCXX_VISIBILITY_ATTR): On
	platforms that don't support visibility, allow them to declare a macro
	_GLIBCXX_PSEUDO_VISIBILITY that is applied in place of visibility.
	(_GLIBCXX_PSEUDO_VISIBILITY): Supply empty default if not declared by
	CPU- or OS-specific headers.

	* libstdc++-v3/config/os/newlib/os_defines.h
	(_GLIBCXX_PSEUDO_VISIBILITY_default): New macro for dllimport.
	(_GLIBCXX_PSEUDO_VISIBILITY_hidden): New empty macro.
	(_GLIBCXX_PSEUDO_VISIBILITY): Evaluate to one of the above.
	* libstdc++-v3/config/os/mingw32/os_defines.h
	(_GLIBCXX_PSEUDO_VISIBILITY_default,
	_GLIBCXX_PSEUDO_VISIBILITY_hidden,
	_GLIBCXX_PSEUDO_VISIBILITY): Likewise.

2009-11-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/tr1_impl/functional: Remove file, copy its contents,
	trivially adjusted...
	* include/std/functional: ... here, and...
	* include/tr1/functional: ... here.
	* include/Makefile.am: Adjust.
	* include/Makefile.in: Regenerate.

2009-11-30  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/tr1_impl/functional (function): Add rvalue support and
	tweak doxygen markup.
	* testsuite/20_util/function/assign/move.cc: New.
	* testsuite/20_util/function/cons/move.cc: New.
	* testsuite/20_util/function/invoke/move_only.cc: New.
	* testsuite/20_util/function/cmp/cmp_neg.cc: New.
	* testsuite/20_util/function/1.cc: Copy from testsuite/tr1/.
	* testsuite/20_util/function/2.cc: Likewise.
	* testsuite/20_util/function/3.cc: Likewise.
	* testsuite/20_util/function/4.cc: Likewise.
	* testsuite/20_util/function/5.cc: Likewise.
	* testsuite/20_util/function/6.cc: Likewise.
	* testsuite/20_util/function/7.cc: Likewise.
	* testsuite/20_util/function/8.cc: Likewise.
	* testsuite/20_util/function/9.cc: Likewise.

2009-11-29  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* doc/doxygen/user.cfg.in: Add __GXX_RTTI to PREDEFINED macros.

2009-11-20  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/42019
	* include/tr1/shared_ptr.h: Only use typeid when RTTI is enabled.
	* include/bits/shared_ptr_base.h: Likewise.
	* include/bits/shared_ptr.h: Likewise.
	* testsuite/tr1/2_general_utilities/shared_ptr/misc/42019.cc: New.
	* testsuite/20_util/shared_ptr/misc/42019.cc: New.

2009-11-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* src/compatibility-c++0x.cc (_Fnv_hash<4>, _Fnv_hash<8>): Add.

2009-11-19  Benjamin Kosnik  <bkoz@redhat.com>

	* src/pool_allocator.cc: Adjust catch blocks.
	* src/bitmap_allocator.cc: Same.
	* src/localename.cc: Same.
	* src/ios.cc: Same.

	* libsupc++/cxxabi-forced.h: Adjust comments, markup.

	* testsuite/util/testsuite_hooks.h (copy_constructor::copyCount):
	Remove.
	(copy_constructor::dtorCount): Remove.
	* testsuite/23_containers/list/modifiers/1.h: Adjust.
	* testsuite/23_containers/list/modifiers/2.h: Same.
	* testsuite/23_containers/list/modifiers/3.h: Same.

2009-11-19  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41622
	* include/bits/functional_hash.h: Implement inline the various
	std::hash specializations, using, when appropriate, pass by
	const ref too, per DR 1245.
	* include/tr1_impl/functional_hash.h: Remove, move its contents...
	* include/tr1/functional_hash.h: ... here.
	* include/std/functional: Tweak includes.
	* src/hash_c++0x: Rename to...
	* src/compatibility-c++0x.cc: ... this, implementing compatibility
	std::hash<>::operator() specializations.
	* src/hash.cc: Do not mark specializations as throw().
	* src/Makefile.am: Adjust.
	* include/Makefile.am: Likewise.
	* src/Makefile.in: Regenerate.
	* include/Makefile.in: Likewise.
	* testsuite/util/testsuite_api.h: Define a dummy hash for
	NonDefaultConstructible.
	* testsuite/23_containers/unordered_map/requirements/
	explicit_instantiation/2.cc: Use it.
	* testsuite/23_containers/unordered_multimap/requirements/
	explicit_instantiation/2.cc: Likewise.
	* testsuite/23_containers/unordered_set/requirements/
	explicit_instantiation/2.cc: Likewise.
	* testsuite/23_containers/unordered_multiset/requirements/
	explicit_instantiation/2.cc: Likewise.

2009-11-19  Johannes Singler  <singler@kit.edu>

	* include/parallel/partition.h (__parallel_partition): Correctly
	initialize chunk size.
	(__parallel_nth_element): Respect nth_element_minimal_n.  Use
	sequential nth_element as base case, instead of sequential sort.

2009-11-17  Benjamin Kosnik  <bkoz@redhat.com>

	* include/profile/impl/profiler.h: Remove namespace markup.

2009-11-17  Benjamin Kosnik  <bkoz@redhat.com>

	* include/profile/bitset: Tweak doxygen markup.
	* include/profile/deque: Same.
	* include/profile/list: Same.
	* include/profile/map.h: Same.
	* include/profile/multimap.h: Same.
	* include/profile/multiset.h: Same.
	* include/profile/set.h: Same.
	* include/profile/unordered_map: Same.
	* include/profile/vector: Same.

	* include/profile/impl/profiler_container_size.h: Use namespace
	__gnu_profile instead of __cxxprof_impl.
	* include/profile/impl/profiler.h: Same.
	(_GLIBCXX_PROFILE_IMPL_REENTRANCE_GUARD): To
	_GLIBCXX_PROFILE_REENTRANCE_GUARD.
	Remove namespace __cxxprof_guard.
	(__reentrance_guard): De-templatize.
	(__reentrance_guard::__inside_cxxprof_impl): To
	__reentrance_guard::_S_get_in.

	* include/profile/impl/profiler_hash_func.h: Use namespace
	__gnu_profile instead of __cxxprof_impl.
	* include/profile/impl/profiler_hashtable_size.h: Same.
	* include/profile/impl/profiler_map_to_unordered_map.h: Same.
	* include/profile/impl/profiler_node.h: Same.
	* include/profile/impl/profiler_state.h: Same.
	* include/profile/impl/profiler_trace.h: Same.
	* include/profile/impl/profiler_vector_size.h: Same.
	* include/profile/impl/profiler_vector_to_list.h: Same.
	* doc/xml/manual/profile_mode.xml: Update.

2009-11-17  Benjamin Kosnik  <bkoz@redhat.com>

	* include/debug/bitset: Add doxygen markup.
	* include/debug/deque: Same.
	* include/debug/list: Same.
	* include/debug/map.h: Same.
	* include/debug/multimap.h: Same.
	* include/debug/set.h: Same.
	* include/debug/multiset.h: Same.
	* include/debug/unordered_map: Same.
	* include/debug/unordered_set: Same.
	* include/debug/string: Same.
	* include/debug/vector: Same.

2009-11-15  Steve Ward  <planet36@gmail.com>

	* libsupc++/cxxabi.h (__cxa_demangle): Fix typo in comment.

2009-11-13  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/forward_list.h (forward_list<>::erase_after):
	Change signature per N2988, return void; simplify.
	(_Fwd_list_base<>::_M_erase_after): Likewise return void.
	(forward_list<>::~forward_list): Do not call _M_erase_after
	unnecessarily, the base class destructor already does it.
	(forward_list<>::splice_after(const_iterator position,
	forward_list&&, const_iterator i): Check position != i and
	position != ++i.
	* include/bits/forward_list.tcc (_Fwd_list_base<>::
	_M_erase_after(typename _Node_base::_Pointer): Simplify.
	(_Fwd_list_base<>::_M_erase_after(typename _Node_base::_Pointer,
	typename _Node_base::_Pointer): Fix (remove the correct range
	of element) and simplify (update __pos->_M_next at the end).
	* testsuite/23_containers/forward_list/modifiers/3.cc: Adjust
	and extend.
	* testsuite/23_containers/forward_list/ext_pointer/
	modifiers/3.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/dr438/
	assign_neg.cc: Tweak dg-error line numbers.
	* testsuite/23_containers/forward_list/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-11-13  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/algorithm: Include <utility>, per UK-300.
	* include/bits/stl_algobase.h: Don't do it here.

2009-11-12  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (declval): Add, per DR 1255.
	(__is_convertible_helper, common_type): Use it.
	* include/bits/move.h: Mention std::declval.
	* testsuite/20_util/declval/requirements/1.cc: New.
	* testsuite/20_util/declval/requirements/1_neg.cc: Likewise.
	* testsuite/20_util/common_type/requirements/typedefs-2.cc: Likewise.
	* testsuite/20_util/common_type/requirements/
	explicit_instantiation.cc: Extend.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Adjust
	dg-error line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.

2009-11-12  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_algobase.h: Include the full <utility>, per
	UK-300.
	* include/bits/stl_algo.h: Tweak includes.

2009-11-11  Jason Merrill  <jason@redhat.com>

	* testsuite/Makefile.am: Remove use of baseline_file.
	* testsuite/Makefile.in: Likewise.

	PR c++/39131
	* config/abi/pre/gnu.ver: Add DFP types.
	* testsuite/util/testsuite_abi.cc (check_version): Add CXXABI_1.3.4.

2009-11-11  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/basic_string.h (to_string(int), to_string(unsigned),
	to_string(long), to_string(unsigned long), to_string(float),
	to_string(double), to_wstring(int), to_wstring(unsigned),
	to_wstring(long), to_wstring(unsigned long), to_wstring(float),
	to_wstring(double)): Add, per resolution of DR 1261.
	* include/ext/vstring.h: Likewise.
	* testsuite/21_strings/basic_string/numeric_conversions/char/
	dr1261.cc: Add.
	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/
	dr1261.cc: Likewise.

2009-11-09  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/doxygen/user.cfg.in: Regenerate, add files.
	* libsupc++/eh_ptr.cc: Format.
	* libsupc++/exception_ptr.h: Same.
	* libsupc++/cxxabi.h(recursive_init_error): Move declaration here.
	* libsupc++/guard.cc: From here.
	* libsupc++/nested_exception.h: Add markup.

2009-11-09  Johannes Singler  <singler@kit.edu>

	* include/parallel/multiway_merge.h (multiway_merge_*,
	__sequential_multiway_merge, parallel_multiway_merge): Replace
	int by appropriate difference_type (typedef to _SeqNumber) or
	_ThreadIndex.
	* include/parallel/multiseq_selection.h (multiseq_partition,
	multiseq_selection): Replace int by appropriate difference_type
	(typedef to _SeqNumber)
	* include/parallel/base.h (__get_max_threads): Replace int by
	_ThreadIndex.
	* include/parallel/balanced_quicksort.h
	(__qsb_local_sort_with_helping, __parallel_sort_qsb): Likewise.
	* include/parallel/set_operations.h (__parallel_set_operation):
	Likewise.
	* include/parallel/unique_copy.h (__parallel_unique_copy): Likewise.
	* include/parallel/multiway_mergesort.h (_SplitConsistently,
	parallel_sort_mwms_pu, parallel_sort_mwms): Likewise.
	* include/parallel/partial_sum.h (__parallel_partial_sum_linear):
	Likewise.
	* include/parallel/partition.h (__parallel_partition): Replace int
	by appropriate difference_type or _ThreadIndex.

2009-11-08  Jason Merrill  <jason@redhat.com>

	* include/ext/sso_string_base.h (_M_mutate): Remove extra 'const'.

2009-11-06  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/doxygen/user.cfg.in: Adjust includes.

	* doc/doxygen/doxygroups.cc: Move group markup.
	* include/tr1_impl/regex: Change " to '. Add group markup.
	* include/std/utility: Same.
	* include/std/type_traits: Same.
	* include/std/streambuf: Same.
	* include/std/iosfwd: Same.
	* include/std/limits: Same.
	* include/std/sstream: Same.
	* include/profile/impl/profiler_state.h: Same.
	* include/profile/impl/profiler_hashtable_size.h: Same.
	* include/bits/stl_algobase.h: Same.
	* include/bits/stl_iterator_base_types.h: Same.
	* include/bits/stream_iterator.h: Same.
	* include/bits/stl_iterator.h: Same.
	* include/bits/stl_tempbuf.h: Same.
	* include/bits/streambuf_iterator.h: Same.
	* libsupc++/exception: Same.
	* libsupc++/cxxabi.h: Same.
	* include/tr1_impl/type_traits: Same.

	* include/parallel/multiway_merge.h: Change @__c to @c, @__f to @f.
	* include/parallel/list_partition.h: Same.
	* include/parallel/for_each.h: Same.
	* include/parallel/workstealing.h: Same.
	* include/parallel/base.h: Same.
	* include/parallel/equally_split.h: Same.
	* include/parallel/random_shuffle.h: Same.
	* include/parallel/balanced_quicksort.h: Same.
	* include/parallel/merge.h: Same.
	* include/parallel/multiway_mergesort.h: Same.
	* include/parallel/compatibility.h: Same.
	* include/parallel/queue.h: Same.
	* include/parallel/checkers.h: Same.
	* include/parallel/random_number.h: Same.


	* include/c_global/csignal: Change # to \#.
	* include/c_global/cstdlib: Same.
	* include/c_global/cstdio: Same.
	* include/c_global/cstdarg: Same.
	* include/c_global/cctype: Same.
	* include/c_global/cerrno: Same.
	* include/c_global/cstdatomic: Same.
	* include/c_global/cmath: Same.
	* include/c_global/ciso646: Same.
	* include/c_global/ctime: Same.
	* include/c_global/clocale: Same.
	* include/c_global/climits: Same.
	* include/c_global/cassert: Same.
	* include/c_global/csetjmp: Same.
	* include/c_global/cwchar: Same.
	* include/c_global/cfloat: Same.
	* include/c_global/cstring: Same.
	* include/c_global/cstddef: Same.
	* include/c_global/cwctype: Same.

	* include/std/memory: Only dance around boost_sp_counted_base.h.
	* include/tr1_impl/boost_sp_counted_base.h: Add markup.
	* include/tr1/shared_ptr.h: Strip markup.
	* include/bits/shared_ptr.h: Move base types...
	* include/bits/shared_ptr_base.h: ...here.
	* include/Makefile.am: Add.
	* include/Makefile.in: Regenerate.
	* configure: Same.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc:
	Adjust line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc: Same.

2009-11-06  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/multiway_merge.h: Simple formatting and
	uglification fixes.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/workstealing.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/quicksort.h: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/tags.h: Likewise.
	* include/parallel/set_operations.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/unique_copy.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* include/parallel/sort.h: Likewise.

2009-11-06  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/41949
	* include/std/ostream: Adjust link.

2009-11-05  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/multiway_merge.h: Simple formatting and
	uglification fixes.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.

2009-11-04  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/25_algorithms/fill/5.cc: Move...
	* testsuite/25_algorithms/fill_n/1.cc: ...here.

2009-11-04  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/multiway_merge.h: Simple formatting and
	uglification fixes.
	* include/parallel/losertree.h: Likewise.

2009-11-03  David Krauss  <potswa@mac.com>
	    Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41351
	* include/bits/stl_algo.h (__rotate(_RandomAccessIterator,
	_RandomAccessIterator, _RandomAccessIterator,
	random_access_iterator_tag)): Rewrite to use only std::swap in
	general and std::copy/std::copy_backward when safe.

2009-11-02  Benjamin Kosnik  <bkoz@redhat.com>

	* include/std/future: Use base class with nested types.
	(__future_base): New.
	(__future_base::_Result_base): From _Future_result_base.
	(__future_base::_Result): From _Future_result.
	(__future_base::_Move_result): From _Move_future_result.
	(__future_base::_Ptr): From _Future_ptr.
	(__future_base::_State): From _Future_state.
	(__basic_future): From _Future_impl.
	* testsuite/30_threads/packaged_task/cons/assign_neg.cc: Adjust line
	numbers.
	* testsuite/30_threads/packaged_task/cons/copy_neg.cc: Same.
	* testsuite/30_threads/shared_future/cons/assign_neg.cc: Same.
	* testsuite/30_threads/unique_future/cons/assign_neg.cc: Same.
	* testsuite/30_threads/unique_future/cons/copy_neg.cc: Same.
	* testsuite/30_threads/promise/cons/assign_neg.cc: Same.
	* testsuite/30_threads/promise/cons/copy_neg.cc: Same.

2009-10-31  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/chrono (struct __common_rep_type): New.
	(duration_cast(const duration<>&),
	duration<>::duration(const _Rep2&),
	duration<>::duration(const duration<>&),
	operator*(const duration<>&, const _Rep2&),
	operator*(const _Rep1&, const duration<>&),
	operator/(const duration<>&, const _Rep2&),
	time_point_cast(const time_point<>&)): Implement resolution of
	DR 1177 ([Ready] in Santa Cruz), change to not participate to
	overload resolution if the constraints are not met.
	* testsuite/20_util/duration/cons/1_neg.cc: Adjust dg-errors.
	* testsuite/20_util/duration/cons/dr974.cc: Likewise.
	* testsuite/20_util/duration/requirements/typedefs_neg1.cc: Adjust
	dg-error line numbers.
	* testsuite/20_util/duration/requirements/typedefs_neg2.cc: Likewise.
	* testsuite/20_util/duration/requirements/typedefs_neg3.cc: Likewise.

2009-10-31  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/xml/manual/intro.xml: Refer to our bugs page instead of
	Bugzilla directly.

2009-10-30  Jerry Quinn  <jlquinn@optonline.net>

	* libsupc++/tinfo.cc (operator=(const type_info&)): Reapply 153734.
	* libsupc++/typeinfo (type_info::name()): Likewise.
	* libsupc++/tinfo2.cc (before):  Likewise.

2009-10-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.h: Fix typo in static_assert text.

2009-10-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41759
	* include/bits/random.h: Tweak a bit the text of some static_asserts.

2009-10-30  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (__is_convertible_simple): Remove.
	(__is_convertible_helper): Adjust.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Adjust
	dg-error line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.

2009-10-30  Jerry Quinn  <jlquinn@optonline.net>

	* libsupc++/tinfo.cc (operator=(const type_info&)): Revert 153734.
	* libsupc++/typeinfo (type_info::name()): Likewise.
	* libsupc++/tinfo2.cc (before):  Likewise.

2009-10-28  Jerry Quinn  <jlquinn@optonline.net>

	* libsupc++/tinfo.cc (operator=(const type_info&)): Compare by
	pointer if name begins with '*'.
	* libsupc++/typeinfo (type_info::name()): Likewise.
	* libsupc++/tinfo2.cc (before):  Likewise.

2009-10-29  Paolo Carlini  <paolo.carlini@oracle.com>
  	    Douglas Gregor  <doug.gregor@gmail.com>

	PR libstdc++/40925 (again)
	* include/bits/stl_pair.h (pair<_T1, _T2>::pair(_U1&&, const _T2&),
	pair<_T1, _T2>::pair(const _T1&, _U2&&)): Add, to deal correctly
	with move-only types in the presence of "null pointers".
	* testsuite/20_util/pair/40925.cc: Extend.

2009-10-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (__is_int_or_cref): Remove.
	(__is_convertible_helper): Fix per C++0x and simplify (the hack to
	suppress warnings isn't necessary anymore).
	* testsuite/20_util/is_convertible/requirements/typedefs.cc: New.
	* testsuite/20_util/is_convertible/requirements/
	explicit_instantiation.cc: Likewise.
	* testsuite/20_util/is_convertible/value.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Adjust
	dg-error line numbers.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.

2009-10-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/20_util/pair/40925.cc: Minor comment fix.

2009-10-29  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40925
	* include/bits/stl_pair.h (pair<_T1, _T2>::pair(_U1&&, _U2&&)):
	Use enable_if to remove it from the overload set when either _U1
	is not convertible to _T1 or _U2 is not convertible to _T2.
	(pair<>::pair(_U1&&, _Arg0&&, _Args&&...)): Remove.

2009-10-29  Douglas Gregor  <doug.gregor@gmail.com>

	PR libstdc++/40925
	* testsuite/20_util/pair/40925.cc: Add.

2009-10-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/decimal/decimal: Minor formatting and uglification fixes.
	* include/decimal/decimal.h: Likewise.

2009-10-28  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_iterator_base_funcs.h: (next): Change
	template parameter name consistently with the resolution
	of DR 1011 ([Ready] in Santa Cruz).

2009-10-28  Johannes Singler  <singler@kit.edu>

	PR libstdc++/40852
	* include/parallel/multiseq_selection.h
	(multiseq_partition, multiseq_selection):  Avoid intermediate
	values exceeding the integer type range for very large inputs.

2009-10-26  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/chrono (duration<>::duration(const duration<>&)): Fix
	per the straightforward resolution of DR 974.
	* testsuite/20_util/duration/cons/dr974.cc: Add.

2009-10-26  Jakub Jelinek  <jakub@redhat.com>

	PR libstdc++/38923
	* acinclude.m4 (GLIBCXX_CHECK_LINKER_FEATURES): Avoid using too many
	*s.  Accept ld version without text in ()s.
	* configure: Regenerated.

2009-10-26  Jason Merrill  <jason@redhat.com>

	Core issue 906
	* include/std/future (~Future_result_base): Default outside class
	body.
	* include/std/system_error (error_category()): Likewise.
	* libsupc++/nested_exception.h (nested_exception): Remove
	exception specifications from defaulted methods.

009-10-20  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41773
	Revert:
	2009-10-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/basic_string.h (_S_construct(const _CharT*, size_type,
	const _Alloc&)): New, declare.
	(_S_construct(_CharT*, _CharT*, const _Alloc&),
	_S_construct(const _CharT*, const _CharT*, const _Alloc&),
	_S_construct(iterator, iterator, const _Alloc&),
	_S_construct(const_iterator, const_iterator, const _Alloc&)): New,
	forward to the latter.
	* include/bits/basic_string.tcc (_S_construct(const _CharT*,
	size_type, const _Alloc&)): Define.
	(basic_string(const basic_string&, size_type, size_type),
	basic_string(const basic_string&, size_type, size_type,
	const _Alloc&), basic_string(const _CharT*, size_type,
	const _Alloc&), basic_string(const _CharT*, const _Alloc&),
	basic_string(initializer_list<>, const _Alloc&)): Call the latter.
	* config/abi/pre/gnu.ver: Remove recently added exports.
	* src/string-inst.cc: Remove instantiations.

2009-10-20  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41763
	* include/bits/valarray_array.h (__valarray_default_construct,
	__valarray_fill_construct, __valarray_copy_construct, __valarray_sum
	__valarray_destroy_elements, __valarray_product): Do not qualify with
	__restrict__ pointers accessing data also accessed by other pointers.

2009-10-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/basic_string.h (_S_construct(const _CharT*, size_type,
	const _Alloc&)): New, declare.
	(_S_construct(_CharT*, _CharT*, const _Alloc&),
	_S_construct(const _CharT*, const _CharT*, const _Alloc&),
	_S_construct(iterator, iterator, const _Alloc&),
	_S_construct(const_iterator, const_iterator, const _Alloc&)): New,
	forward to the latter.
	* include/bits/basic_string.tcc (_S_construct(const _CharT*,
	size_type, const _Alloc&)): Define.
	(basic_string(const basic_string&, size_type, size_type),
	basic_string(const basic_string&, size_type, size_type,
	const _Alloc&), basic_string(const _CharT*, size_type,
	const _Alloc&), basic_string(const _CharT*, const _Alloc&),
	basic_string(initializer_list<>, const _Alloc&)): Call the latter.
	* config/abi/pre/gnu.ver: Remove recently added exports.
	* src/string-inst.cc: Remove instantiations.

2009-10-15  Phil Muldoon <pmuldoon@redhat.com>

	* python/libstdcxx/v6/printers.py (StdTuplePrinter): New printer.
	(build_libstdcxx_dictionary): Add StdTuplePrinter registration.

2009-10-16  Benjamin Kosnik  <bkoz@redhat.com>

	* include/c_compatibility/stdatomic.h: Include cstdatomic if
	__cplusplus.

2009-10-15  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/40654
	PR libstdc++/40826
	* src/atomic.cc (atomic_flag_test_and_set_explicit): Add
	static_cast from base to derived.
	(atomic_flag_clear_explicit): Same.
	* include/bits/atomic_2.h (__atomic2::atomic_flag): Public derivation.
	Remove value type constructor.
	* include/bits/atomic_0.h (__atomic0::atomic_flag): Same.
	* include/std/future (_Future_state): Use ATOMIC_FLAG_INIT to
	initialized the atomic_flag member.

2009-10-14  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/authors.xml: Update.
	* doc/xml/manual/intro.xml: Move test section...
	* doc/xml/manual/appendix_porting.xml: ...here.
	* doc/xml/manual/diagnostics.xml: Edit.
	* doc/xml/manual/using.xml: Break out exception section.
	* doc/xml/manual/using_exceptions.xml: New.
	* doc/html: Regenerate.

2009-10-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* config/abi/pre/gnu.ver: Export the _S_construct<> helpers.

2009-10-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/basic_string.h (operator+=(initializer_list<>),
	append(initializer_list<>)): Forward to the append overload taking
	a const CharT* pointer and a size, thus avoiding instantiating
	unnecessarily in the built library the overload taking a pair of
	iterators.
	(operator=(initializer_list<>), assign(initializer_list<>)): Likewise
	for assign.
	(insert(iterator, initializer_list<>): Likewise for insert.

2009-10-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/c++config: Do not disable extern templates for string
	in plain parallel-mode and in profile-mode; add comment explaining
	_GLIBCXX_EXTERN_TEMPLATE == -1.
	* testsuite/ext/profile/mutex_extensions.cc: Adjust dg-error line.

2009-10-14  Jason Merrill  <jason@redhat.com>

	* testsuite/20_util/unique_ptr/assign/assign_neg.cc: Adjust expected.

2009-10-13  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/for_each_selectors.h: Minor uglification and
	stylistic fixes.

2009-10-13  Edward Smith-Rowland  <3dw4rd@verizon.net>

	* include/precompiled/stdc++.h: Include <initializer_list>
	for completeness.

2009-10-12  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.h (class linear_congruential_engine,
	class mersenne_twister_engine, class subtract_with_carry_engine,
	class discard_block_engine, class independent_bits_engine,
	class shuffle_order_engine, class uniform_int_distribution,
	class binomial_distribution, class geometric_distribution,
	class negative_binomial_distribution, class poisson_distribution,
	class discrete_distribution): Do not use simulated concept checks,
	tidy startic_asserts on argument types and ranges.
	(class uniform_real_distribution, class normal_distribution,
	class lognormal_distribution, class gamma_distribution,
	class chi_squared_distribution, class cauchy_distribution,
	class fisher_f_distribution, class student_t_distribution,
	class exponential_distribution, class weibull_distribution,
	class extreme_value_distribution, class piecewise_linear_distribution,
	class piecewise_constant_distribution): Add static_assert on
	template argument type.
	* include/std/random: Do not include <bits/concept_check.h>.
	* testsuite/26_numerics/random/discard_block_engine/cons/base_move.cc:
	Fix.
	* testsuite/26_numerics/random/discard_block_engine/cons/seed1.cc:
	Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/seed2.cc:
	Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/base_copy.cc:
	Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/default.cc:
	Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/seed_seq.cc:
	Likewise.
	* testsuite/26_numerics/random/discard_block_engine/requirements/
	typedefs.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/operators/
	equal.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/non_uint_neg.cc: Tweak.

2009-10-10  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/xml/manual/messages.xml: Update GNU gettext reference.

2009-10-10  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/xml/manual/codecvt.xml: Refer to The Open Group Base
	Specifications, Issue 6 (IEEE Std. 1003.1-2004).
	Update link to bogus site with reference to unix.org.
	* doc/xml/manual/ctype.xml: Ditto.
	* doc/xml/manual/locale.xml: Ditto.

2009-10-09  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/parallel/numeric (__adjacent_difference_switch): Fix typo.
	* include/parallel/for_each_selectors.h
	(__adjacent_difference_selector): Likewise.

2009-10-08  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/ext/bitmap_allocator.h: Minor clean-ups.

2009-10-08  Paolo Carlini  <paolo.carlini@oracle.com>

	* config/abi/pre/gnu.ver: Adjust exports.

2009-10-07  Phil Muldoon <pmuldoon@redhat.com>

	* doc/xml/manual/debug.xml: Rewrite and expand GDB Python
	pretty-printer section.

2009-10-07  Chris Jefferson  <chris@bubblescope.net>

	* testsuite/25_algorithms/rotate/moveable2.cc: New.

2009-10-06  Janis Johnson  <janis187@us.ibm.com>

	* testsuite/decimal/binary-arith.cc: Fix directive to skip test.
	* testsuite/decimal/cast_neg.cc: Ditto.
	* testsuite/decimal/comparison.cc: Ditto.
	* testsuite/decimal/compound-assignment.cc: Ditto.
	* testsuite/decimal/compound-assignment-memfunc.cc: Ditto.
	* testsuite/decimal/conversion-from-float.cc: Ditto.
	* testsuite/decimal/conversion-from-integral.cc: Ditto.
	* testsuite/decimal/conversion-to-generic-float.cc: Ditto.
	* testsuite/decimal/conversion-to-integral.cc: Ditto.
	* testsuite/decimal/ctor.cc: Ditto.
	* testsuite/decimal/incdec.cc: Ditto.
	* testsuite/decimal/incdec-memfunc.cc: Ditto.
	* testsuite/decimal/make-decimal.cc: Ditto.
	* testsuite/decimal/mixed-mode_neg.cc: Ditto.
	* testsuite/decimal/operator_neg.cc: Ditto.
	* testsuite/decimal/unary-arith.cc: Ditto.

2009-10-05  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/html/*: Regenerate.

2009-10-05  John Bytheway  <jbytheway@gmail.com>

	PR libstdc++/41530
	* include/std/tuple (_Tuple_impl<>::_Tuple_impl(_Tuple_impl<>&&)):
	Fix to just move.
	* testsuite/20_util/tuple/cons/41530.cc: New.

2009-10-05  Phil Muldoon  <pmuldoon@redhat.com>

	* doc/xml/manual/debug.xml: Add narrative for GDB Python pretty
	printers. Add links to GDB wiki/online manual.

2009-10-05  Benjamin Kosnik  <bkoz@redhat.com>
	    Edward Smith-Rowland  <3dw4rd@verizon.net>

	* include/decimal/decimal: Warn if decimal floating point types
	are not available.
	* acinclude.m4 (GLIBCXX_ENABLE_DECIMAL_FLOAT): New.
	* configure.ac: Use it.
	* configure: Regenerate.
	* config.h.in: Regenerate.

2009-10-05  Benjamin Kosnik  <bkoz@redhat.com>

	* include/Makefile.am: Remove stray line break.

	* include/decimal/decimal: Brief class doxygen markup.
	* libsupc++/exception: Whitespace cleanup.

	* testsuite/libstdc++-dg/conformance.exp: Add testsuite directory
	decimal.
	* scripts/create_testsuite_files (dlist): Same.

	* doc/xml/manual/using.xml: One column in table. Move after TR1.

	* testsuite/decimal/bad-cast.cc: Move to...
	* testsuite/decimal/cast_neg.cc: ...here.
	* testsuite/decimal/bad-mixed-mode.cc: Move to...
	* testsuite/decimal/mixed-mode_neg.cc: ...here.
	* testsuite/decimal/bad-operator.cc: Move to...
	* testsuite/decimal/operator_neg.cc: ...here.

	* doc/doxygen/user.cfg.in (INPUT): Add decimal/decimal.

2009-10-05  Janis Johnson  <janis187@us.ibm.com>

	* doc/Makefile.am: Process new file.
	* doc/xml/manual/intro.xml: Ditto.
	* doc/xml/manual/using.xml: Document new header.
	* doc/xml/manual/status_cxxdecimal.xml: New file.
	* include/Makefile.am: Process new headers.
	* include/decimal/decimal: New file.
	* include/decimal/decimal.h: New file.

2009-10-05  Janis Johnson  <janis187@us.ibm.com>

	* testsuite/decimal: New directory.
	* testsuite/decimal/bad-cast.cc: New test.
	* testsuite/decimal/bad-mixed-mode.cc: New test.
	* testsuite/decimal/bad-operator.cc: New test.
	* testsuite/decimal/binary-arith.cc: New test.
	* testsuite/decimal/comparison.cc: New test.
	* testsuite/decimal/compound-assignment.cc: New test.
	* testsuite/decimal/compound-assignment-memfunc.cc: New test.
	* testsuite/decimal/conversion-from-float.cc: New test.
	* testsuite/decimal/conversion-from-integral.cc: New test.
	* testsuite/decimal/conversion-to-generic-float.cc: New test.
	* testsuite/decimal/conversion-to-integral.cc: New test.
	* testsuite/decimal/ctor.cc: New test.
	* testsuite/decimal/incdec.cc: New test.
	* testsuite/decimal/incdec-memfunc.cc: New test.
	* testsuite/decimal/make-decimal.cc: New test.
	* testsuite/decimal/unary-arith.cc: New test.

2009-10-05  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/lib/libstdc++.exp (check_v3_target_rvalref): Remove.
	* testsuite/lib/dg-options.exp (dg-require-rvalref): Likewise.

2009-10-05  Chris Jefferson  <chris@bubblescope.net>

	* include/bits/stl_algo.h (__stable_partition_adaptive,
	__rotate_adaptive, __merge_adaptive, __merge_sort_loop):
	Extend to work with rvalue references in C++0x mode.
	* testsuite/25_algorithms/inplace_merge/moveable2.cc: New.
	* testsuite/25_algorithms/inplace_merge/moveable.cc: Likewise.
	* testsuite/25_algorithms/stable_partition/moveable.cc: Likewise.
	* testsuite/25_algorithms/stable_sort/moveable2.cc: Likewise.
	* testsuite/25_algorithms/stable_sort/moveable.cc: Likewise.

2009-10-04  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/using.xml: Add profile headers.
	* testsuite/ext/profile/mh.cc: Restrict to linux.

2009-10-02  Silvius Rus  <silvius.rus@gmail.com>

	* configure: Add check for execinfo.h.
	* config.h.in: Add undef for HAVE_EXECINFO_H.
	* include/Makefile.am: Add build support for profile mode.
	* include/Makefile.in: Same.
	* include/profile/base.h: New file.
	* include/profile/bitset: Same.
	* include/profile/deque: Same.
	* include/profile/hashtable.h: Same.
	* include/profile/list: Same.
	* include/profile/map: Same.
	* include/profile/map.h: Same.
	* include/profile/multimap.h: Same.
	* include/profile/multiset.h: Same.
	* include/profile/set: Same.
	* include/profile/set.h: Same.
	* include/profile/unordered_map: Same.
	* include/profile/unordered_set: Same.
	* include/profile/vector: Same.
	* include/profile/impl/profiler.h: Same.
	* include/profile/impl/profiler_container_size.h: Same.
	* include/profile/impl/profiler_hash_func.h: Same.
	* include/profile/impl/profiler_hashtable_size.h: Same.
	* include/profile/impl/profiler_map_to_unordered_map.h: Same.
	* include/profile/impl/profiler_node.h: Same.
	* include/profile/impl/profiler_state.h: Same.
	* include/profile/impl/profiler_trace.h: Same.
	* include/profile/impl/profiler_vector_size.h: Same.
	* include/profile/impl/profiler_vector_to_list.h: Same.
	* include/std/vector: Include corresponding profile header guarded by
	_GLIBCXX_PROFILE.
	* include/std/deque: Same.
	* include/std/list: Same.
	* include/std/map: Same.
	* include/std/unordered_map: Same.
	* include/std/bitset: Same.
	* include/std/set: Same.
	* include/std/unordered_set: Same.
	* include/backward/hash_map: Same.
	* include/backward/hash_set: Same.
	* include/tr1_impl/hashtable (_Hashtable): Expose insert_return_type.
	* include/bits/c++config: Define profile namespace.
	* testsuite/Makefile.in: Add check-profile.
	* testsuite/Makefile.am: Same.
	* testsuite/ext/profile/all.cc: New file.
	* testsuite/ext/profile/mh.cc: Same.
	* testsuite/ext/profile/mutex_extensions.cc: Same.
	* testsuite/23_containers/unordered_map/profile/hash_map.cc: Same.
	* testsuite/23_containers/unordered_map/profile/unordered.cc: Same.
	* testsuite/23_containers/vector/profile/vector.cc: Same.
	* testsuite/23_containers/vector/resize/moveable.cc: Make it pass
	in profile mode.
	* testsuite/23_containers/deque/capacity/moveable.cc: Same.
	* testsuite/23_containers/list/capacity/29134.cc: Same.
	* doc/Makefile.in: Add reference to profile_mode.xml.
	* doc/Makefile.am: Same.
	* doc/xml/manual/profile_mode.xml: New file.
	* doc/xml/manual/debug.xml: Add link to profile mode section.
	* doc/xml/manual/extensions.xml: Add profile mode.  Update numbering.
	* doc/doxygen/user.cfg.in: Add profile mode files.

2009-10-02  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h: Take integer types from <tr1/cstdint>.
	* include/parallel/compatibility.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/random_number.h: Likewise;
	use numeric_limits<>::digit instead of sizeof()*8.
	* include/parallel/types.h: Likewise.
	* doc/html/manual/bk01pt12ch31s03.html:
	Document dependency on stdint.h.

2009-10-01  Phil Muldoon <pmuldoon@redhat.com>

	* python/libstdcxx/v6/printers.py (StdListPrinter):
	Add -D_GLIBCXX_DEBUG implementation changes. Receive typename from
	printer registration.
	(StdListIteratorPrinter): Likewise.
	(StdDebugIteratorPrinter): New printer.
	(build_libstdcxx_dictionary): Add -D_GLIBCXX_DEBUG registration
	entries.  Always pass a typename where the type can change.
	(StdSlistPrinter) Receive typename from printer registration.  Use
	in printer output.
	(StdBitsetPrinter): Likewise.
	(StdDequePrinter): Likewise.

2009-09-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc: Define static const data members.
	* include/tr1/random.tcc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	requirements/constants.cc: New.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	requirements/constants.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/constants.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/requirements/
	constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/subtract_with_carry/
	requirements/constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/
	subtract_with_carry_01/requirements/constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/discard_block/
	requirements/constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/linear_congruential/
	requirements/constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/mersenne_twister/
	requirements/constants.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/random/xor_combine/
	requirements/constants.cc: Likewise.

2009-09-29  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR libstdc++/38923
	* acinclude.m4 (GLIBCXX_CHECK_LINKER_FEATURES): Avoid 'head',
	use sed script portable to Solaris /bin/sed for extracting ld
	version.
	* configure: Regenerate.

2009-09-28  Benjamin Kosnik  <bkoz@redhat.com>

	* libsupc++/eh_terminate.cc: Fixes for -fno-exceptions.
	* libsupc++/vec.cc: Same.
	* libsupc++/vterminate.cc: Same.
	* libsupc++/new_opnt.cc: Same.

2009-09-28  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/for_each_selectors.h:  Remove obsolete comment.

2009-09-26  Paolo Carlini  <paolo.carlini@oracle.com>

	* doc/html/ext/lwg-active.html: Update to Revision R66.
	* doc/html/ext/lwg-closed.html: Likewise.
	* doc/html/ext/lwg-defects: Likewise.

	* doc/xml/manual/intro.xml: Update entry for DR 853.

2009-09-26  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/html/ext/lwg-closed.html: Adjust four instances of two URLs
	according to upstream redirects.

2009-09-25  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/include/parallel/checkers.h
	(is_sorted_failure, is_sorted_print_failures):  Remove (unused).
	(__is_sorted):  Remove default parameter for _Compare; remove
	inappropriate printf.

2009-09-25  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h:  Comment on presence of min/max duplicates.

2009-09-25  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/partition.h (__parallel_nth_element):
	Correct comment.

2009-09-24  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/algo.h: Uglify internal identifiers;
	correct line breaks.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/workstealing.h: Likewise.

2009-09-24  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h (_EqualFromLess):  Move _Compare template
	parameter to the end as of others.
	* include/parallel/algobase.h
	(__lexicographical_compare_switch): Likewise.

2009-09-23  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/algobase.h: Uglify internal identifiers;
	correct line breaks.
	* include/parallel/algo.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/numericfwd.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/workstealing.h: Likewise.

2009-09-21  Gerald Pfeifer  <gerald@pfeifer.com>

	* doc/xml/manual/appendix_contributing.xml: Adjust link to
	coreutils.

2009-09-18  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* python/hook.in: Fix prefix trailing slash on 64bit host arches.

2009-09-17  Joseph Myers  <joseph@codesourcery.com>

	* testsuite/lib/libstdc++.exp (check_v3_target_binary_io): New.
	* testsuite/lib/dg-options.exp (dg-require-binary-io): New.
	* testsuite/27_io/basic_filebuf/seekoff/char/1-io.cc,
	testsuite/27_io/basic_filebuf/seekoff/char/2-io.cc,
	testsuite/27_io/basic_filebuf/sgetn/char/1-in.cc,
	testsuite/27_io/basic_filebuf/sgetn/char/1-io.cc,
	testsuite/27_io/basic_filebuf/sgetn/char/2-in.cc,
	testsuite/27_io/basic_filebuf/sgetn/char/2-io.cc,
	testsuite/27_io/basic_filebuf/underflow/wchar_t/11603.cc,
	testsuite/27_io/basic_istream/readsome/char/6746-2.cc,
	testsuite/27_io/basic_istream/readsome/wchar_t/6746-2.cc,
	testsuite/27_io/objects/char/10.cc: Use dg-require-binary-io.

2009-09-17  Joseph Myers  <joseph@codesourcery.com>

	* include/ext/vstring.h (to_wstring(long long),
	to_wstring(unsigned long long), to_wstring(long double)): Disable
	for _GLIBCXX_HAVE_BROKEN_VSWPRINTF.

2009-09-17  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/algobase.h: Replace tabs by spaces;
	correct line breaks.
	* include/parallel/algorithmfwd.h: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* include/parallel/compatibility.h: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/iterator.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/numericfwd.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/quicksort.h: Likewise.
	* include/parallel/random_number.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/set_operations.h: Likewise.
	* include/parallel/settings.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/types.h: Likewise.
	* include/parallel/unique_copy.h: Likewise.
	* include/parallel/workstealing.h: Likewise.
	* include/parallel/algo.h: Likewise;
	shorten _ForwardIterator to _FIterator.
	* include/parallel/find_selectors.h: Likewise.

2009-09-16  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h: Correct some comments accidentally changed
	during uglification.
	* include/parallel/find.h: Likewise.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/settings.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/tags.h: Likewise.
	* include/parallel/workstealing.h: Likewise.

2009-09-16  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h (_EqualFromLess):
	Correct uglification of member variables and method arguments.
	* include/parallel/balanced_quicksort.h (_QSBThreadLocal): Likewise.
	* include/parallel/find_selectors.h (__find_first_of_selector):
	Likewise.
	* include/parallel/iterator.h (_IteratorTriple): Likewise.
	* include/parallel/multiseq_selection.h
	(_Lexicographic, _LexicographicReverse): Likewise.
	* include/parallel/multiway_mergesort.h (_Piece, _PMWMSSortingData):
	Likewise.
	* include/parallel/random_number.h (_RandomNumber): Likewise.
	* include/parallel/random_shuffle.h (_DRandomShufflingGlobalData):
	Likewise.
	* include/parallel/set_operations.h (__symmetric_difference_func,
	__difference_func, __intersection_func, __union_func,
	parallel_set_union, parallel_set_intersection, parallel_set_difference,
	parallel_set_symmetric_difference): Likewise.
	* include/parallel/tags.h (parallel_tag): Likewise.
	* include/parallel/workstealing.h (_Job): Likewise.
	* include/parallel/multiway_merge.h
	(__multiway_merge_k_variant_sentinel_switch:operator())
	correct uglification of _*LoserTree*.
	* include/parallel/losertree.h (_*LoserTree*): Likewise; correct
	uglification of member variables and method arguments.
	* include/parallel/par_loop.h: Correct uglification of finish_iterator.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/algo.h: Likewise; uglify c_rand_number.

2009-09-16  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/base.h (_PseudoSequenceIterator, _PseudoSequence):
	Replace redundant _Self.
	* include/parallel/iterator.h (_IteratorPair, _IteratorTriple):
	Replace redundant _Self.
	* include/parallel/algo.h: Correct accidental _Self in comments.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.

2009-09-16  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/algobase.h: Uglify internal identifiers.
	* include/parallel/algo.h: Likewise.
	* include/parallel/algorithm: Likewise.
	* include/parallel/algorithmfwd.h: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/basic_iterator.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* include/parallel/compatibility.h: Likewise.
	* include/parallel/compiletime_settings.: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/features.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/iterator.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/numericfwd.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/parallel.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/quicksort.h: Likewise.
	* include/parallel/random_number.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/set_operations.h: Likewise.
	* include/parallel/settings.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/tags.h: Likewise.
	* include/parallel/types.h: Likewise.
	* include/parallel/unique_copy.h: Likewise.
	* include/parallel/workstealing.h: Likewise.

2009-09-14  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41037
	* src/ios_init.cc (ios_base::Init::Init): Properly initialize cerr
	and wcerr flags.
	* testsuite/27_io/objects/char/41037.cc: New.
	* testsuite/27_io/objects/wchar_t/41037.cc: Likewise.

2009-09-14  Andrew Stubbs  <ams@codesourcery.com>

	* config/cpu/sh/atomicity.h (__exchange_and_add): Set earlyclobber
	constraint.

2009-09-11  Johannes Singler  <singler@ira.uka.de>

	* include/parallel/multiway_merge.h
	(multiway_merge_exact_splitting): Deallocate borders correctly.
	(parallel_multiway_merge): Remove unnecessarily complicated
	allocation, random access iterators are default-constructible;
	deallocate ne_seqs correctly.

2009-09-11  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41316
	* include/bits/forward_list.h (_Fwd_list_node_base<>::_M_sort_after):
	Remove.
	(forward_list<>::sort(_Comp)): Only declare.
	(forward_list<>::sort()): Forward to the latter.
	* include/bits/forward_list.tcc (_Fwd_list_node_base<>::_M_sort_after):
	Remove definition.
	(forward_list<>::sort(_Comp)): Define.
	* testsuite/23_containers/forward_list/requirements/dr438/
	assign_neg.cc: Adjust dg-error line number.
	* testsuite/23_containers/forward_list/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_2_neg.cc: Likewise.

2009-09-11  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* src/Makefile.am (libstdc___la_LINK): New.
	* src/Makefile.in: Regenerate.

2009-09-09  Loren J. Rittle  <ljrittle@acm.org>

	* testsuite/30_threads/thread/native_handle/typesizes.cc: Remove
	*-*-freebsd* from both dg-do and dg-options.

2009-09-08  Alexandre Oliva  <aoliva@redhat.com>

	* configure: Rebuilt with modified libtool.m4.

2009-09-07  H.J. Lu  <hongjiu.lu@intel.com>
	    Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	PR libstdc++/41280
	* configure.ac: Run "${multi_basedir}/config-ml.in" to generate
	MULTISUBDIR = in subdirectory Makefiles, with ml_norecursion set.
	* configure: Regenerate.

2009-09-06  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41267
	* include/bits/stl_algobase.h (__copy_move::__copy_m,
	__copy_move_backward::__copy_move_b): Don't call __builtin_memmove
	with a null third argument.

2009-09-04  Benjamin Kosnik  <bkoz@redhat.com>

	Revert.
	2009-08-06  Benjamin Kosnik  <bkoz@redhat.com>
	* src/compatibility.cc: Make C++0x safe, add in explicit casts to
	bool for stream sentry objects.
	* include/bits/istream.tcc: Same.
	* include/bits/ostream.tcc: Same.
	* include/bits/basic_string.tcc: Same.
	* include/bits/ostream_insert.h: Same.
	* src/istream.cc: Same.

2009-09-02  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Replace AC_CONFIG_COMMANDS([default])
	instantiation with additional commands issued for each Makefile
	in glibcxx_SUBDIRS, so `./config.status subdir/Makefile' also
	runs these commands.
	Add a separate AC_CONFIG_COMMANDS([generate-headers]) for
	running `make' in include, passing `pch_build=' to `make'.
	* configure: Regenerate.

	PR libstdc++/41220
	* include/Makefile.am (CLEANFILES): Add stamp-host.
	* include/Makefile.in: Regenerate.

2009-09-02  Joseph Myers  <joseph@codesourcery.com>

	* testsuite/lib/libstdc++.exp (libstdc++_init): Copy .tcc files
	under util/ to remote host.  Copy .h and .hpp files at more levels
	under util/ to remote host.

2009-09-02  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_uninitialized.h
	(__uninitialized_copy::uninitialized_copy): Just call (the now
	forwarding) _Construct.

2009-09-01  Chris Jefferson  <chris@bubblescope.net>
	    Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/util/testsuite_rvalref.h: Remove obsolete macro using
	_GLIBCXX_TESTSUITE_ALLOW_RVALREF_ALIASING.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy_n/
	move_iterators/1.cc: Adjust, do not define
	_GLIBCXX_TESTSUITE_ALLOW_RVALREF_ALIASING.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy/
	move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/copy_n/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/move/1.cc: Likewise.
	* testsuite/25_algorithms/move_backward/1.cc: Likewise.
	* testsuite/25_algorithms/copy_backward/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/copy/move_iterators/1.cc: Likewise.
	* testsuite/25_algorithms/heap/moveable.cc: Likewise.
	* testsuite/25_algorithms/partial_sort/moveable.cc: Likewise; add
	test for predicated test.
	* testsuite/25_algorithms/sort/moveable.cc: Likewise.
	* testsuite/25_algorithms/nth_element/moveable.cc: Add test
	for predicated version.
	* testsuite/25_algorithms/unique/moveable.cc: Likewise.

	* testsuite/25_algorithms/inplace_merge/1.cc (S::operator<): Fix,
	enable test2 and test3.

	* testsuite/util/testsuite_iterators.h (operator=): Fix invalid
	moving bug in C++0x mode.

	* testsuite/25_algorithms/random_shuffle/moveable.cc: New.
	* testsuite/25_algorithms/prev_permutation/moveable.cc: Likewise.
	* testsuite/25_algorithms/next_permutation/moveable.cc: Likewise.
	* testsuite/25_algorithms/heap/moveable2.cc: Likewise.

2009-08-31  Uros Bizjak  <ubizjak@gmail.com>
	    Kaz Kojima  <kkojima@gcc.gnu.org>

	* testsuite/18_support/numeric_limits/denorm_min.cc: Use
	dg-add-options ieee.
	* testsuite/18_support/numeric_limits/digits10.cc: Likewise.
	* testsuite/18_support/numeric_limits/epsilon.cc: Likewise.
	* testsuite/18_support/numeric_limits/infinity.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_iec559.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_signed.cc: Likewise.
	* testsuite/18_support/numeric_limits/min_max.cc: Likewise.
	* testsuite/18_support/numeric_limits/quiet_NaN.cc: Likewise.
	* testsuite/18_support/numeric_limits/
	specialization_default_values.cc: Likewise.
	* testsuite/18_support/numeric_limits/traps.cc: Likewise.
	* testsuite/26_numerics/complex/pow.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	01_assoc_laguerre/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	02_assoc_legendre/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	03_beta/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	04_comp_ellint_1/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	05_comp_ellint_2/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	06_comp_ellint_3/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	07_conf_hyperg/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	08_cyl_bessel_i/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	09_cyl_bessel_j/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	10_cyl_bessel_k/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	11_cyl_neumann/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	12_ellint_1/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	13_ellint_2/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	14_ellint_3/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	15_expint/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	16_hermite/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	17_hyperg/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	18_laguerre/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	19_legendre/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	20_riemann_zeta/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	21_sph_bessel/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	22_sph_legendre/check_nan.cc: Likewise.
	* testsuite/tr1/5_numerical_facilities/special_functions/
	23_sph_neumann/check_nan.cc: Likewise.

2009-08-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/stl_construct.h: Include <bits/move.h>.

2009-08-29  Chris Jefferson  <chris@bubblescope.net>

	* include/bits/move.h (_GLIBCXX_FORWARD): Add.
	* include/bits/stl_uninitialized.h (__uninitialized_construct_range):
	Add.
	* include/bits/stl_tempbuf.h (_Temporary_buffer::
	_Temporary_buffer(_ForwardIterator, _ForwardIterator)): Use the latter.
	* include/bits/stl_construct.h (_Construct(_T1*, _T2&&)): Add in
	C++0x mode.
	* testsuite/util/testsuite_hooks.h (operator<(const copy_tracker&,
    	const copy_tracker&)): Add.
	* testsuite/25_algorithms/stable_partition/mem_check.cc: New.
	* testsuite/25_algorithms/stable_sort/mem_check.cc: Likewise.

2009-08-26  Benjamin Kosnik  <bkoz@redhat.com>

	* config/abi/pre/gnu.ver: Fixups for string member functions.

2009-08-26  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/41005
	* configure.ac: Bump libtool_VERSION to 6:14:0.
	* configure: Regenerate.
	* src/Makefile.am: Compile fstream-inst.cc as C++0x.
	* src/Makefile.in: Regenerate.
	* config/abi/pre/gnu.ver: Add new symbols and disambiguate old ones,
	move <future> symbols to 3.4.14 version.
	* testsuite/util/testsuite_abi.cc: Add GLIBCXX_3.4.14 version.

2009-08-25  Benjamin Kosnik  <bkoz@redhat.com>

	* include/bits/basic_string.h (basic_string): Add cbegin(),
	cend(), crbegin(), crend() in C++0x mode.
	* config/abi/pre/gnu.ver: Add exports.

	* testsuite/util/testsuite_containers.h: New.
	* testsuite/util/testsuite_container_traits.h: New.
	* testsuite/21_strings/basic_string/requirements/citerators.cc: New.
	* testsuite/21_strings/basic_string/requirements/typedefs.cc: New.
	* testsuite/ext/vstring/requirements/citerators.cc: Edit.
	* testsuite/ext/vstring/requirements/typedefs.cc: New.
	* testsuite/23_containers/unordered_map/requirements/
	cliterators.cc: Edit.
	* testsuite/23_containers/unordered_map/requirements/
	citerators.cc: Edit.
	* testsuite/23_containers/unordered_map/requirements/
	explicit_instantiation/1.cc: New.
	* testsuite/23_containers/unordered_map/requirements/
	explicit_instantiation/2.cc: New.
	* testsuite/23_containers/unordered_map/requirements/
	explicit_instantiation/3.cc: New.
	* testsuite/23_containers/unordered_map/requirements/typedefs.cc: Edit.
	* testsuite/23_containers/unordered_map/requirements/
	explicit_instantiation.cc: Move to nested directory.
	* testsuite/23_containers/queue/requirements/typedefs.cc: New.
	* testsuite/23_containers/priority_queue/requirements/typedefs.cc: New.
	* testsuite/23_containers/multimap/requirements/citerators.cc: Edit.
	* testsuite/23_containers/multimap/requirements/typedefs.cc: New.
	* testsuite/23_containers/set/requirements/citerators.cc: Edit.
	* testsuite/23_containers/set/requirements/typedefs.cc: New.
	* testsuite/23_containers/unordered_multimap/requirements/
	cliterators.cc: Edit.
	* testsuite/23_containers/unordered_multimap/requirements/
	citerators.cc: Edit.
	* testsuite/23_containers/unordered_multimap/requirements/
	explicit_instantiation/1.cc: New.
	* testsuite/23_containers/unordered_multimap/requirements/
	explicit_instantiation/2.cc: Edit.: New.
	* testsuite/23_containers/unordered_multimap/requirements/
	explicit_instantiation/3.cc: New.
	* testsuite/23_containers/unordered_multimap/requirements/
	typedefs.cc: Edit.
	* testsuite/23_containers/unordered_multimap/requirements/
	explicit_instantiation.cc: Move to nested.
	* testsuite/23_containers/forward_list/requirements/citerators.cc: New.
	* testsuite/23_containers/forward_list/requirements/1.cc: Remove.
	* testsuite/23_containers/forward_list/requirements/dr438/
	insert_neg.cc: New.
	* testsuite/23_containers/forward_list/requirements/dr438/
	assign_neg.cc: New.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_1_neg.cc: New.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor_2_neg.cc: New.
	* testsuite/23_containers/forward_list/requirements/dr438/
	constructor.cc: New.
	* testsuite/23_containers/forward_list/requirements/typedefs.cc: New.
	* testsuite/23_containers/unordered_set/requirements/
	cliterators.cc: Edit.
	* testsuite/23_containers/unordered_set/requirements/
	citerators.cc: Edit.
	* testsuite/23_containers/unordered_set/requirements/
	explicit_instantiation/1.cc: New.
	* testsuite/23_containers/unordered_set/requirements/
	explicit_instantiation/2.cc: New.
	* testsuite/23_containers/unordered_set/requirements/
	explicit_instantiation/3.cc: New.
	* testsuite/23_containers/unordered_set/requirements/typedefs.cc: Edit.
	* testsuite/23_containers/unordered_set/requirements/
	explicit_instantiation.cc: Move to nested.
	* testsuite/23_containers/vector/requirements/citerators.cc: Edit.
	* testsuite/23_containers/vector/requirements/dr438/bool/
	constructor.cc: Move.
	* testsuite/23_containers/vector/requirements/typedefs.cc: New.
	* testsuite/23_containers/vector/bool/requirements/citerators.cc: Edit.
	* testsuite/23_containers/vector/bool/requirements/dr438/
	constructor.cc: New.
	* testsuite/23_containers/deque/requirements/citerators.cc: Edit.
	* testsuite/23_containers/deque/requirements/typedefs.cc
	* testsuite/23_containers/stack/requirements/typedefs.cc
	* testsuite/23_containers/multiset/requirements/citerators.cc: Edit.
	* testsuite/23_containers/multiset/requirements/typedefs.cc: New.
	* testsuite/23_containers/list/requirements/citerators.cc: Edit.
	* testsuite/23_containers/list/requirements/typedefs.cc: New.
	* testsuite/23_containers/unordered_multiset/requirements/
	cliterators.cc: Edit.
	* testsuite/23_containers/unordered_multiset/requirements/
	citerators.cc: Edit.
	* testsuite/23_containers/unordered_multiset/requirements/
	explicit_instantiation.cc: Move.
	* testsuite/23_containers/unordered_multiset/requirements/
	explicit_instantiation/1.cc: New.
	* testsuite/23_containers/unordered_multiset/requirements/
	explicit_instantiation/2.cc: New.
	* testsuite/23_containers/unordered_multiset/requirements/
	explicit_instantiation/3.cc: New.
	* testsuite/23_containers/unordered_multiset/requirements/typedefs.cc
	* testsuite/23_containers/map/requirements/citerators.cc: Edit.
	* testsuite/23_containers/map/requirements/typedefs.cc: New.
	* testsuite/23_containers/array/requirements/citerators.cc: Edit.
	* testsuite/23_containers/array/requirements/explicit_instantiation.cc:
	Move.
	* testsuite/23_containers/array/requirements/
	explicit_instantiation/1.cc: New.
	* testsuite/23_containers/array/requirements/
	explicit_instantiation/2.cc: New.
	* testsuite/23_containers/array/requirements/typedefs.cc: New.

2009-08-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac (AC_PREREQ): Bump to 2.64.

2009-08-24  Chris Jefferson  <chris@bubblescope.net>

	* include/stl_algo.h (__unguarded_partition_pivot,
	__move_median_first): New.
	(__insertion_sort, __unguarded_insertion_sort): Adjust for move-only
	types.
	(__unguarded_linear_insert): Assume always inserting value at __last.
	(__unguarded_partition): Take pivot by reference.
	(__introsort_loop, __introselect): Use __unguarded_partition_pivot.
	* testsuite/25_algorithms/nth_element/moveable.cc: Enable.

2009-08-23  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* libsupc++/Makefile.am (LTCOMPILE): Expand $(LIBTOOLFLAGS)
	before --mode argument.
	* libsupc++/Makefile.in: Regenerate.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* doc/xml/manual/build_hacking.xml: Use tools from Autoconf
	2.64 and Automake 1.11 in examples; update link to Autoconf
	manual page about quadrigraphs.
	* Makefile.am (install-html, install-pdf): Remove.
	* Makefile.in: Regenerate.

	* Makefile.in: Regenerate.
	* acinclude.m4: Regenerate.
	* aclocal.m4: Regenerate.
	* config.h.in: Regenerate.
	* configure: Regenerate.
	* doc/Makefile.in: Regenerate.
	* include/Makefile.in: Regenerate.
	* libsupc++/Makefile.in: Regenerate.
	* po/Makefile.in: Regenerate.
	* python/Makefile.in: Regenerate.
	* src/Makefile.in: Regenerate.
	* testsuite/Makefile.in: Regenerate.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* libsupc++/Makefile.am (LTCOMPILE, LTCXXCOMPILE, CXXLINK): Add
	$(LIBTOOLFLAGS).
	* libsupc++/Makefile.in: Regenerate.
	* src/Makefile.am (LTCXXCOMPILE, CXXLINK): Add $(AM_LIBTOOLFLAGS)
	and $(LIBTOOLFLAGS).
	* src/Makefile.in: Regenerate.

2009-08-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/30_threads/packaged_task/requirements/typedefs.cc: Add
	missing dg-require directives.

2009-08-20  Edward Smith-Rowland  <3dw4rd@verizon.net>

	* include/tr1/gamma.tcc: Change include guard from _TR1_GAMMA_TCC
	to _GLIBCXX_TR1_GAMMA_TCC to match the rest of the headers in tr1.
	* include/tr1/exp_integral.tcc: Replace _TR1_GAMMA_TCC with
	__numeric_constants<_Tp>::__gamma_e().

2009-08-17  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/30_threads/packaged_task/requirements/typedefs.cc: New.

2009-08-15  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure.ac: Move guarded checks for CC and CXX ...
	* acinclude.m4 (GLIBCXX_CONFIGURE): ... from here.
	* configure: Regenerate.

2009-08-14  Edward Smith-Rowland  <3dw4rd@verizon.net>
	    Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/41061
	* include/bits/random.h (operator<<(std::basic_ostream<>&,
	const std::lognormal_distribution<>&),
	operator>>(std::basic_istream<>&, std::lognormal_distribution<>&),
	operator<<(std::basic_ostream<>&, const std::gamma_distribution<>&),
	operator>>(std::basic_istream<>&, std::gamma_distribution<>&),
	operator<<(std::basic_ostream<>&,
	const std::chi_squared_distribution<>&),
	operator>>(std::basic_istream<>&, std::chi_squared_distribution<>&),
	operator<<(std::basic_ostream<>&,
	const std::fisher_f_distribution<>&),
	operator>>(std::basic_istream<>&, std::fisher_f_distribution<>&),
	operator<<(std::basic_ostream<>&,
	const std::student_t_distribution<>&),
	operator>>(std::basic_istream<>&, std::student_t_distribution<>&),
	operator<<(std::basic_ostream<>&,
	const std::negative_binomial_distribution<>&)): Declare friend.
	* testsuite/26_numerics/random/uniform_real_distribution/operators/
	serialize.cc: New.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	operators/serialize.cc
	* testsuite/26_numerics/random/student_t_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/operators/
	serialize.cc: Likewise.

2009-08-14  Edward Smith-Rowland  <3dw4rd@verizon.net>

	* include/bits/stl_tree.h: In C++0x mode make erase return
	an iterator as per DR 130.
	* include/bits/stl_set.h: Same.
	* include/bits/stl_multiset.h: Same.
	* include/bits/stl_map.h: Same.
	* include/bits/stl_multimap.h: Same.
	* doc/xml/manual/intro.xml: Document.
	* testsuite/23_containers/set/dr130.cc: New.
	* testsuite/23_containers/multiset/dr130.cc: New.
	* testsuite/23_containers/map/dr130.cc: New.
	* testsuite/23_containers/multimap/dr130.cc: New.

2009-08-14  Benjamin Kosnik  <bkoz@redhat.com>

	* include/ext/pointer.h: Add pragma system_header, use
	_GLIBCXX_USE_LONG_LONG, macro cleanup.

2009-08-14  Uros Bizjak  <ubizjak@gmail.com>

	* src/compatibility-ldbl.cc: Include cmath.

2009-08-13  Benjamin Kosnik  <bkoz@redhat.com>

	* src/compatibility-ldbl.cc: Include tr1/functional.

2009-08-12  Benjamin Kosnik  <bkoz@redhat.com>

	* src/compatibility-ldbl.cc: Add explicit namespace scope.

2009-08-11  Benjamin Kosnik  <bkoz@redhat.com>

	* include/precompiled/extc++.h: Don't include TR1 if C++0x.
	* include/precompiled/stdc++.h: Don't include cassert if
	_GLIBCXX_NO_ASSERT defined.
	* include/ext/cast.h (_GLIBCXX_BEGIN_NAMESPACE): Remove extra
	semi-colon.
	* include/ext/pointer.h (_GCC_CXX_POINTER_COMPARISON_OPERATION_SET):
	Same.

	* testsuite/17_intro/headers/all.cc: Move into dialect-specific
	directory.
	* testsuite/17_intro/headers/all_pedantic_errors.cc: Same.
	* testsuite/17_intro/headers/all_assert_neg.cc: Same.
	* testsuite/17_intro/headers/all_c++200x_compatibility.cc: Same.

	* testsuite/17_intro/headers/c++1998/all.cc: Use extc++.h include.
	* testsuite/17_intro/headers/c++1998/stdc++.cc: Converted all.cc,
	use stdc++.h include.
	* testsuite/17_intro/headers/c++1998/all_pedantic_errors.cc: Same.
	* testsuite/17_intro/headers/c++1998/stdc++_assert_neg.cc: Same.
	* testsuite/17_intro/headers/c++1998/all_c++200x_compatibility.cc: Same.
	* testsuite/17_intro/headers/c++1998/all_no_exceptions.cc: New.
	* testsuite/17_intro/headers/c++1998/all_multiple_inclusion.cc: To...
	* testsuite/17_intro/headers/c++1998/stdc++_multiple_inclusion.cc
	...this.
	* testsuite/17_intro/headers/c++200x/all.cc: To...
	* testsuite/17_intro/headers/c++200x/stdc++.cc: ..this.
	* testsuite/17_intro/headers/c++200x/all_multiple_inclusion.cc: To...
	* testsuite/17_intro/headers/c++200x/stdc++_multiple_inclusion.cc:
	...this.
	* testsuite/17_intro/headers/c++200x/all_no_exceptions.cc: New.
	* testsuite/17_intro/headers/c++200x/all_pedantic_errors.cc: New.

2009-08-10  Benjamin Kosnik  <bkoz@redhat.com>

	* include/std/future: Move error handling bits outside macro guard.
	* src/future.cc: Adjust.

	* include/precompiled/stdc++.h: Add future.
	* doc/xml/manual/using.xml: Same.

2009-08-10  Benjamin Kosnik  <bkoz@redhat.com>

	* src/hashtable.cc: Just definitions.
	* src/hashtable_c++0x.cc: Compile C++0x versions.
	* src/hash.cc: Same.
	* src/hash_c++0x.cc: Same.
	src/hash_tr1.cc: Compile TR1 versions.
	src/hashtable_tr1.cc: Same.

	* src/limits_c++0x.cc: Sync build error handling.

	* src/Makefile.am (sources): Change hash.cc to hash_tr1.cc,
	hashtable.cc to hashtable_tr1.cc.
	* src/Makefile.in: Regenerate.

2009-08-10  Benjamin Kosnik  <bkoz@redhat.com>

	* include/tr1_impl/functional: Doxygen markup.

	* doc/html/*: Regenerate.

2009-08-10  Benjamin Kosnik  <bkoz@redhat.com>

	* include/std/future: Fixes for -fno-exceptions.
	* include/bits/functexcept.h: Same.
	* libsupc++/exception_ptr.h: Same.
	* src/pool_allocator.cc: Same.
	* src/future.cc: Same.
	* src/functexcept.cc: Same.
	* config/abi/pre/gnu.ver: New exports.
	* testsuite/30_threads/packaged_task/cons/assign_neg.cc: Adjust.
	* testsuite/30_threads/packaged_task/cons/copy_neg.cc: Same.
	* testsuite/30_threads/unique_future/cons/assign_neg.cc: Same.
	* testsuite/30_threads/unique_future/cons/copy_neg.cc: Same.
	* testsuite/30_threads/shared_future/cons/assign_neg.cc: Same.
	* testsuite/30_threads/promise/cons/assign_neg.cc: Same.
	* testsuite/30_threads/promise/cons/copy_neg.cc: Same.

	* testsuite/23_containers/deque/operators/1.cc: Separate in two...
	* testsuite/23_containers/deque/operators/2.cc: New.

2009-08-07  Paolo Carlini  <paolo.carlini@oracle.com>

	* src/hash.cc (hash<string>::operator()(string),
	hash<wstring>::operator()(wstring)): Do not decorate as throwing
	nothing.
	* include/bits/functional_hash.h (hash<error_code>::
	operator()(error_code)): Likewise.

2009-08-06  Benjamin Kosnik  <bkoz@redhat.com>

	* src/compatibility.cc: Make C++0x safe, add in explicit casts to
	bool for stream sentry objects.
	* include/bits/istream.tcc: Same.
	* include/bits/ostream.tcc: Same.
	* include/bits/basic_string.tcc: Same.
	* include/bits/ostream_insert.h: Same.
	* src/istream.cc: Same.

2009-08-04  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/15523
	* include/debug/safe_iterator.h (_Safe_iterator<>::
	_Safe_iterator(const _Safe_iterator&), _Safe_iterator<>::
	operator=(const _Safe_iterator&)): Implement resolution of DR 408,
	do not error out when the source is a value-initialized iterator.
	* testsuite/23_containers/vector/15523.cc: New.
	* doc/xml/manual/intro.xml: Add an entry for DR 408.

2009-08-03  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/istream (operator>>(basic_istream<>&&, _Tp&)): Minor
	cosmetic changes, inline.
	* include/std/ostream (operator<<(basic_ostream<>&&, const _Tp&)):
	Likewise.
	* include/bits/move.h: Minor cosmetic changes.

2009-08-02  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40912 (final)
	* testsuite/26_numerics/random/mt19937.cc: dg-require-cstdint.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	parms_neg.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/uniform_real_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/initlist_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/minstd_rand.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	range.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	initlist.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/seed_seq/requirements/
	typedefs.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/parms_neg.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/cons/
	parms.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/ranlux24_base.cc: Likewise.
	* testsuite/26_numerics/random/
	default_random_engine.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/initlist.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/base_move.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/base_copy.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	cons/seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/independent_bits_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/ranlux48_base.cc: Likewise.
	* testsuite/26_numerics/random/minstd_rand0.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/subtract_with_carry_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	base_move.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed1.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed2.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	base_copy.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/cons/
	seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/discard_block_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/mersenne_twister_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/mt19937_64.cc: Likewise.
	* testsuite/26_numerics/random/random_device/cons/
	token.cc: Likewise.
	* testsuite/26_numerics/random/random_device/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/random_device/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/ranlux24.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/range.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/num_xbound_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/initlist_fun.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/seed1.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/seed2.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/non_uint_neg.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/linear_congruential_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/ranlux48.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	base_move.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed1.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed2.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	base_copy.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	default.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/cons/
	seed_seq.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	operators/equal.cc: Likewise.
	* testsuite/26_numerics/random/shuffle_order_engine/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	cons/parms.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	cons/default.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/
	requirements/typedefs.cc: Likewise.
	* testsuite/26_numerics/random/knuth_b.cc: Likewise.

2009-07-31  Jason Merrill  <jason@redhat.com>
	    Douglas Gregor  <doug.gregor@gmail.com>

	* include/bits/move.h (forward): Implement as in N2835.
	(move): Implement as in N2831.
	* include/std/istream (rvalue stream operator>>): New.
	* include/std/ostream (rvalue stream operator<<): New.
	* testsuite/27_io/rvalue_streams.cc: New.

2009-07-31  Jason Merrill  <jason@redhat.com>

	* include/bits/forward_list.h (splice_after): Use forward.
	(merge): Likewise.
	* include/bits/stl_iterator.h (move_iterator::operator*): Use move.
	(move_iterator::operator[]): Use move.
	* include/bits/stl_list.h (insert): Use move.
	* include/std/thread (_Callable constructor): Use forward.
	* include/std/tuple: Don't specify explicit template args to move.

	* testsuite/20_util/forward/requirements/explicit_instantiation.cc:
	Adjust signature.
	* testsuite/20_util/tuple/swap.cc: Swap takes lvalue reference.
	* testsuite/30_threads/shared_future/cons/copy.cc: Return rvalue
	reference.
	* testsuite/20_util/shared_ptr/assign/auto_ptr.cc,
	testsuite/20_util/shared_ptr/assign/auto_ptr_neg.cc,
	testsuite/20_util/shared_ptr/cons/auto_ptr.cc,
	testsuite/20_util/shared_ptr/cons/auto_ptr_neg.cc,
	testsuite/23_containers/forward_list/ext_pointer/operations/1.cc,
	testsuite/23_containers/forward_list/ext_pointer/operations/5.cc,
	testsuite/23_containers/forward_list/operations/1.cc,
	testsuite/23_containers/forward_list/operations/5.cc: Use move.
	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc,
	testsuite/23_containers/list/requirements/dr438/constructor_1_neg.cc,
	testsuite/23_containers/list/requirements/dr438/constructor_2_neg.cc,
	testsuite/23_containers/list/requirements/dr438/insert_neg.cc,
	testsuite/30_threads/thread/cons/assign_neg.cc: Adjust line numbers.

2009-07-31  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40912 (partial)
	* include/std/random: Disable the facility if <stdint.h> is not
	available.

2009-07-30  John David Anglin  <dave.anglin@nrc-cnrc.gc.ca>

	PR libstdc++/40919
	* testsuite/26_numerics/headers/cmath/c99_classification_macros_c.cc:
	xfail on darwin[3-9]*.

2009-07-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40917
	* testsuite/util/replacement_memory_operators.h: Add missing includes,
	tweak qualifications.

2009-07-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40916
	* testsuite/23_containers/list/modifiers/swap/1.cc: Fix include order.
	* testsuite/23_containers/list/modifiers/swap/2.cc: Likewise.
	* testsuite/23_containers/list/modifiers/swap/2.cc: Likewise.

2009-07-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* acinclude.m4 (GLIBCXX_CONFIGURE): Use m4_rename_force.

2009-07-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40915
	* testsuite/18_support/headers/exception/synopsis.cc: Fix
	std::terminate declaration.

2009-07-29  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40908
	* config/abi/pre/gnu.ver: Avoid exporting inadvertently std::mutex
	symbols at GLIBCXX_3.4.

2009-07-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* config/abi/pre/gnu.ver: Add GLIBCXX_3.4.13, move a symbol into it.
	* testsuite/util/testsuite_abi.cc: Adjust.
	* configure.ac: Bump libtool_VERSION to 6:13:0.
	* configure: Regenerate.

2009-07-28  Benjamin Kosnik  <bkoz@redhat.com>
	    Tyler Earman  <rem.intellegare@gmail.com>

	* doc/xml/manual/configure.xml: Consistent placement of
	ABI-changing options, clarify --enable-clocale.

2009-07-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* python/Makefile.in: Regenerate.

2009-07-27  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* python/Makefile.am (install-data-local): Use DESTDIR
	correctly.

2009-07-24  Jason Merrill  <jason@redhat.com>

	Core issue 901
	* libsupc++/vec.cc (__cxa_vec_new2, __cxa_vec_new3): Handle NULL
	dealloc.

2009-07-24  Joseph Myers  <joseph@codesourcery.com>

	* include/c_global/cwchar (swprintf, vswprintf): Do not use if
	_GLIBCXX_HAVE_BROKEN_VSWPRINTF.
	* testsuite/lib/libstdc++.exp (check_v3_target_swprintf): New.
	* testsuite/lib/dg-options.exp (dg-require-swprintf): New.
	* testsuite/21_strings/headers/cwchar/functions_std.cc,
	testsuite/27_io/basic_ostream/inserters_arithmetic/wchar_t/4402.cc,
	testsuite/27_io/basic_ostream/inserters_other/wchar_t/error_code.cc:
	Use dg-require-swprintf.

2009-07-24  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/26_numerics/valarray/dr630-2.cc: Extend.

2009-07-23  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/c_std/cmath (abs(_Tp)): Add.
	* include/c_global/cmath (abs(_Tp)): Likewise.
	* testsuite/26_numerics/headers/cmath/overloads.cc: Extend.

2009-07-23  Paolo Carlini  <paolo.carlini@oracle.com>

	* doc/html/ext/lwg-closed.html: Update to R65.
	* doc/html/ext/lwg-defects.html: Likewise.
	* doc/html/ext/lwg-active.html: Likewise.
	* doc/xml/manual/intro.xml: Update DRs entries.

2009-07-22  Jason Merrill  <jason@redhat.com>

	* libsupc++/typeinfo (__GXX_MERGED_TYPEINFO_NAMES): Default to 0.

2009-07-22  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/valarray (valarray<>::operator=(const valarray<>&),
	valarray<>::operator=(initializer_list<>)): Implement resolution
	of DR 630, [Ready] in Frankfurt.
	* testsuite/26_numerics/valarray/dr630-1.cc: New.
	* testsuite/26_numerics/valarray/dr630-2.cc: Likewise.
	* doc/xml/manual/intro.xml: Add an entry for DR 630.

2009-07-21  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/chrono (duration<>::operator%=,  operator%):
	Add, per DR 934.
	* testsuite/20_util/duration/arithmetic/dr934-1.cc: New.
	* testsuite/20_util/duration/arithmetic/dr934-2.cc: Likewise.

	* include/std/chrono (operator/): Simplify implementation.

2009-07-20  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/intro.xml: Escape '&', validate.
	* doc/xml/manual/using.xml: Validate, dead link check.
	* doc/xml/manual/strings.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/iterators.xml: Same.
	* doc/xml/manual/spine.xml: Same.

	* doc/xml/faq.xml: Remove redundant xreflabel entities.
	* doc/xml/gnu/gpl-3.0.xml: Same.
	* doc/xml/manual/mt_allocator.xml: Same.
	* doc/xml/manual/allocator.xml: Same.
	* doc/xml/manual/ctype.xml: Same.
	* doc/xml/manual/codecvt.xml: Same.
	* doc/xml/manual/backwards_compatibility.xml: Same.
	* doc/xml/manual/shared_ptr.xml: Same.
	* doc/xml/manual/abi.xml: Same.
	* doc/xml/manual/auto_ptr.xml: Same.
	* doc/xml/manual/internals.xml: Same.
	* doc/xml/manual/parallel_mode.xml: Same.
	* doc/xml/manual/bitmap_allocator.xml: Same.
	* doc/xml/manual/build_hacking.xml: Same.
	* doc/xml/manual/evolution.xml: Same.
	* doc/xml/manual/debug.xml: Same.
	* doc/xml/manual/localization.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/locale.xml: Same.
	* doc/xml/manual/messages.xml: Same.
	* doc/xml/manual/spine.xml: Same.
	* doc/xml/manual/test.xml: Same.
	* doc/xml/book.txml: Same.
	* doc/xml/spine.xml: Same.

	* doc/xml/api.xml: Clean up ulink targets, convert to link if possible.
	* doc/xml/manual/backwards_compatibility.xml: Same.
	* doc/xml/manual/concurrency.xml: Same.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/parallel_mode.xml: Same.
	* doc/xml/manual/status_cxx1998.xml: Same.
	* doc/xml/manual/containers.xml: Same.
	* doc/xml/manual/io.xml: Same.
	* doc/xml/manual/support.xml: Same.
	* doc/xml/manual/strings.xml: Same.
	* doc/xml/manual/debug_mode.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/messages.xml: Same.
	* doc/xml/manual/test.xml: Same.

	* doc/xml/manual/abi.xml: Same.
	* doc/xml/manual/auto_ptr.xml: Same.
	* doc/xml/manual/parallel_mode.xml: Same.
	* doc/xml/manual/build_hacking.xml: Same.
	* doc/xml/manual/evolution.xml: Same.
	* doc/xml/manual/using.xml: Same.
	* doc/xml/manual/debug_mode.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/diagnostics.xml: Same.
	* doc/xml/manual/algorithms.xml: Same.

	* doc/html: Regenerate.

2009-07-18  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40712
	* config/locale/gnu/numeric_members.cc (numpunct<>::
	_M_initialize_numpunct): Dynamically allocate _M_data->_M_grouping
	and copy the langinfo data into it.
	(numpunct<>::~numpunct): Free the allocated memory.
	* config/locale/gnu/monetary_members.cc (moneypunct<>::
	_M_initialize_moneypunct): Dynamically allocate _M_data->_M_grouping,
	_M_data->_M_positive_sign, _M_data->_M_negative_sign,
	_M_data->_M_curr_symbol.
	(moneypunct<>::~moneypunct): Free the allocated memory.
	* testsuite/22_locale/moneypunct/40712.cc: New.

	* include/bits/locale_facets.tcc (__numpunct_cache<>::_M_cache):
	Do not leak memory if new throws.
	* include/bits/locale_facets_nonio.tcc
	(__moneypunct_cache<>::_M_cache): Likewise.

2009-07-17  Joseph Myers  <joseph@codesourcery.com>

	PR other/40784
	* configure: Regenerate.

2009-07-16  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/util/testsuite_common_types.h (standard_layout): Activate.
	* testsuite/29_atomics/atomic_integral/cons/assign_neg.cc: Adjust
	line numbers.
	* testsuite/29_atomics/atomic_integral/cons/copy_neg.cc: Same.
	* testsuite/29_atomics/atomic/cons/assign_neg.cc: Same.
	* testsuite/29_atomics/atomic/cons/copy_neg.cc: Same.

2009-07-16  Joseph Myers  <joseph@codesourcery.com>

	* configure: Regenerate.

2009-07-16  Jason Merrill  <jason@redhat.com>

	PR libstdc++/37907
	* include/std/type_traits: Add is_standard_layout, is_trivial.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc,
	testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Update line numbers.

2009-07-16  Phil Muldoon <pmuldoon@redhat.com>
	    Tom Tromey <tromey@redhat.com>

	* python/libstdcxx/v6/printers.py (StdStringPrinter.to_string):
	Fetch std::string to the given length.

2009-07-16  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/istream.tcc (basic_istream<>::operator>>(short&),
	basic_istream<>::operator>>(int&)): Implement resolution of DR 696,
	[Ready] in Frankfurt.
	* include/tr1_impl/regex (regex_traits<>::value): Adjust.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/dr696.cc:
	New.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/dr696.cc:
	Likewise.
	* testsuite/27_io/basic_istream/extractors_arithmetic/char/13.cc:
	Adjust.
	* testsuite/27_io/basic_istream/extractors_arithmetic/wchar_t/13.cc:
	Likewise.
	* doc/xml/manual/intro.xml: Add an entry for DR 696.

	* include/bits/istream.tcc: Minor clean-up to the initializers of the
	__err locals.
	* include/bits/ostream.tcc: Likewise.
	* src/compatibility.cc: Likewise.
	* src/istream.cc: Likewise.

2009-07-12  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/std/type_traits (common_type): Remove workaround for
	PR36628, now fixed.

2009-07-11  Richard Sandiford  <rdsandiford@googlemail.com>

	PR testsuite/40699
	PR testsuite/40707
	PR testsuite/40709
	* testsuite/lib/libstdc++.exp: Revert 2009-06-30 commit.

2009-07-08  Janis Johnson  <janis187@us.ibm.com>

	PR libstdc++/40691
	* include/bits/valarray_after.h (_Expr::operator!): Fix return type.
	* testsuite/26_numerics/valarray/40691.cc: New test.

2009-07-06  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/21_strings/c_strings/wchar_t/3.cc: Add copyright.
	* testsuite/21_strings/c_strings/char/3.cc: Same.

2009-07-06  Jason Merrill  <jason@redhat.com>

	* libsupc++/vmi_class_type_info.cc (__do_dyncast): Use src2dst hint
	to defer searching bases that don't overlap the desired address.

2009-07-05  Joseph Myers  <joseph@codesourcery.com>

	* testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stod.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stof.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoi.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stol.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stold.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoll.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoul.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/stoull.cc,
	testsuite/21_strings/basic_string/numeric_conversions/wchar_t/
	to_wstring.cc, testsuite/ext/vstring/element_access/char/front_back.cc,
	testsuite/ext/vstring/element_access/wchar_t/front_back.cc,
	testsuite/ext/vstring/init-list.cc,
	testsuite/ext/vstring/moveable.cc,
	testsuite/ext/vstring/requirements/citerators.cc,
	testsuite/ext/vstring/requirements/explicit_instantiation/char16_t/1.cc,
	testsuite/ext/vstring/requirements/explicit_instantiation/char32_t/1.cc:
	Use dg-require-string-conversions.

2009-06-30  Richard Sandiford  <r.sandiford@uk.ibm.com>

	* testsuite/lib/libstdc++.exp (libstdc++_init): Don't add "."
	to ld_library_path.  Use add_path.  Add just find_libgcc_s to
	ld_library_path, not every libgcc multilib directory.

2009-06-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40600
	* testsuite/25_algorithms/minmax/2.cc: Fix consistently with
	std::minmax return type.
	* testsuite/25_algorithms/minmax/3.cc: Likewise.

2009-06-30  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40511
	* config/locale/gnu/c_locale.cc: Don't use LC_CTYPE_MASK together
	with glibc2.2.x.

2009-06-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc
	(linear_congruential_engine<>::seed(seed_seq&)): Use uint_least32_t
	as array type.

2009-06-29  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.h (__mod(_Tp)): Use defaults.
	(struct _Mod): Adjust template parameters.
	(linear_congruential_engine<>::operator()()): Adjust.
	(typedef _UInt32Type): Remove.
	(mersenne_twister_engine<>::initialization_multiplier): Fix type.
	* include/bits/random.tcc (struct _Mod): Adjust template parameters.
	(linear_congruential_engine<>::seed(result_type)): Adjust __mod
	calls.
	(mersenne_twister_engine<>::seed(result_type)): Likewise.
	(mersenne_twister_engine<>::seed(seed_seq&)): Likewise.
	(subtract_with_carry_engine<>::seed(result_type)): Likewise.
	(subtract_with_carry_engine<>::seed(seed_seq&)): Likewise.
	(seed_seq::seed_seq(std::initializer_list<>)): Likewise.
	(seed_seq::seed_seq(_InputIterator, _InputIterator)): Likewise.
	(seed_seq::generate(_RandomAccessIterator, _RandomAccessIterator)):
	Likewise.

	* include/bits/random.tcc
	(mersenne_twister_engine<>::seed(result_type)): Fix i usage in the
	formula (i mod n).
	(mersenne_twister_engine<>::seed(seed_seq&)): Use uint_least32_t
	as array type.
	(subtract_with_carry_engine<>::seed(seed_seq&)): Likewise; fix array
	size.
	(subtract_with_carry_engine<>::seed(result_type)): Fix; also use
	uint_least32_t.

2009-06-24  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/future (shared_future): Adjust doxygen comment.

2009-06-24  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/40297
	* include/bits/atomic_0.h: Reverse debug assertions.
	* include/bits/atomic_2.h: Likewise.

2009-06-23  DJ Delorie  <dj@redhat.com>

	Add MeP port.
	* configure.host: Add mep support.

2009-06-23  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/doxygen/user.cfg.in (PREDEFINED): Add _GLIBCXX_ATOMIC_BUILTINS_*.
	(INPUT): Add future.
	* include/std/future: Adjust markup.
	* testsuite/30_threads/shared_future/cons/assign_neg.cc: Adjust
	line numbers.
	* testsuite/30_threads/unique_future/cons/assign_neg.cc: Same.
	* testsuite/30_threads/unique_future/cons/copy_neg.cc: Same.
	* testsuite/30_threads/promise/cons/assign_neg.cc: Same.
	* testsuite/30_threads/promise/cons/copy_neg.cc: Same.

2009-06-23  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/bits/shared_ptr.h: Do not swap rvalues.
	* testsuite/20_util/owner_less/cmp.cc: Add missing test variables.
	* testsuite/20_util/shared_ptr/comparison/cmp.cc: Likewise.
	* testsuite/20_util/shared_ptr/comparison/less.cc: Likewise.
	* testsuite/20_util/weak_ptr/observers/owner_before.cc: Likewise.
	* testsuite/20_util/tuple/swap.cc: Likewise.

2009-06-23  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/debug/macros.h: Replace @tbd with valid doxygen tag @todo.
	* include/std/ratio: Typo in comment.

2009-06-23  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40518
	* include/bits/basic_string.h (basic_string<>::_Rep::
	_M_set_length_and_sharable): Do not write the empty rep.
	(basic_string<>::erase(iterator, iterator)): Likewise,
	move out of line...
	* include/bits/basic_string.tcc: ... here.

2009-06-22  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/util/testsuite_common_types.h (bitwise_operators,
	bitwise_assignment_operators): Initialize a and b.
	(struct has_bitwise_operators): Do not call the latter.
	* testsuite/29_atomics/atomic_integral/cons/assign_neg.cc: Adjust
	dg-error line numbers.
	* testsuite/29_atomics/atomic_integral/cons/copy_neg.cc: Likewise.
	* testsuite/29_atomics/atomic/cons/assign_neg.cc: Likewise.
	* testsuite/29_atomics/atomic/cons/copy_neg.cc: Likewise.

2009-06-22  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/23_containers/list/invalidation/1.cc: Mark test as
	possibly unused.
	* testsuite/23_containers/list/invalidation/2.cc: Likewise.
	* testsuite/23_containers/list/invalidation/3.cc: Likewise.
	* testsuite/23_containers/list/invalidation/4.cc: Likewise.

2009-06-21  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/future: New.
	* include/Makefile.am: Add.
	* include/Makefile.in: Regenerate.
	* src/future.cc: New.
	* src/Makefile.am: Add.
	* src/Makefile.in: Regenerate.
	* config/abi/pre/gnu.ver: Add export.
	* testsuite/30_threads/headers/future/std_c++0x_neg.cc: New.
	* testsuite/30_threads/headers/future/types_std_c++0x.cc: New.
	* testsuite/30_threads/packaged_task/cons/1.cc: New.
	* testsuite/30_threads/packaged_task/cons/2.cc: New.
	* testsuite/30_threads/packaged_task/cons/assign_neg.cc: New.
	* testsuite/30_threads/packaged_task/cons/copy_neg.cc: New.
	* testsuite/30_threads/packaged_task/cons/move_assign.cc: New.
	* testsuite/30_threads/packaged_task/cons/move.cc: New.
	* testsuite/30_threads/packaged_task/members/boolconv.cc: New.
	* testsuite/30_threads/packaged_task/members/get_future.cc: New.
	* testsuite/30_threads/packaged_task/members/get_future2.cc: New.
	* testsuite/30_threads/packaged_task/members/invoke.cc: New.
	* testsuite/30_threads/packaged_task/members/invoke2.cc: New.
	* testsuite/30_threads/packaged_task/members/invoke3.cc: New.
	* testsuite/30_threads/packaged_task/members/invoke4.cc: New.
	* testsuite/30_threads/packaged_task/members/invoke5.cc: New.
	* testsuite/30_threads/packaged_task/members/reset.cc: New.
	* testsuite/30_threads/packaged_task/members/reset2.cc: New.
	* testsuite/30_threads/packaged_task/members/swap.cc: New.
	* testsuite/30_threads/packaged_task/requirements/
	explicit_instantiation.cc: New.
	* testsuite/30_threads/promise/cons/1.cc: New.
	* testsuite/30_threads/promise/cons/assign_neg.cc: New.
	* testsuite/30_threads/promise/cons/copy_neg.cc: New.
	* testsuite/30_threads/promise/cons/move_assign.cc: New.
	* testsuite/30_threads/promise/cons/move.cc: New.
	* testsuite/30_threads/promise/members/get_future.cc: New.
	* testsuite/30_threads/promise/members/get_future2.cc: New.
	* testsuite/30_threads/promise/members/set_exception.cc: New.
	* testsuite/30_threads/promise/members/set_exception2.cc: New.
	* testsuite/30_threads/promise/members/set_value.cc: New.
	* testsuite/30_threads/promise/members/set_value2.cc: New.
	* testsuite/30_threads/promise/members/set_value3.cc: New.
	* testsuite/30_threads/promise/members/swap.cc: New.
	* testsuite/30_threads/promise/requirements/
	explicit_instantiation.cc: New.
	* testsuite/30_threads/shared_future/cons/assign_neg.cc: New.
	* testsuite/30_threads/shared_future/cons/copy.cc: New.
	* testsuite/30_threads/shared_future/cons/default_neg.cc: New.
	* testsuite/30_threads/shared_future/cons/move.cc: New.
	* testsuite/30_threads/shared_future/members/get.cc: New.
	* testsuite/30_threads/shared_future/members/get2.cc: New.
	* testsuite/30_threads/shared_future/members/has_exception.cc: New.
	* testsuite/30_threads/shared_future/members/has_value.cc: New.
	* testsuite/30_threads/shared_future/members/is_ready.cc: New.
	* testsuite/30_threads/shared_future/members/wait.cc: New.
	* testsuite/30_threads/shared_future/members/wait_for.cc: New.
	* testsuite/30_threads/shared_future/members/wait_until.cc: New.
	* testsuite/30_threads/shared_future/requirements/
	explicit_instantiation.cc: New.
	* testsuite/30_threads/unique_future/cons/assign_neg.cc: New.
	* testsuite/30_threads/unique_future/cons/copy_neg.cc: New.
	* testsuite/30_threads/unique_future/cons/default_neg.cc: New.
	* testsuite/30_threads/unique_future/cons/move.cc: New.
	* testsuite/30_threads/unique_future/members/get.cc: New.
	* testsuite/30_threads/unique_future/members/get2.cc: New.
	* testsuite/30_threads/unique_future/members/has_exception.cc: New.
	* testsuite/30_threads/unique_future/members/has_value.cc: New.
	* testsuite/30_threads/unique_future/members/is_ready.cc: New.
	* testsuite/30_threads/unique_future/members/wait.cc: New.
	* testsuite/30_threads/unique_future/members/wait_for.cc: New.
	* testsuite/30_threads/unique_future/members/wait_until.cc: New.
	* testsuite/30_threads/unique_future/requirements/
	explicit_instantiation.cc: New.
	* testsuite/performance/30_threads/future/polling.cc: New.

2009-06-20  Paolo Carlini  <paolo.carlini@oracle.com>

	* Revert last Change.

2009-06-20  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40497
	* include/bits/stl_iterator_base_funcs.h (next, prev): Fix the
	signature per the current C++1x draft (N2857).
	* testsuite/24_iterators/operations/40497.cc: Add.

2009-06-19  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.h (_Adaptor): Simplify for _DInputType always
	a floating point type.
	(uniform_int_distribution<>::uniform_int_distribution(_IntType,
	_IntType)): Fix second default argument.
	(uniform_int_distribution<>::_M_call): Remove.
	(uniform_int_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&)): Only declare.
	* include/bits/random.tcc (uniform_int_distribution<>::_M_call(
	_UniformRandomNumberGenerator&, result_type, result_type, true_type):
	Remove.
	uniform_int_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&): Define here.
	(geometric_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&), discrete_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&),
	piecewise_constant_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&),
	piecewise_linear_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&)): Use double as
	the second template argument of _Adaptor.
	* testsuite/26_numerics/random/uniform_int_distribution/cons/
	default.cc: Adjust.

2009-06-19  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc (discrete_distribution<>::param_type::
      	param_type(size_t, double, double, _Func),
	discrete_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&)): Tidy.
	(piecewise_constant_distribution<>::param_type::_M_initialize):
	Use reserve, fix.
	(piecewise_constant_distribution<>::param_type::
	param_type(initializer_list<>, _Func),
	piecewise_constant_distribution<>::param_type::
	param_type(size_t, _RealType, _RealType, _Func),
       	piecewise_linear_distribution<>::param_type::
	param_type(initializer_list<>, _Func),
       	piecewise_linear_distribution<>::param_type::
	param_type(size_t, _RealType, _RealType, _Func)): Use reserve, tidy.
	(piecewise_constant_distribution<>::param_type::
	param_type(_InputIteratorB, _InputIteratorB, _InputIteratorW),
	piecewise_constant_distribution<>::
	operator()(_UniformRandomNumberGenerator&, const param_type&),
      	piecewise_linear_distribution<>::
	operator()(_UniformRandomNumberGenerator&, const param_type&)): Fix.
	(operator>>(std::basic_istream<>&,
	piecewise_constant_distribution<>&),
	operator>>(std::basic_istream<>&, piecewise_linear_distribution<>&)):
	Use reserve.
	* include/bits/random.h: Minor cosmetic changes.

2009-06-17  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/23_containers/list/check_construct_destroy.h: New.
	Move test logic here.
	* testsuite/23_containers/list/moveable.h: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.h: Same.
	* testsuite/23_containers/list/modifiers/1.h: Same.
	* testsuite/23_containers/list/modifiers/2.h: Same.
	* testsuite/23_containers/list/modifiers/3.h: Same.
	* testsuite/23_containers/list/modifiers/swap/1.h: Same.
	* testsuite/23_containers/list/modifiers/swap/2.h: Same.
	* testsuite/23_containers/list/modifiers/swap/3.h: Same.
	* testsuite/23_containers/list/operations/1.h: Same.
	* testsuite/23_containers/list/operations/2.h: Same.
	* testsuite/23_containers/list/operations/3.h: Same.
	* testsuite/23_containers/list/operations/4.h: Same.
	* testsuite/23_containers/list/operations/5.h: Same.
	* testsuite/23_containers/list/capacity/1.h: Same.
	* testsuite/23_containers/list/init-list.h: Same.
	* testsuite/23_containers/list/cons/1.h: Same.
	* testsuite/23_containers/list/cons/2.h: Same.
	* testsuite/23_containers/list/cons/3.h: Same.
	* testsuite/23_containers/list/cons/4.h: Same.
	* testsuite/23_containers/list/cons/5.h: Same.
	* testsuite/23_containers/list/cons/6.h: Same.
	* testsuite/23_containers/list/cons/7.h: Same.
	* testsuite/23_containers/list/cons/8.h: Same.
	* testsuite/23_containers/list/cons/9.h: Same.
	* testsuite/23_containers/list/cons/clear_allocator.h: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.cc: Include test
	header.
	* testsuite/23_containers/list/modifiers/1.cc: Same.
	* testsuite/23_containers/list/modifiers/2.cc: Same.
	* testsuite/23_containers/list/modifiers/3.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/1.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/2.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/3.cc: Same.
	* testsuite/23_containers/list/operations/1.cc: Same.
	* testsuite/23_containers/list/operations/2.cc: Same.
	* testsuite/23_containers/list/operations/3.cc: Same.
	* testsuite/23_containers/list/operations/4.cc: Same.
	* testsuite/23_containers/list/operations/5.cc: Same.
	* testsuite/23_containers/list/capacity/1.cc: Same.
	* testsuite/23_containers/list/init-list.cc: Same.
	* testsuite/23_containers/list/cons/1.cc: Same.
	* testsuite/23_containers/list/cons/2.cc: Same.
	* testsuite/23_containers/list/cons/3.cc: Same.
	* testsuite/23_containers/list/cons/4.cc: Same.
	* testsuite/23_containers/list/cons/5.cc: Same.
	* testsuite/23_containers/list/cons/6.cc: Same.
	* testsuite/23_containers/list/cons/7.cc: Same.
	* testsuite/23_containers/list/cons/8.cc: Same.
	* testsuite/23_containers/list/cons/9.cc: Same.
	* testsuite/23_containers/list/cons/clear_allocator.cc: Same.
	* testsuite/23_containers/list/check_construct_destroy.cc: Same.
	* testsuite/23_containers/list/moveable.cc: Same.

2009-06-17  Tom Tromey  <tromey@redhat.com>

	* python/hook.in: Do not fail when there is no current objfile.
	Use os.path.normpath.

2009-06-16  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* libsupc++/exception_ptr.h (exception_ptr::swap(exception_ptr&&)):
	Remove.
	(exception_ptr::operator=(exception_ptr&&)): Cast source to
	rvalue-reference so that move constructor is called.
	* testsuite/18_support/exception_ptr/move.cc: New.

2009-06-16  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/thread (~thread(), operator=(thread&&)): Call terminate
	if joinable.

2009-06-15  Tom Tromey  <tromey@redhat.com>

	* python/libstdcxx/v6/printers.py (StdMapPrinter.__init__): Don't
	set self.iter.
	(StdMapPrinter.to_string): Make a new iterator.
	(StdMapPrinter.children): Likewise.
	(StdSetPrinter.__init__): Don't set self.iter.
	(StdSetPrinter.to_string): Make a new iterator.
	(StdSetPrinter.children): Likewise.

2009-06-11  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc
	(negative_binomial_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&): Tweak to use a
	class member gamma_distribution.
	(negative_binomial_distribution<>::operator()
	(_UniformRandomNumberGenerator&)): Implement out of line here.
	(operator<<(basic_ostream<>&, negative_binomial_distribution<>),
	operator>>(basic_ostream<>&, negative_binomial_distribution<>): Adjust.
	(student_t_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&): Move inline,
	simplify.
	(operator<<(basic_ostream<>&, student_t_distribution<>),
	operator>>(basic_ostream<>&, student_t_distribution<>): Adjust.
	(chi_squared_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&): Move inline,
	tweak to use a class member gamma_distribution.
	(operator<<(basic_ostream<>&, chi_squared_distribution<>),
	operator>>(basic_ostream<>&, chi_squared_distribution<>): Adjust.
	(fisher_f_distribution<>::operator() (_UniformRandomNumberGenerator&,
	const param_type&): Move inline, tweak to use class member
	gamma_distributions.
	(operator<<(basic_ostream<>&, fisher_f_distribution<>),
	operator>>(basic_ostream<>&, fisher_f_distribution<>): Adjust.
	* include/bits/random.h: Adjust, minor tweaks.

2009-06-10  Tom Tromey  <tromey@redhat.com>

	* python/libstdcxx/v6/printers.py (lookup_function): Remove extra ';'.
	(build_libstdcxx_dictionary): Accept shortened form of
	basic_string names.
	(StdStringPrinter.to_string): Remove reference to WideEncoding.

2009-06-10  Tom Tromey  <tromey@redhat.com>

	PR libstdc++/40289:
	* python/Makefile.in: Rebuild.
	* python/hook.in: Compute module path relative to objfile.
	* python/Makefile.am (pythondir): Redefine.
	(gdb.py): Subst toolexeclibdir.
	(install-data-local): Rewrite.

2009-06-09  Benjamin Kosnik  <bkoz@redhat.com>

	* include/bits/move.h: Doxygen group fixes.

2009-06-08  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc (gamma_distribution<>::operator()
	(_UniformRandomNumberGenerator&, const param_type&): Redo, using
	the Marsaglia/Tsang algorithm.
	(gamma_distribution<>::param_type::_M_initialize): Adjust.
	(operator<<(basic_ostream<>&, gamma_distribution<>),
	operator>>(basic_ostream<>&, gamma_distribution<>): Likewise.

	* include/bits/random.tcc(student_t_distribution<>::_M_gaussian):
	Remove, just use normal_distribution.
	(operator<<(basic_ostream<>&, student_t_distribution<>),
	operator>>(basic_ostream<>&, student_t_distribution<>): Adjust.
	(linear_congruential_engine<>::operator()()): Move inline.
	(lognormal_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&)): Move inline, just use normal_distribution.
	(operator<<(basic_ostream<>&, lognormal_distribution<>),
	operator>>(basic_ostream<>&, lognormal_distribution<>): Adjust.
	(weibull_distribution<>::operator()(_UniformRandomNumberGenerator&,
	const param_type&)): Move here, out of line.
	(piecewise_constant_distribution<>::param_type::param_type()): Move
	inline.
	* include/bits/random.h: Adjust, minor tweaks.

2009-06-05  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/29_atomics/atomic_address/cons/aggregate.cc: Remove xfail.

2009-06-04  Benjamin Kosnik  <bkoz@redhat.com>

	* include/ext/throw_allocator.h: Rework.
	* include/ext/pb_ds/detail/debug_map_base.hpp: Adjust usage.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_fn_imps.hpp: Same.
	* include/ext/pb_ds/detail/ov_tree_map_/erase_fn_imps.hpp: Same.
	* include/ext/pb_ds/detail/ov_tree_map_/ov_tree_map_.hpp: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.cc: Same.
	* testsuite/util/regression/rand/priority_queue/
	container_rand_regression_test.tcc: Inline functions.
	* testsuite/util/regression/rand/assoc/
	container_rand_regression_test.tcc: Same.

2009-06-03  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/23_containers/list/cons/6.cc: Adjust test name.

2009-06-02  Richard Sandiford  <r.sandiford@uk.ibm.com>

	* crossconfig.m4 (GLIBCXX_CROSSCONFIG): Handle AIX targets.
	* configure: Regenerate.

2009-06-03  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40299
	* include/ext/memory: Fully qualify calls with __gnu_cxx.
	* testsuite/ext/rope/40299.cc: New.

2009-05-28  Tom Tromey  <tromey@redhat.com>
	    Phil Muldoon  <pmuldoon@redhat.com>
	    Jonathan Wakely  <jwakely.gcc@gmail.com>

	* python/Makefile.in, , python/libstdcxx/__init__.py,
	python/libstdcxx/v6/__init__.py, python/libstdcxx/v6/printers.py,
	python/hook.in, python/Makefile.am: New files.
	* configure, Makefile.in: Rebuild.
	* acinclude.m4 (glibcxx_SUBDIRS): Add python.
	* Makefile.am (SUBDIRS): Add python.

2009-05-28  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/util/testsuite_allocator.h (check_new, check_delete): Move
	to ...
	* testsuite/util/replacement_memory_operators.h: ...here. New.
	* testsuite/util/testsuite_hooks.h (counter): To object_counter.
	* testsuite/util/testsuite_hooks.cc: Same.

	* testsuite/ext/mt_allocator/deallocate_local_thread-1.cc: Use
	replacement_memory_operators.h.
	* testsuite/ext/mt_allocator/deallocate_local_thread-3.cc: Same.
	* testsuite/ext/mt_allocator/check_delete.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local_thread-5.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local_thread-7.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_global_thread-1.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_global_thread-3.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local-2.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local-4.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local-6.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_local-8.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_global-2.cc: Same.
	* testsuite/ext/mt_allocator/deallocate_global-4.cc: Same.
	* testsuite/ext/mt_allocator/check_new.cc: Same.
	* testsuite/ext/debug_allocator/check_delete.cc: Same.
	* testsuite/ext/debug_allocator/check_new.cc: Same.
	* testsuite/ext/new_allocator/deallocate_global.cc: Same.
	* testsuite/ext/new_allocator/check_delete.cc: Same.
	* testsuite/ext/new_allocator/check_new.cc: Same.
	* testsuite/ext/new_allocator/deallocate_local.cc: Same.
	* testsuite/ext/throw_allocator/deallocate_global.cc: Same.
	* testsuite/ext/throw_allocator/check_delete.cc: Same.
	* testsuite/ext/throw_allocator/check_new.cc: Same.
	* testsuite/ext/throw_allocator/deallocate_local.cc: Same.
	* testsuite/ext/malloc_allocator/deallocate_global.cc: Same.
	* testsuite/ext/malloc_allocator/check_delete.cc: Same.
	* testsuite/ext/malloc_allocator/check_new.cc: Same.
	* testsuite/ext/malloc_allocator/deallocate_local.cc: Same.
	* testsuite/ext/pool_allocator/check_delete.cc: Same.
	* testsuite/ext/pool_allocator/check_new.cc: Same.
	* testsuite/ext/bitmap_allocator/check_delete.cc: Same.
	* testsuite/ext/bitmap_allocator/check_new.cc: Same.
	* testsuite/ext/array_allocator/check_delete.cc: Same.
	* testsuite/ext/array_allocator/check_new.cc: Same.
	* testsuite/23_containers/deque/cons/1.cc: Same.
	* testsuite/23_containers/deque/cons/2.cc: Same.

2009-05-27  Benjamin Kosnik  <bkoz@redhat.com>

	* libsupc++/initializer_list: Format.
	* testsuite/18_support/initializer_list/requirements/typedefs.cc: New.
	* testsuite/18_support/initializer_list/requirements/
	explicit_instantiation.cc: New.

2009-05-27  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/40273
	* include/tr1_impl/functional: Add explicit casts.
	* testsuite/20_util/function/requirements/
	explicit_instantiation.cc: New.
	* testsuite/20_util/function/null_pointer_comparisons.cc: New.

2009-05-24  Eelis van der Weegen  <eelis@eelis.net>

	* libsupc++/initializer_list (initializer_list): Add missing typedefs.

2009-05-21  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/40221
	* include/tr1_impl/functional: Add explicit cast.

2009-05-21  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40094
	Revert:
	2009-05-07  Paolo Carlini  <paolo.carlini@oracle.com>
	* include/ext/throw_allocator.h (throw_allocator_base): Avoid
	out of line member functions definitions.
	(throw_allocator_base::_S_g, _S_map, _S_throw_prob, _S_label):
	Remove, use static locals instead.
	(throw_allocator_base::do_check_allocated, print_to_string): Declare.
	* src/throw_allocator.cc: New.
	* src/Makefile.am: Add.
	* config/abi/pre/gnu.ver: Add exports.
	* src/Makefile.in: Regenerate.

2009-05-20  Benjamin Kosnik  <bkoz@redhat.com>

	* include/tr1_impl/functional (function): Use explicit operator bool.
	* include/bits/shared_ptr.h (__shared_ptr): Same.
	* include/bits/unique_ptr.h (unique_ptr): Same.
	* include/std/mutex (unique_lock): Same.
	* include/std/system_error (error_code): Same.
	(error_condition): Same.
	* include/std/ostream (sentry): Same.
	* include/std/istream (sentry): Same.
	* testsuite/19_diagnostics/error_condition/operators/bool.cc: Adjust.
	* testsuite/19_diagnostics/error_condition/operators/bool_neg.cc: Same.
	* testsuite/19_diagnostics/error_code/operators/bool.cc: Same.
	* testsuite/19_diagnostics/error_code/operators/bool_neg.cc: Same.
	* testsuite/20_util/unique_ptr/modifiers/reset_neg.cc: Same.
	* testsuite/20_util/unique_ptr/assign/assign_neg.cc: Same.
	* testsuite/20_util/shared_ptr/observers/bool_conv.cc: Same.

2009-05-19  Benjamin Kosnik  <bkoz@redhat.com>

	* testsuite/23_containers/list/14340.cc: Abstract list type.
	* testsuite/23_containers/list/init-list.cc: Same.
	* testsuite/23_containers/list/pthread5.cc: Same.
	* testsuite/23_containers/list/invalidation/1.cc: Same.
	* testsuite/23_containers/list/invalidation/2.cc: Same.
	* testsuite/23_containers/list/invalidation/3.cc: Same.
	* testsuite/23_containers/list/invalidation/4.cc: Same.
	* testsuite/23_containers/list/modifiers/insert/25288.cc: Same.
	* testsuite/23_containers/list/modifiers/1.cc: Same.
	* testsuite/23_containers/list/modifiers/2.cc: Same.
	* testsuite/23_containers/list/modifiers/3.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/1.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/2.cc: Same.
	* testsuite/23_containers/list/modifiers/swap/3.cc: Same.
	* testsuite/23_containers/list/cons/1.cc: Same.
	* testsuite/23_containers/list/cons/2.cc: Same.
	* testsuite/23_containers/list/cons/3.cc: Same.
	* testsuite/23_containers/list/cons/4.cc: Same.
	* testsuite/23_containers/list/cons/5.cc: Same.
	* testsuite/23_containers/list/cons/6.cc: Same.
	* testsuite/23_containers/list/cons/7.cc: Same.
	* testsuite/23_containers/list/cons/clear_allocator.cc: Same.
	* testsuite/23_containers/list/cons/8.cc: Same.
	* testsuite/23_containers/list/cons/9.cc: Same.
	* testsuite/23_containers/list/operations/1.cc: Same.
	* testsuite/23_containers/list/operations/2.cc: Same.
	* testsuite/23_containers/list/operations/3.cc: Same.
	* testsuite/23_containers/list/operations/4.cc: Same.
	* testsuite/23_containers/list/operations/5.cc: Same.
	* testsuite/23_containers/list/requirements/citerators.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/assign_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/insert_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_1_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_2_neg.cc: Same.
	* testsuite/23_containers/list/requirements/dr438/constructor.cc: Same.
	* testsuite/23_containers/list/requirements/
	partial_specialization/1.cc: Same.
	* testsuite/23_containers/list/23781.cc: Same.
	* testsuite/23_containers/list/pthread1.cc: Same.
	* testsuite/23_containers/list/capacity/1.cc: Same.
	* testsuite/23_containers/list/capacity/29134.cc: Same.
	* testsuite/23_containers/list/check_construct_destroy.cc: Same.
	* testsuite/23_containers/list/moveable.cc: Same.

	* testsuite/util/common_type/assoc/common_type.hpp: Re-break lines.

2009-05-19  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40184
	* include/bits/locale_classes.h (locale::facet::_S_lc_ctype_c_locale):
	Declare...
	* config/locale/gnu/c_locale.cc: ... and define.
	* config/locale/generic/c_locale.cc: Define.
	* src/localename.cc (locale::_Impl::_Impl(const char*, size_t)):
	Use it.
	* testsuite/22_locale/locale/cons/40184.cc: New.

2009-05-18  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40192
	* include/bits/stl_construct.h (struct _Destroy_aux): Add.
	(_Destroy(_ForwardIterator, _ForwardIterator)): Use the latter.
	* testsuite/23_containers/vector/40192.cc: New.

2009-05-18  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/bits/stl_pair.h (swap): Do not swap rvalues.
	* include/bits/stl_deque.h (swap): Likewise.
	* include/bits/stl_list.h (swap): Likewise.
	* include/bits/stl_vector.h (swap): Likewise.
	* include/bits/stl_bvector.h (swap): Likewise.
	* include/bits/stl_queue.h (swap): Likewise.
	* include/bits/stl_stack.h (swap): Likewise.
	* include/bits/stl_tree.h (swap): Likewise.
	* include/bits/stl_map.h (swap): Likewise.
	* include/bits/stl_multimap.h (swap): Likewise.
	* include/bits/stl_set.h (swap): Likewise.
	* include/bits/stl_multiset.h (swap): Likewise.
	* include/bits/forward_list.h (swap): Likewise.
	* include/bits/unique_ptr.h (swap): Likewise.
	* include/debug/deque (swap): Likewise.
	* include/debug/list (swap): Likewise.
	* include/debug/vector (swap): Likewise.
	* include/debug/map.h (swap): Likewise.
	* include/debug/multimap.h (swap): Likewise.
	* include/debug/set.h (swap): Likewise.
	* include/debug/multiset.h (swap): Likewise.
	* include/debug/unordered_map (swap): Likewise.
	* include/debug/unordered_set (swap): Likewise.
	* include/ext/vstring.h (swap): Likewise.
	* include/tr1_impl/unordered_map (swap): Likewise.
	* include/tr1_impl/hashtable (swap): Likewise.
	* include/tr1_impl/unordered_set (swap): Likewise.
	* include/std/tuple (swap): Likewise.
	* include/std/mutex (swap): Likewise.
	* include/std/thread (swap): Likewise.
	(operator<<): Only output to lvalue streams.
	* testsuite/20_util/shared_ptr/modifiers/swap_rvalue.cc: Remove.
	* testsuite/23_containers/headers/forward_list/synopsis.cc: Adjust.
	* testsuite/23_containers/deque/requirements/dr438/
	assign_neg.cc: Adjust line numbers.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	constructor_2_neg.cc: Likewise.
	* testsuite/23_containers/deque/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	assign_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	constructor_2_neg.cc: Likewise.
	* testsuite/23_containers/list/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/23_containers/vector/requirements/dr438/
	assign_neg.cc: Likewise.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_1_neg.cc: Likewise.
	* testsuite/23_containers/vector/requirements/dr438/
	constructor_2_neg.cc: Likewise.
	* testsuite/23_containers/vector/requirements/dr438/
	insert_neg.cc: Likewise.
	* testsuite/30_threads/thread/swap/1.cc: Swap with lvalue and also
	test non-member swap.
	* testsuite/30_threads/thread/swap/2.cc: Remove.

2009-05-16  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/mutex: Move std::lock_error to ...
	* src/compatibility.cc: Here.
	* src/mutex.cc: Likewise.
	* testsuite/30_threads/headers/mutex/types_std_c++0x.cc: Add checks
	for lock types and remove std::lock_error check.

2009-05-15  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/21_strings/basic_string/40160.cc: Remove spurious
	double include.

2009-05-15  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40160
	* include/debug/formatter.h (_Parameter::_Parameter): Don't use
	typeid when __GXX_RTTI is undefined.
	* src/debug.cc (_Error_formatter::_Parameter::_M_print_field): Adjust
	for null _M_variant._M_iterator._M_type,
	_M_variant._M_iterator._M_seq_type, _M_variant._M_sequence._M_type.
	* testsuite/21_strings/basic_string/40160.cc: New.

2009-05-15  Paolo Carlini  <paolo.carlini@oracle.com>

	* testsuite/26_numerics/random/discrete_distribution/cons/
	num_xbound_fun.cc: Minor tweaks.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/initlist_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	cons/num_xbound_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/initlist_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	cons/num_xbound_fun.cc: Likewise

2009-05-15  David Billinghurst <billingd@gcc.gnu.org>

	PR libstdc++/36211
	* testsuite/lib/libstdc++.exp(v3_target_compile):  Add
	cxxldflags to additional_flags rather than cxx_final.

2009-05-15  David Billinghurst <billingd@gcc.gnu.org>

	* testsuite/26_numerics/random/discrete_distribution/cons/
	num_xbound_fun.cc: Replace non-standard macro M_PI with constant pi.
	* testsuite/26_numerics/random/piecewise_constant_distribution/cons/
	initlist_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_constant_distribution/cons/
	num_xbound_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_linear_distribution/cons/
	initlist_fun.cc: Likewise
	* testsuite/26_numerics/random/piecewise_linear_distribution/cons/
	num_xbound_fun.cc: Likewise

2009-05-14  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/40123
	* random.tcc (independent_bits_engine<>::operator()()): Use
	result_type(1), not 1UL.

	* random.tcc (independent_bits_engine<>::operator()()): Use _M_b.max()
	and _M_b.min(), instead of this->max() and this->min().

	* random.h (_ShiftMin1): Remove, adjust everywhere.

	* random.tcc: Minor cosmetic changes.

2009-05-14  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/random.tcc (cauchy_distribution<>::
	operator()(_UniformRandomNumberGenerator&, const param_type&)):
	Avoid M_PI, a glibc extension.

2009-05-13  Ben Elliston  <bje@au.ibm.com>

	* include/Makefile.am (PCHFLAGS): Remove -Winvalid-pch.
	* include/Makefile.in: Likewise.

2009-05-13  Ben Elliston  <bje@au.ibm.com>

	* src/compatibility.cc (_ZTIe, _ZTIPe, _ZTIPKe): Change type to
	const void * const.

2009-05-12  Edward Smith-Rowland  <3dw4rd@verizon.net>

	* doc/xml/manual/status_cxx200x.xml: Note missing constexpr for
	random number engines, complex, bitset, array, time utilities, and
	char_traits.

2009-05-12  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* libsupc++/exception: Include nested_exception.h in C++0x mode.
	* libsupc++/nested_exception.h: New.
	* libsupc++/Makefile.am: Add new header.
	* libsupc++/Makefile.in: Regenerate.
	* testsuite/18_support/nested_exception/rethrow_nested.cc: New.
	* testsuite/18_support/nested_exception/throw_with_nested.cc: New.
	* testsuite/18_support/nested_exception/cons.cc: New.
	* testsuite/18_support/nested_exception/nested_ptr.cc: New.
	* testsuite/18_support/nested_exception/rethrow_if_nested.cc: New.
	* doc/xml/manual/status_cxx200x.xml: Adjust.

2009-05-07  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/ext/throw_allocator.h: Remove redundant include.

2009-05-07  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/ext/throw_allocator.h (throw_allocator_base): Avoid
	out of line member functions definitions.
	(throw_allocator_base::_S_g, _S_map, _S_throw_prob, _S_label):
	Remove, use static locals instead.
	(throw_allocator_base::do_check_allocated, print_to_string): Declare.
	* src/throw_allocator.cc: New.
	* src/Makefile.am: Add.
	* config/abi/pre/gnu.ver: Add exports.
	* src/Makefile.in: Regenerate.

2009-05-07  Paolo Carlini  <paolo.carlini@oracle.com>

	* configure.ac: Bump libtool_VERSION to 6:12:0.
	* configure: Regenerate.

2009-05-07  Matthias Klose  <doko@ubuntu.com>

	PR libstdc++/40038
	* src/math_stubs_long_double.cc: Add ceill.

2009-05-06  Johannes Singler  <singler@ira.uka.de>

	PR libstdc++/39546
	* include/parallel/algo.h (find_switch):
	Parametrize binder2nd with const T& instead of T.
	* testsuite/25_algorithms/find/39546.cc: new test case

2009-05-06  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert:
	2009-05-03  Paolo Carlini  <paolo.carlini@oracle.com>

	* acinclude.m4 ([GLIBCXX_ENABLE_ATOMIC_BUILTINS]): Do link tests when
	possible.
	* configure: Regenerate.

2009-05-05  Jonathan Wakely  <jwakely.gcc@gmail.com>

	PR libstdc++/39909
	* include/std/mutex (__get_once_functor_lock, __get_once_mutex,
	__set_once_functor_lock_ptr): Replace global lock object with local
	locks on global mutex.
	* src/mutex.cc (__get_once_functor_lock, __get_once_mutex,
	__set_once_functor_lock_ptr): Likewise, keeping old function to
	preserve ABI.
	(__once_proxy): Use pointer to local lock if set, global lock
	otherwise.
	* config/abi/pre/gnu.ver: Add new symbols to new ABI version.
	* testsuite/util/testsuite_abi.cc: Add GLIBCX_3.4.12 version.
	* testsuite/30_threads/call_once/39909.cc: New.

2009-05-03  Jan Hubicka  <jh@suse.cz>

	* include/parallel/settings.h (get): Mark const.
	* libsupc++/unwind-cxx.h (__cxa_call_terminate): Mark throw ().
	* libsupc++/eh_call.cc (__cxa_call_terminate): Mark throw ().
	* config/io/basic_file_stdio.cc (sys_open, is_open, fd, seekoff): Mark
	throw ().
	* config/io/basic_file_stdio.h (__basic_file, sys_open): Mark throw ().
	(is_open, fd): Mark pure and throw ().
	(seekoff): Mark throw ().

2009-05-03  Paolo Carlini  <paolo.carlini@oracle.com>

	* acinclude.m4 ([GLIBCXX_ENABLE_ATOMIC_BUILTINS]): Do link tests when
	possible.
	* configure: Regenerate.

2009-05-02  Jan Hubicka  <jh@suse.cz>

	* include/tr1_impl/functional_hash.h (explicit specializations of ()
	operator): Mark pure.

2009-04-30  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* scripts/create_testsuite_files: Remove thread directory.

2009-04-28  Benjamin Kosnik  <bkoz@redhat.com>

	PR libstdc++/39868
	* scripts/run_doxygen: Uncomment removal of includes.
	(problematic): Rewrite __cxxabiv1 namespace to abi.

2009-04-26  Paolo Carlini  <paolo.carlini@oracle.com>

	Revert the last commit.

2009-04-25  Jonathan Wakely  <jwakely.gcc@gmail.com>

	* include/std/mutex (__get_once_functor_lock, __get_once_mutex):
	Replace global lock object with local locks on global mutex.
	* src/mutex.cc: Likewise.
	* config/abi/pre/gnu.ver: Adjust.
	* testsuite/30_threads/call_once/call_once2.cc: New.

2009-04-25  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39880
	PR libstdc++/39881
	PR libstdc++/39882
	* include/std/system_error (is_error_code_enum<errc>): Remove.
	(error_condition<>::error_condition(_ErrorCodeEnum,)
	error_condition<>::operator=(_ErrorCodeEnum)): Use make_error_condition.
	(error_code<>::error_code(_ErrorCodeEnum,),
	error_code<>::operator=(_ErrorCodeEnum)): Use make_error_code.
	* testsuite/19_diagnostics/system_error/39880.cc: New.
	* testsuite/19_diagnostics/error_condition/modifiers/39881.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/cons/39881.cc: Likewise.
	* testsuite/19_diagnostics/error_code/modifiers/39882.cc: Likewise.
	* testsuite/19_diagnostics/error_code/cons/39882.cc: Likewise.
	* testsuite/27_io/basic_ostream/inserters_other/char/error_code.cc:
	Adjust.
	* testsuite/27_io/basic_ostream/inserters_other/wchar_t/error_code.cc:
	Likewise.
	* testsuite/19_diagnostics/error_code/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_category/cons/copy_neg.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-4.cc: Likewise.
	* testsuite/30_threads/unique_lock/locking/2.cc: Likewise.

2009-04-24  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/authors.xml: Add space.
	* doc/xml/faq.xml: Update links.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/abi.xml: Update.
	* doc/xml/manual/appendix_contributing.xml: Fix typo.
	* doc/xml/manual/status_cxxtr1.xml: Update links.
	* doc/xml/manual/status_cxx1998.xml: Same.
	* doc/xml/manual/status_cxx200x.xml: Same.

2009-04-22  Jan Hubicka  <jh@suse.cz>

	* include/tr1_impl/array (at): Do not use builtin_expect.
	* include/ext/throw_allocator.h (allocate): Likewise.
	* include/ext/pool_allocator.h (allocate): Likweise.
	* include/ext/bitmap_allocator.h (allocate): Likewise.
	* include/ext/rc_string_base.h (_S_construct): Likewise.
	* include/ext/malloc_allocator.h (allocate): Likewise.
	* include/ext/mt_allocator.h (allocate): Likewise.
	* include/ext/sso_string_base.h (_M_construct): Likewise.
	* include/bits/basic_string.tcc (_S_construct): Likewise.

2009-04-22  Jan Hubicka  <jh@suse.cz>

	* include/c_std/cstdlib (abort, exit, _Exit): Mark noreturn throw ().
	(atexit, atoll, stroll, strtoull): Mark throw ()
	* include/c_std/cstdio (snprintf, vsnprintf, vscanf): Mark throw ().
	* include/c_std/cwchar (wcstold, wcstoll, wcstoull): Mark throw ().
	* include/c_global/cstdlib (abort, exit, _Exit): Mark noreturn throw ().
	(atexit, atoll, stroll, strtoull): Mark throw ()
	* include/c_global/cstdio (snprintf, vsnprintf, vscanf): Mark throw ().
	* include/c_wchar/cstdio (snprintf, vsnprintf, vscanf): Mark throw ().

2009-04-21  Jan Hubicka  <jh@suse.cz>

	* include/ext/atomicity.h
	(__exchange_and_add, __atomic_add): Mark throw ().
	* config/os/aix/atomicity.h
	* config/os/aix/atomicity.h
	* config/os/irix/atomicity.h
	* config/cpu/cris/atomicity.h
	* config/cpu/m68k/atomicity.h
	* config/cpu/hppa/atomicity.h
	* config/cpu/sparc/atomicity.h
	* config/cpu/i386/atomicity.h
	* config/cpu/i486/atomicity.h
	* config/cpu/sh/atomicity.h
	* config/cpu/generic/atomicity_mutex/atomicity.h
	* config/cpu/generic/atomicity_builtins/atomicity.h
	(__exchange_and_add, __atomic_add): Mark throw ().

2009-04-21  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39835
	* include/bits/random.h: Avoid the badname __alpha (and, for
	consistency, __beta too).
	* include/bits/random.tcc: Likewise.

2009-04-19  Jan Hubicka  <jh@suse.cz>

	* include/c_compatibility/stdatomic.h (__atomic_flag_for_address): Use
	_GLIBCXX_NOTHROW.

2009-04-19  Jan Hubicka  <jh@suse.cz>

	* include/c_compatibility/stdatomic.h
	(atomic_flag_test_and_set_explicit, atomic_flag_clear_explicit,
	__atomic_flag_wait_explicit): Use _GLIBCXX_NOTHROW.
	* include/bits/c++config (_GLIBCXX_NOTHROW): New.

2009-04-18  Jan Hubicka  <jh@suse.cz>

	* libsupc++/eh_type.cc (__cxa_current_exception_type) Mark throw().
	* libsupc++/unwind-cxx.h (__cxa_get_globals,
	__cxa_get_globals_fast): Mark const.
	(__cxa_get_exception_ptr): Mark pure.
	(__cxa_bad_cast, __cxa_bad_typeid): Mark noreturn
	(__terminate): Makr throw ().
	* libsupc++/exception (terminate): Mark throw().
	(uncaught_exception): Mark pure.
	* libsupc++/eh_ptr.cc (_M_safe_bool_dummy): Mark throw().
	* libsupc++/guard.cc (__cxa_guard_abort, __cxa_guard_release):
	Mark throw().
	* libsupc++/eh_terminate.cc (__terminate, terminate): Mark throw().
	* libsupc++/vec.cc (__cxa_vec_cleanup): Mark throw().
	* libsupc++/cxxabi.h (__cxa_vec_cleanup, __cxa_guard_release,
	__cxa_guard_abort): Mark throw ().
	(__cxa_pure_virtual): Mark noreturn.
	(__cxa_current_exception_type): Mark throw and pure.
	* libsupc++/exception_ptr.h (operator ==, !=, _M_get, !, ==,
	__cxa_exception_type): Mark pure.
	(_M_safe_bool_dummy): Mark pure and const.

2009-04-18  Jan Hubicka  <jh@suse.cz>

	* src/pool_allocator.cc (_M_get_free_list, _M_get_mutex): Mark throw ()
	* src/mt_allocator.cc (_M_reclaim_block, _M_reclaim_block,
	_M_destroy_thread_key): Mark throw ()
	* debug.cc (_M_get_mutex, _M_attach_single, _M_detach_single,
	_M_singular, _M_can_compare _M_get_mutex, _M_message,
	_M_get_max_length): Mark throw ().
	* include/debug/formatter.h (_M_message, _M_format_word,
	_M_get_max_length): Mark throw ().
	* include/debug/safe_base.h (_M_get_mutex, _M_attach_single,
	_M_detach_single): Mark throw ().
	(_M_singular, _M_can_compare, _M_get_mutex): Mark pure and throw ().
	* include/ext/pool_allocator.h (_M_get_free_list): Mark const and
	throw ()
	(_M_get_mutex): Mark throw ().
	* include/ext/mt_allocator.h (_M_reclaim_block): Mark throw ();
	(_M_destroy_thread_key): Mark CONST and throw.
	* include/bits/stl_list.h (swap, transfer, reverse, hook, unhook): Mark
	throw ().

2009-04-18  Jan Hubicka  <jh@suse.cz>

	* src/condition_variable.cc (condition_variable,
	condition_variable_any constructors): Mark throw()
	* src/hash.cc (operator() for long double, string, and wstring): Mark
	throw ().
	* src/strstream.cc (strstreambuf constructors, freeze, str, pcount,
	_M_setup, rdbuf, str): Mark throw ().
	* src/chrono.cc (new): Mark throw ().
	* include/std/system_error (system_category, generic_category): Mark
	throw () and const.
	* include/std/chrono (now): Mark throw ().
	* include/std/condition_variable (condition_variable,
	~condition_variable, condition_variable_any,
	~condition_variable_any): Mark throw ().
	* include/std/mutex (mutex): Mark throw ().
	* include/bits/stl_list.h (swap, transfer, reverse, hook, unhook): Mark
	throw.
	* include/bits/functional_hash.h (operator()  on size_t): Mark pure
	and throw ().
	* include/bits/locale_facets.tcc (__verify_grouping): Mark pure.
	* include/bits/locale_classes.h (_S_initialize_once,
	_S_clone_c_locale): Mark throw ().
	(_S_get_c_name): Mark const and throw ().
	(_M_id, _M_compare, _M_transform, _M_compare, _M_transform): Mark
	throw ().
	* include/bits/locale_facets.h (__convert_to_v explicit instances):
	Mark throw ().
	(_M_convert_to_wmask, _M_initialize_ctype, _S_format_float): Mark
	throw ().
	* include/bits/ios_base.h (_M_dispose_callbacks, _M_init, imbue,
	ios_base): Mark throw ()
	* include/bits/locale_facets_nonio.h (_M_put): Mark throw.
	* include/backward/strstream (strstreambuf constructors): Mark throw ().
	(str, freeze, _M_setupf): Mark throw ().
	(pcount): Mark pure and throw ().
	(rdbuf): Mark const and throw ().

2009-04-18  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39802
	* include/bits/locale_facets.tcc (num_get<>::_M_extract_int
	(_InIter, _InIter, ios_base&, ios_base::iostate&, _ValueT&)):
	Always accept negative values, for unsigned types too.
	* testsuite/22_locale/num_get/get/char/39802.cc: New.
	* testsuite/22_locale/num_get/get/wchar_t/39802.cc: Likewise.

2009-04-18  Jan Hubicka  <jh@suse.cz>

	* include/debug/formater.h: Include bits/c++config.h.
	(_M_error): Mark noreturn.
	* include/bits/c++config (_GLIBCXX_PURE, _GLIBCXX_CONST,
	_GLIBCXX_NORETURN): New.
	* include/bits/stl_tree.h (_Rb_tree_increment, _Rb_tree_increment,
	_Rb_tree_decrement, _Rb_tree_decrement, _Rb_tree_black_count):
	Mark pure.
	* include/c_compatibility/stdatomic.h
	(atomic_flag_test_and_set_explicit, atomic_flag_clear_explicit,
	__atomic_flag_wait_explicit, __atomic_flag_for_address):
	Mark by throw ().
	* src/atomic.cc (atomic_flag_test_and_set_explicit,
	atomic_flag_clear_explicit, __atomic_flag_wait_explicit,
	__atomic_flag_for_address): Mark by throw ().

2009-04-17  Uros Bizjak  <ubizjak@gmail.com>

	* config/abi/post/alpha-linux-gnu/baseline_symbols.txt: Regenerated.

2009-04-16  Jan Hubicka  <jh@suse.cz>

	* tree.cc (_Rb_tree_increment, _Rb_tree_decrement,
	_Rb_tree_rebalance_for_erase, _Rb_tree_black_count): Mark nothrow;
	update uses of _Rb_tree_rotate_left, _Rb_tree_rotate_right.
	(_Rb_tree_rotate_left, _Rb_tree_rotate_right): Make wrapper and break
	out body to ...
	(local_Rb_tree_rotate_left, local_Rb_tree_rotate_right): New static
	functions.
	* stl_tree.h (_Rb_tree_increment, _Rb_tree_decrement,
	_Rb_tree_insert_and_rebalance, _Rb_tree_rebalance_for_erase,
	_Rb_tree_black_count): Mark nothrow.

2009-04-16  Paolo Carlini  <paolo.carlini@oracle.com>

	* include/bits/forward_list.h: Remove default std::allocator<_Tp>
	from base classes.
	* testsuite/23_containers/forward_list/capacity/1.cc: Adjust.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/html: Regenerate.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/status_cxx1998.xml: Update to new table style.

	* doc/xml/gnu/gpl-3.0.xml: Add or adjust dbhtml markup.
	* doc/xml/gnu/fdl-1.2.xml: Same.
	* doc/xml/manual/numerics.xml: Same.
	* doc/xml/manual/concurrency.xml: Same.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/status_cxxtr1.xml: Same.
	* doc/xml/manual/containers.xml: Same.
	* doc/xml/manual/io.xml: Same.
	* doc/xml/manual/utilities.xml: Same.
	* doc/xml/manual/support.xml: Same.
	* doc/xml/manual/using.xml: Same.
	* doc/xml/manual/localization.xml: Same.
	* doc/xml/manual/locale.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/diagnostics.xml: Same.
	* doc/xml/manual/status_cxx200x.xml: Same.

2009-04-15  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/manual/status_cxxtr1.xml: Update to new table style.
	* doc/xml/manual/status_cxx200x.xml: Adjust.

2009-04-14  Benjamin Kosnik  <bkoz@redhat.com>

	* doc/xml/spine.xml: Remove unused license entity, update
	copyright year.

	* doc/xml/manual/spine.xml: Markup for primary index terms.
	* doc/xml/manual/numerics.xml: Same.
	* doc/xml/manual/intro.xml: Same.
	* doc/xml/manual/containers.xml: Same.
	* doc/xml/manual/io.xml: Same.
	* doc/xml/manual/appendix_porting.xml: Same.
	* doc/xml/manual/utilities.xml: Same.
	* doc/xml/manual/support.xml: Same.
	* doc/xml/manual/localization.xml: Same.
	* doc/xml/manual/strings.xml: Same.
	* doc/xml/manual/extensions.xml: Same.
	* doc/xml/manual/appendix_contributing.xml: Same.
	* doc/xml/manual/diagnostics.xml: Same.
	* doc/xml/manual/algorithms.xml: Same.
	* doc/xml/manual/appendix_free.xml: Same.
	* doc/xml/manual/iterators.xml: Same.

	* doc/xml/gnu/gpl-3.0.xml: Fix xml markup regressions.
	* doc/xml/gnu/fdl-1.2.xml: Same.

	* doc/xml/manual/status_cxx200x.xml: Re-write.

2009-04-09  Paolo Carlini  <paolo.carlini@oracle.com>

	PR libstdc++/39629 (final bits)
	* include/bits/random.h (subtract_with_carry_engine<>::_S_modulus):
	Remove, consistently use __detail::_Shift<_UIntType, __w>::__value.
	* include/bits/random.tcc (shuffle_order_engine<>::operator()()):
	Fix formula for __j.
	* include/bits/random.tcc (operator==(const normal_distribution<>&,
	const normal_distribution<>&): Remove.
	* include/bits/random.h (operator==(const uniform_int_distribution<>&,
	const uniform_int_distribution<>&), operator==(const
	uniform_real_distribution<>&, const uniform_real_distribution<>&),
	operator==(const normal_distribution<>&, const normal_distribution<>&),
	operator==(const lognormal_distribution<>&,
	const lognormal_distribution<>&), operator==(const
	chi_squared_distribution<>&, const chi_squared_distribution<>&),
	operator==(const cauchy_distribution<>&, const cauchy_distribution<>&),
	operator==(const fisher_distribution<>&, const fisher_distribution<>&),
	operator==(const student_t_distribution<>&,
	const student_t_distribution<>&), operator==(const
	bernoulli_distribution<>&, const bernoulli_distribution<>&),
	operator==(const binomial_distribution<>&, const
	binomial_distribution<>&), operator==(const geometric_distribution<>&,
	const geometric_distribution<>&), operator==(const
	negative_binomial_distribution<>&, const
	negative_binomial_distribution<>&), operator==(const
	poisson_distribution<>&, const poisson_distribution<>&),
	operator==(const exponential_distribution<>&,
	const exponential_distribution<>&), operator==(const
	gamma_distribution<>&, const gamma_distribution<>&), operator==(const
	weibull_distribution<>&, const weibull_distribution<>&),
	operator==(const extreme_value_distribution<>&,
	const extreme_value_distribution<>&), operator==(const
	discrete_distribution<>&, const discrete_distribution<>&),
	operator==(const piecewise_constant_distribution<>&,
	const piecewise_constant_distribution<>&), operator==(const
	piecewise_linear_distribution<>&, const
	piecewise_linear_distribution<>&)): Remove.
	* testsuite/26_numerics/random/uniform_real_distribution/operators/
	serialize.cc: Remove.
	* testsuite/26_numerics/random/piecewise_constant_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/chi_squared_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/normal_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/uniform_int_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/poisson_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/bernoulli_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/discrete_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/weibull_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/negative_binomial_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/cauchy_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/gamma_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/fisher_f_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/exponential_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/lognormal_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/binomial_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/extreme_value_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/piecewise_linear_distribution/
	operators/serialize.cc: Likewise.
	* testsuite/26_numerics/random/student_t_distribution/operators/
	serialize.cc: Likewise.
	* testsuite/26_numerics/random/geometric_distribution/operators/
	serialize.cc: Likewise.

	* include/bits/random.h (linear_congruential_engine<>::seed(_Gen&,
	true_type), linear_congruential_engine<>::seed(_Gen&, false_type),
	mersenne_twister_engine<>::seed(_Gen&,
	true_type), mersenne_twister_engine<>::seed(_Gen&, false_type),
	subtract_with_carry_engine<>::seed(_Gen&,
	true_type), subtract_with_carry_engine<>::seed(_Gen&, false_type)):
	Remove, unused.
	* include/bits/random.tcc (linear_congruential_engine<>::
	seed(_Gen&, false_type): Likewise.

2009-04-09  Nick Clifton  <nickc@redhat.com>

	* src/allocator-inst.cc: Change copyright header to refer to
	version 3 of the GNU General Public License with version 3.1
	of the GCC Runtime Library Exception and to point readers at
	the COPYING3 and COPYING3.RUNTIME files and the FSF's license
	web page.
	* config/abi/compatibility.h: Likewise.
	* config/abi/pre/gnu-versioned-namespace.ver: Likewise.
	* config/abi/pre/gnu.ver: Likewise.
	* config/allocator/bitmap_allocator_base.h: Likewise.
	* config/allocator/malloc_allocator_base.h: Likewise.
	* config/allocator/mt_allocator_base.h: Likewise.
	* config/allocator/new_allocator_base.h: Likewise.
	* config/allocator/pool_allocator_base.h: Likewise.
	* config/cpu/alpha/atomic_word.h: Likewise.
	* config/cpu/arm/cxxabi_tweaks.h: Likewise.
	* config/cpu/cris/atomic_word.h: Likewise.
	* config/cpu/cris/atomicity.h: Likewise.
	* config/cpu/generic/atomic_word.h: Likewise.
	* config/cpu/generic/atomicity_builtins/atomicity.h: Likewise.
	* config/cpu/generic/atomicity_mutex/atomicity.h: Likewise.
	* config/cpu/generic/cpu_defines.h: Likewise.
	* config/cpu/generic/cxxabi_tweaks.h: Likewise.
	* config/cpu/hppa/atomicity.h: Likewise.
	* config/cpu/i386/atomicity.h: Likewise.
	* config/cpu/i486/atomicity.h: Likewise.
	* config/cpu/ia64/atomic_word.h: Likewise.
	* config/cpu/m68k/atomicity.h: Likewise.
	* config/cpu/powerpc/atomic_word.h: Likewise.
	* config/cpu/powerpc/cpu_defines.h: Likewise.
	* config/cpu/sh/atomicity.h: Likewise.
	* config/cpu/sparc/atomic_word.h: Likewise.
	* config/cpu/sparc/atomicity.h: Likewise.
	* config/io/basic_file_stdio.cc: Likewise.
	* config/io/basic_file_stdio.h: Likewise.
	* config/io/c_io_stdio.h: Likewise.
	* config/locale/darwin/ctype_members.cc: Likewise.
	* config/locale/generic/c++locale_internal.h: Likewise.
	* config/locale/generic/c_locale.cc: Likewise.
	* config/locale/generic/c_locale.h: Likewise.
	* config/locale/generic/codecvt_members.cc: Likewise.
	* config/locale/generic/collate_members.cc: Likewise.
	* config/locale/generic/ctype_members.cc: Likewise.
	* config/locale/generic/messages_members.cc: Likewise.
	* config/locale/generic/messages_members.h: Likewise.
	* config/locale/generic/monetary_members.cc: Likewise.
	* config/locale/generic/numeric_members.cc: Likewise.
	* config/locale/generic/time_members.cc: Likewise.
	* config/locale/generic/time_members.h: Likewise.
	* config/locale/gnu/c++locale_internal.h: Likewise.
	* config/locale/gnu/c_locale.cc: Likewise.
	* config/locale/gnu/c_locale.h: Likewise.
	* config/locale/gnu/codecvt_members.cc: Likewise.
	* config/locale/gnu/collate_members.cc: Likewise.
	* config/locale/gnu/ctype_members.cc: Likewise.
	* config/locale/gnu/messages_members.cc: Likewise.
	* config/locale/gnu/messages_members.h: Likewise.
	* config/locale/gnu/monetary_members.cc: Likewise.
	* config/locale/gnu/numeric_members.cc: Likewise.
	* config/locale/gnu/time_members.cc: Likewise.
	* config/locale/gnu/time_members.h: Likewise.
	* config/locale/ieee_1003.1-2001/c_locale.cc: Likewise.
	* config/locale/ieee_1003.1-2001/c_locale.h: Likewise.
	* config/locale/ieee_1003.1-2001/messages_members.cc: Likewise.
	* config/locale/ieee_1003.1-2001/messages_members.h: Likewise.
	* config/os/aix/atomic_word.h: Likewise.
	* config/os/aix/atomicity.h: Likewise.
	* config/os/aix/ctype_base.h: Likewise.
	* config/os/aix/ctype_inline.h: Likewise.
	* config/os/aix/ctype_noninline.h: Likewise.
	* config/os/aix/os_defines.h: Likewise.
	* config/os/bsd/darwin/ctype_base.h: Likewise.
	* config/os/bsd/darwin/ctype_inline.h: Likewise.
	* config/os/bsd/darwin/ctype_noninline.h: Likewise.
	* config/os/bsd/darwin/os_defines.h: Likewise.
	* config/os/bsd/freebsd/ctype_base.h: Likewise.
	* config/os/bsd/freebsd/ctype_inline.h: Likewise.
	* config/os/bsd/freebsd/ctype_noninline.h: Likewise.
	* config/os/bsd/freebsd/os_defines.h: Likewise.
	* config/os/bsd/netbsd/ctype_base.h: Likewise.
	* config/os/bsd/netbsd/ctype_inline.h: Likewise.
	* config/os/bsd/netbsd/ctype_noninline.h: Likewise.
	* config/os/bsd/netbsd/os_defines.h: Likewise.
	* config/os/djgpp/ctype_base.h: Likewise.
	* config/os/djgpp/ctype_inline.h: Likewise.
	* config/os/djgpp/ctype_noninline.h: Likewise.
	* config/os/djgpp/os_defines.h: Likewise.
	* config/os/generic/ctype_base.h: Likewise.
	* config/os/generic/ctype_inline.h: Likewise.
	* config/os/generic/ctype_noninline.h: Likewise.
	* config/os/generic/error_constants.h: Likewise.
	* config/os/generic/os_defines.h: Likewise.
	* config/os/gnu-linux/ctype_base.h: Likewise.
	* config/os/gnu-linux/ctype_inline.h: Likewise.
	* config/os/gnu-linux/ctype_noninline.h: Likewise.
	* config/os/gnu-linux/os_defines.h: Likewise.
	* config/os/hpux/ctype_base.h: Likewise.
	* config/os/hpux/ctype_inline.h: Likewise.
	* config/os/hpux/ctype_noninline.h: Likewise.
	* config/os/hpux/os_defines.h: Likewise.
	* config/os/irix/atomic_word.h: Likewise.
	* config/os/irix/atomicity.h: Likewise.
	* config/os/irix/irix5.2/ctype_base.h: Likewise.
	* config/os/irix/irix5.2/ctype_inline.h: Likewise.
	* config/os/irix/irix5.2/ctype_noninline.h: Likewise.
	* config/os/irix/irix5.2/os_defines.h: Likewise.
	* config/os/irix/irix6.5/ctype_base.h: Likewise.
	* config/os/irix/irix6.5/ctype_inline.h: Likewise.
	* config/os/irix/irix6.5/ctype_noninline.h: Likewise.
	* config/os/irix/irix6.5/os_defines.h: Likewise.
	* config/os/mingw32/ctype_base.h: Likewise.
	* config/os/mingw32/ctype_inline.h: Likewise.
	* config/os/mingw32/ctype_noninline.h: Likewise.
	* config/os/mingw32/error_constants.h: Likewise.
	* config/os/mingw32/os_defines.h: Likewise.
	* config/os/newlib/ctype_base.h: Likewise.
	* config/os/newlib/ctype_inline.h: Likewise.
	* config/os/newlib/ctype_noninline.h: Likewise.
	* config/os/newlib/os_defines.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_base.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_inline.h: Likewise.
	* config/os/qnx/qnx6.1/ctype_noninline.h: Likewise.
	* config/os/qnx/qnx6.1/os_defines.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_base.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_inline.h: Likewise.
	* config/os/solaris/solaris2.7/ctype_noninline.h: Likewise.
	* config/os/solaris/solaris2.7/os_defines.h: Likewise.
	* config/os/tpf/ctype_base.h: Likewise.
	* config/os/tpf/ctype_inline.h: Likewise.
	* config/os/tpf/ctype_noninline.h: Likewise.
	* config/os/tpf/os_defines.h: Likewise.
	* config/os/uclibc/ctype_base.h: Likewise.
	* config/os/uclibc/ctype_inline.h: Likewise.
	* config/os/uclibc/ctype_noninline.h: Likewise.
	* config/os/uclibc/os_defines.h: Likewise.
	* config/os/vxworks/ctype_base.h: Likewise.
	* config/os/vxworks/ctype_inline.h: Likewise.
	* config/os/vxworks/ctype_noninline.h: Likewise.
	* config/os/vxworks/os_defines.h: Likewise.
	* include/backward/auto_ptr.h: Likewise.
	* include/backward/backward_warning.h: Likewise.
	* include/backward/binders.h: Likewise.
	* include/backward/hash_fun.h: Likewise.
	* include/backward/hash_map: Likewise.
	* include/backward/hash_set: Likewise.
	* include/backward/hashtable.h: Likewise.
	* include/backward/strstream: Likewise.
	* include/bits/algorithmfwd.h: Likewise.
	* include/bits/allocator.h: Likewise.
	* include/bits/atomic_0.h: Likewise.
	* include/bits/atomic_2.h: Likewise.
	* include/bits/atomicfwd_c.h: Likewise.
	* include/bits/atomicfwd_cxx.h: Likewise.
	* include/bits/basic_ios.h: Likewise.
	* include/bits/basic_ios.tcc: Likewise.
	* include/bits/basic_string.h: Likewise.
	* include/bits/basic_string.tcc: Likewise.
	* include/bits/boost_concept_check.h: Likewise.
	* include/bits/c++config: Likewise.
	* include/bits/char_traits.h: Likewise.
	* include/bits/codecvt.h: Likewise.
	* include/bits/concept_check.h: Likewise.
	* include/bits/cpp_type_traits.h: Likewise.
	* include/bits/deque.tcc: Likewise.
	* include/bits/forward_list.h: Likewise.
	* include/bits/forward_list.tcc: Likewise.
	* include/bits/fstream.tcc: Likewise.
	* include/bits/functexcept.h: Likewise.
	* include/bits/functional_hash.h: Likewise.
	* include/bits/gslice.h: Likewise.
	* include/bits/gslice_array.h: Likewise.
	* include/bits/hashtable.h: Likewise.
	* include/bits/indirect_array.h: Likewise.
	* include/bits/ios_base.h: Likewise.
	* include/bits/istream.tcc: Likewise.
	* include/bits/list.tcc: Likewise.
	* include/bits/locale_classes.h: Likewise.
	* include/bits/locale_classes.tcc: Likewise.
	* include/bits/locale_facets.h: Likewise.
	* include/bits/locale_facets.tcc: Likewise.
	* include/bits/locale_facets_nonio.h: Likewise.
	* include/bits/locale_facets_nonio.tcc: Likewise.
	* include/bits/localefwd.h: Likewise.
	* include/bits/mask_array.h: Likewise.
	* include/bits/move.h: Likewise.
	* include/bits/ostream.tcc: Likewise.
	* include/bits/ostream_insert.h: Likewise.
	* include/bits/postypes.h: Likewise.
	* include/bits/shared_ptr.h: Likewise.
	* include/bits/slice_array.h: Likewise.
	* include/bits/sstream.tcc: Likewise.
	* include/bits/stl_algo.h: Likewise.
	* include/bits/stl_algobase.h: Likewise.
	* include/bits/stl_bvector.h: Likewise.
	* include/bits/stl_construct.h: Likewise.
	* include/bits/stl_deque.h: Likewise.
	* include/bits/stl_function.h: Likewise.
	* include/bits/stl_heap.h: Likewise.
	* include/bits/stl_iterator.h: Likewise.
	* include/bits/stl_iterator_base_funcs.h: Likewise.
	* include/bits/stl_iterator_base_types.h: Likewise.
	* include/bits/stl_list.h: Likewise.
	* include/bits/stl_map.h: Likewise.
	* include/bits/stl_multimap.h: Likewise.
	* include/bits/stl_multiset.h: Likewise.
	* include/bits/stl_numeric.h: Likewise.
	* include/bits/stl_pair.h: Likewise.
	* include/bits/stl_queue.h: Likewise.
	* include/bits/stl_raw_storage_iter.h: Likewise.
	* include/bits/stl_relops.h: Likewise.
	* include/bits/stl_set.h: Likewise.
	* include/bits/stl_stack.h: Likewise.
	* include/bits/stl_tempbuf.h: Likewise.
	* include/bits/stl_tree.h: Likewise.
	* include/bits/stl_uninitialized.h: Likewise.
	* include/bits/stl_vector.h: Likewise.
	* include/bits/stream_iterator.h: Likewise.
	* include/bits/streambuf.tcc: Likewise.
	* include/bits/streambuf_iterator.h: Likewise.
	* include/bits/stringfwd.h: Likewise.
	* include/bits/unique_ptr.h: Likewise.
	* include/bits/valarray_after.h: Likewise.
	* include/bits/valarray_array.h: Likewise.
	* include/bits/valarray_array.tcc: Likewise.
	* include/bits/valarray_before.h: Likewise.
	* include/bits/vector.tcc: Likewise.
	* include/c/cassert: Likewise.
	* include/c/cctype: Likewise.
	* include/c/cerrno: Likewise.
	* include/c/cfloat: Likewise.
	* include/c/ciso646: Likewise.
	* include/c/climits: Likewise.
	* include/c/clocale: Likewise.
	* include/c/cmath: Likewise.
	* include/c/csetjmp: Likewise.
	* include/c/csignal: Likewise.
	* include/c/cstdarg: Likewise.
	* include/c/cstddef: Likewise.
	* include/c/cstdio: Likewise.
	* include/c/cstdlib: Likewise.
	* include/c/cstring: Likewise.
	* include/c/ctime: Likewise.
	* include/c/cwchar: Likewise.
	* include/c/cwctype: Likewise.
	* include/c_compatibility/assert.h: Likewise.
	* include/c_compatibility/complex.h: Likewise.
	* include/c_compatibility/ctype.h: Likewise.
	* include/c_compatibility/errno.h: Likewise.
	* include/c_compatibility/fenv.h: Likewise.
	* include/c_compatibility/float.h: Likewise.
	* include/c_compatibility/inttypes.h: Likewise.
	* include/c_compatibility/iso646.h: Likewise.
	* include/c_compatibility/limits.h: Likewise.
	* include/c_compatibility/locale.h: Likewise.
	* include/c_compatibility/math.h: Likewise.
	* include/c_compatibility/setjmp.h: Likewise.
	* include/c_compatibility/signal.h: Likewise.
	* include/c_compatibility/stdarg.h: Likewise.
	* include/c_compatibility/stdatomic.h: Likewise.
	* include/c_compatibility/stdbool.h: Likewise.
	* include/c_compatibility/stddef.h: Likewise.
	* include/c_compatibility/stdint.h: Likewise.
	* include/c_compatibility/stdio.h: Likewise.
	* include/c_compatibility/stdlib.h: Likewise.
	* include/c_compatibility/string.h: Likewise.
	* include/c_compatibility/tgmath.h: Likewise.
	* include/c_compatibility/time.h: Likewise.
	* include/c_compatibility/wchar.h: Likewise.
	* include/c_compatibility/wctype.h: Likewise.
	* include/c_global/cassert: Likewise.
	* include/c_global/ccomplex: Likewise.
	* include/c_global/cctype: Likewise.
	* include/c_global/cerrno: Likewise.
	* include/c_global/cfenv: Likewise.
	* include/c_global/cfloat: Likewise.
	* include/c_global/cinttypes: Likewise.
	* include/c_global/ciso646: Likewise.
	* include/c_global/climits: Likewise.
	* include/c_global/clocale: Likewise.
	* include/c_global/cmath.tcc: Likewise.
	* include/c_global/cmath: Likewise.
	* include/c_global/csetjmp: Likewise.
	* include/c_global/csignal: Likewise.
	* include/c_global/cstdarg: Likewise.
	* include/c_global/cstdatomic: Likewise.
	* include/c_global/cstdbool: Likewise.
	* include/c_global/cstddef: Likewise.
	* include/c_global/cstdint: Likewise.
	* include/c_global/cstdio: Likewise.
	* include/c_global/cstdlib: Likewise.
	* include/c_global/cstring: Likewise.
	* include/c_global/ctgmath: Likewise.
	* include/c_global/ctime: Likewise.
	* include/c_global/cwchar: Likewise.
	* include/c_global/cwctype: Likewise.
	* include/c_std/cassert: Likewise.
	* include/c_std/cctype: Likewise.
	* include/c_std/cerrno: Likewise.
	* include/c_std/cfloat: Likewise.
	* include/c_std/ciso646: Likewise.
	* include/c_std/climits: Likewise.
	* include/c_std/clocale: Likewise.
	* include/c_std/cmath.tcc: Likewise.
	* include/c_std/cmath: Likewise.
	* include/c_std/csetjmp: Likewise.
	* include/c_std/csignal: Likewise.
	* include/c_std/cstdarg: Likewise.
	* include/c_std/cstddef: Likewise.
	* include/c_std/cstdio: Likewise.
	* include/c_std/cstdlib: Likewise.
	* include/c_std/cstring: Likewise.
	* include/c_std/ctime: Likewise.
	* include/c_std/cwchar: Likewise.
	* include/c_std/cwctype: Likewise.
	* include/debug/bitset: Likewise.
	* include/debug/debug.h: Likewise.
	* include/debug/deque: Likewise.
	* include/debug/formatter.h: Likewise.
	* include/debug/functions.h: Likewise.
	* include/debug/list: Likewise.
	* include/debug/macros.h: Likewise.
	* include/debug/map.h: Likewise.
	* include/debug/map: Likewise.
	* include/debug/multimap.h: Likewise.
	* include/debug/multiset.h: Likewise.
	* include/debug/safe_base.h: Likewise.
	* include/debug/safe_iterator.h: Likewise.
	* include/debug/safe_iterator.tcc: Likewise.
	* include/debug/safe_sequence.h: Likewise.
	* include/debug/set.h: Likewise.
	* include/debug/set: Likewise.
	* include/debug/string: Likewise.
	* include/debug/unordered_map: Likewise.
	* include/debug/unordered_set: Likewise.
	* include/debug/vector: Likewise.
	* include/ext/algorithm: Likewise.
	* include/ext/array_allocator.h: Likewise.
	* include/ext/atomicity.h: Likewise.
	* include/ext/bitmap_allocator.h: Likewise.
	* include/ext/cast.h: Likewise.
	* include/ext/codecvt_specializations.h: Likewise.
	* include/ext/concurrence.h: Likewise.
	* include/ext/debug_allocator.h: Likewise.
	* include/ext/enc_filebuf.h: Likewise.
	* include/ext/extptr_allocator.h: Likewise.
	* include/ext/functional: Likewise.
	* include/ext/iterator: Likewise.
	* include/ext/malloc_allocator.h: Likewise.
	* include/ext/memory: Likewise.
	* include/ext/mt_allocator.h: Likewise.
	* include/ext/new_allocator.h: Likewise.
	* include/ext/numeric: Likewise.
	* include/ext/numeric_traits.h: Likewise.
	* include/ext/pb_ds/assoc_container.hpp: Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/basic_tree_policy_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/null_node_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/basic_tree_policy/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/basic_types.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/bin_search_tree_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/cond_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/cond_key_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/node_iterators.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/point_iterators.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/r_erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/rotate_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/bin_search_tree_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/binary_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/const_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/entry_cmp.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/entry_pred.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/resize_policy.hpp: Likewise.
	* include/ext/pb_ds/detail/binary_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binary_heap_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/binomial_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/binomial_heap_base_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/binomial_heap_base_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cc_ht_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cmp_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/cond_key_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/debug_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/entry_list_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/erase_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/find_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/insert_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/resize_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/size_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/standard_policies.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cc_hash_table_map_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/cond_dealtor.hpp: Likewise.
	* include/ext/pb_ds/detail/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/container_base_dispatch.hpp: Likewise.
	* include/ext/pb_ds/detail/debug_map_base.hpp: Likewise.
	* include/ext/pb_ds/detail/eq_fn/eq_by_less.hpp: Likewise.
	* include/ext/pb_ds/detail/eq_fn/hash_eq_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/constructor_destructor_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/debug_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/erase_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/find_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/gp_ht_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/insert_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/iterator_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_no_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/resize_store_hash_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/standard_policies.hpp:
	Likewise.
	* include/ext/pb_ds/detail/gp_hash_table_map_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/direct_mask_range_hashing_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/direct_mod_range_hashing_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/linear_probe_fn_imp.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/mask_based_range_hashing.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/mod_based_range_hashing.hpp:
	Likewise.
	* include/ext/pb_ds/detail/hash_fn/probe_fn_base.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/quadratic_probe_fn_imp.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/ranged_hash_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/ranged_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_range_hashing.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_ranged_hash_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/hash_fn/sample_ranged_probe_fn.hpp: Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/const_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/info_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/left_child_next_sibling_heap_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/node.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/null_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/left_child_next_sibling_heap_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/constructor_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/entry_metadata_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/iterators_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_map_/lu_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_map_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/list_update_policy/counter_lu_metadata.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/counter_lu_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/mtf_lu_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/list_update_policy/sample_update_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/cond_dtor.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/node_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/ov_tree_map_.hpp: Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/ov_tree_map_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/pairing_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/pairing_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/child_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/cond_dtor_entry_dealtor.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/const_child_iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/head.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/insert_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/internal_node.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/iterators_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/leaf.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_base.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/node_metadata_base.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/pat_trie_.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/point_iterators.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/policy_access_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/r_erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/rotate_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/split_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/split_join_branch_bag.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/synth_e_access_traits.hpp:
	Likewise.
	* include/ext/pb_ds/detail/pat_trie_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/pat_trie_/update_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/priority_queue_base_dispatch.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/node.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/rb_tree_.hpp: Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rb_tree_map_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/debug_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/erase_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/insert_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/rc.hpp: Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/rc_binomial_heap_.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/split_join_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/rc_binomial_heap_/trace_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/cc_hash_max_collision_check_resize_trigger_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_exponential_size_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_size_base.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_prime_size_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/hash_standard_resize_policy_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_resize_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_resize_trigger.hpp:
	Likewise.
	* include/ext/pb_ds/detail/resize_policy/sample_size_policy.hpp:
	Likewise.
	* include/ext/pb_ds/detail/splay_tree_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/splay_tree_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/info_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/node.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/splay_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/splay_tree_.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/split_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/splay_tree_/traits.hpp: Likewise.
	* include/ext/pb_ds/detail/standard_policies.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/constructors_destructor_fn_imps.hpp:
	Likewise.
	* include/ext/pb_ds/detail/thin_heap_/debug_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/erase_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/find_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/insert_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/split_join_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/thin_heap_.hpp: Likewise.
	* include/ext/pb_ds/detail/thin_heap_/trace_fn_imps.hpp: Likewise.
	* include/ext/pb_ds/detail/tree_policy/node_metadata_selector.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/null_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/order_statistics_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_policy/sample_tree_node_update.hpp:
	Likewise.
	* include/ext/pb_ds/detail/tree_trace_base.hpp: Likewise.
	* include/ext/pb_ds/detail/trie_policy/node_metadata_selector.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/null_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/order_statistics_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/prefix_search_node_update_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/sample_trie_e_access_traits.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/sample_trie_node_update.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/string_trie_e_access_traits_imp.hpp:
	Likewise.
	* include/ext/pb_ds/detail/trie_policy/trie_policy_base.hpp: Likewise.
	* include/ext/pb_ds/detail/type_utils.hpp: Likewise.
	* include/ext/pb_ds/detail/types_traits.hpp: Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/const_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/const_point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/iterator.hpp: Likewise.
	* include/ext/pb_ds/detail/unordered_iterator/point_iterator.hpp:
	Likewise.
	* include/ext/pb_ds/exception.hpp: Likewise.
	* include/ext/pb_ds/hash_policy.hpp: Likewise.
	* include/ext/pb_ds/list_update_policy.hpp: Likewise.
	* include/ext/pb_ds/priority_queue.hpp: Likewise.
	* include/ext/pb_ds/tag_and_trait.hpp: Likewise.
	* include/ext/pb_ds/tree_policy.hpp: Likewise.
	* include/ext/pb_ds/trie_policy.hpp: Likewise.
	* include/ext/pod_char_traits.h: Likewise.
	* include/ext/pointer.h: Likewise.
	* include/ext/pool_allocator.h: Likewise.
	* include/ext/rb_tree: Likewise.
	* include/ext/rc_string_base.h: Likewise.
	* include/ext/rope: Likewise.
	* include/ext/ropeimpl.h: Likewise.
	* include/ext/slist: Likewise.
	* include/ext/sso_string_base.h: Likewise.
	* include/ext/stdio_filebuf.h: Likewise.
	* include/ext/stdio_sync_filebuf.h: Likewise.
	* include/ext/string_conversions.h: Likewise.
	* include/ext/throw_allocator.h: Likewise.
	* include/ext/type_traits.h: Likewise.
	* include/ext/typelist.h: Likewise.
	* include/ext/vstring.h: Likewise.
	* include/ext/vstring.tcc: Likewise.
	* include/ext/vstring_fwd.h: Likewise.
	* include/ext/vstring_util.h: Likewise.
	* include/parallel/algo.h: Likewise.
	* include/parallel/algobase.h: Likewise.
	* include/parallel/algorithm: Likewise.
	* include/parallel/algorithmfwd.h: Likewise.
	* include/parallel/balanced_quicksort.h: Likewise.
	* include/parallel/base.h: Likewise.
	* include/parallel/basic_iterator.h: Likewise.
	* include/parallel/checkers.h: Likewise.
	* include/parallel/compatibility.h: Likewise.
	* include/parallel/compiletime_settings.h: Likewise.
	* include/parallel/equally_split.h: Likewise.
	* include/parallel/features.h: Likewise.
	* include/parallel/find.h: Likewise.
	* include/parallel/find_selectors.h: Likewise.
	* include/parallel/for_each.h: Likewise.
	* include/parallel/for_each_selectors.h: Likewise.
	* include/parallel/iterator.h: Likewise.
	* include/parallel/list_partition.h: Likewise.
	* include/parallel/losertree.h: Likewise.
	* include/parallel/merge.h: Likewise.
	* include/parallel/multiseq_selection.h: Likewise.
	* include/parallel/multiway_merge.h: Likewise.
	* include/parallel/multiway_mergesort.h: Likewise.
	* include/parallel/numeric: Likewise.
	* include/parallel/numericfwd.h: Likewise.
	* include/parallel/omp_loop.h: Likewise.
	* include/parallel/omp_loop_static.h: Likewise.
	* include/parallel/par_loop.h: Likewise.
	* include/parallel/parallel.h: Likewise.
	* include/parallel/partial_sum.h: Likewise.
	* include/parallel/partition.h: Likewise.
	* include/parallel/queue.h: Likewise.
	* include/parallel/quicksort.h: Likewise.
	* include/parallel/random_number.h: Likewise.
	* include/parallel/random_shuffle.h: Likewise.
	* include/parallel/search.h: Likewise.
	* include/parallel/set_operations.h: Likewise.
	* include/parallel/settings.h: Likewise.
	* include/parallel/sort.h: Likewise.
	* include/parallel/tags.h: Likewise.
	* include/parallel/types.h: Likewise.
	* include/parallel/unique_copy.h: Likewise.
	* include/parallel/workstealing.h: Likewise.
	* include/precompiled/extc++.h: Likewise.
	* include/precompiled/stdc++.h: Likewise.
	* include/precompiled/stdtr1c++.h: Likewise.
	* include/std/algorithm: Likewise.
	* include/std/array: Likewise.
	* include/std/bitset: Likewise.
	* include/std/c++0x_warning.h: Likewise.
	* include/std/chrono: Likewise.
	* include/std/complex: Likewise.
	* include/std/condition_variable: Likewise.
	* include/std/deque: Likewise.
	* include/std/forward_list: Likewise.
	* include/std/fstream: Likewise.
	* include/std/functional: Likewise.
	* include/std/iomanip: Likewise.
	* include/std/ios: Likewise.
	* include/std/iosfwd: Likewise.
	* include/std/iostream: Likewise.
	* include/std/istream: Likewise.
	* include/std/iterator: Likewise.
	* include/std/limits: Likewise.
	* include/std/list: Likewise.
	* include/std/locale: Likewise.
	* include/std/map: Likewise.
	* include/std/memory: Likewise.
	* include/std/mutex: Likewise.
	* include/std/numeric: Likewise.
	* include/std/ostream: Likewise.
	* include/std/queue: Likewise.
	* include/std/random: Likewise.
	* include/std/ratio: Likewise.
	* include/std/regex: Likewise.
	* include/std/set: Likewise.
	* include/std/sstream: Likewise.
	* include/std/stack: Likewise.
	* include/std/stdexcept: Likewise.
	* include/std/streambuf: Likewise.
	* include/std/string: Likewise.
	* include/std/system_error: Likewise.
	* include/std/thread: Likewise.
	* include/std/tuple: Likewise.
	* include/std/type_traits: Likewise.
	* include/std/unordered_map: Likewise.
	* include/std/unordered_set: Likewise.
	* include/std/utility: Likewise.
	* include/std/valarray: Likewise.
	* include/std/vector: Likewise.
	* include/tr1/array: Likewise.
	* include/tr1/bessel_function.tcc: Likewise.
	* include/tr1/beta_function.tcc: Likewise.
	* include/tr1/ccomplex: Likewise.
	* include/tr1/cctype: Likewise.
	* include/tr1/cfenv: Likewise.
	* include/tr1/cfloat: Likewise.
	* include/tr1/cinttypes: Likewise.
	* include/tr1/climits: Likewise.
	* include/tr1/cmath: Likewise.
	* include/tr1/complex.h: Likewise.
	* include/tr1/complex: Likewise.
	* include/tr1/cstdarg: Likewise.
	* include/tr1/cstdbool: Likewise.
	* include/tr1/cstdint: Likewise.
	* include/tr1/cstdio: Likewise.
	* include/tr1/cstdlib: Likewise.
	* include/tr1/ctgmath: Likewise.
	* include/tr1/ctime: Likewise.
	* include/tr1/ctype.h: Likewise.
	* include/tr1/cwchar: Likewise.
	* include/tr1/cwctype: Likewise.
	* include/tr1/ell_integral.tcc: Likewise.
	* include/tr1/exp_integral.tcc: Likewise.
	* include/tr1/fenv.h: Likewise.
	* include/tr1/float.h: Likewise.
	* include/tr1/functional: Likewise.
	* include/tr1/functional_hash.h: Likewise.
	* include/tr1/gamma.tcc: Likewise.
	* include/tr1/hashtable.h: Likewise.
	* include/tr1/hypergeometric.tcc: Likewise.
	* include/tr1/inttypes.h: Likewise.
	* include/tr1/legendre_function.tcc: Likewise.
	* include/tr1/limits.h: Likewise.
	* include/tr1/math.h: Likewise.
	* include/tr1/memory: Likewise.
	* include/tr1/modified_bessel_func.tcc: Likewise.
	* include/tr1/poly_hermite.tcc: Likewise.
	* include/tr1/poly_laguerre.tcc: Likewise.
	* include/tr1/random: Likewise.
	* include/tr1/regex: Likewise.
	* include/tr1/riemann_zeta.tcc: Likewise.
	* include/tr1/shared_ptr.h: Likewise.
	* include/tr1/special_function_util.h: Likewise.
	* include/tr1/stdarg.h: Likewise.
	* include/tr1/stdbool.h: Likewise.
	* include/tr1/stdint.h: Likewise.
	* include/tr1/stdio.h: Likewise.
	* include/tr1/stdlib.h: Likewise.
	* include/tr1/tgmath.h: Likewise.
	* include/tr1/tuple: Likewise.
	* include/tr1/type_traits: Likewise.
	* include/tr1/unordered_map: Likewise.
	* include/tr1/unordered_set: Likewise.
	* include/tr1/utility: Likewise.
	* include/tr1/wchar.h: Likewise.
	* include/tr1/wctype.h: Likewise.
	* include/tr1_impl/array: Likewise.
	* include/tr1_impl/boost_sp_counted_base.h: Likewise.
	* include/tr1_impl/cctype: Likewise.
	* include/tr1_impl/cfenv: Likewise.
	* include/tr1_impl/cinttypes: Likewise.
	* include/tr1_impl/cmath: Likewise.
	* include/tr1_impl/complex: Likewise.
	* include/tr1_impl/cstdint: Likewise.
	* include/tr1_impl/cstdio: Likewise.
	* include/tr1_impl/cstdlib: Likewise.
	* include/tr1_impl/cwchar: Likewise.
	* include/tr1_impl/cwctype: Likewise.
	* include/tr1_impl/functional: Likewise.
	* include/tr1_impl/functional_hash.h: Likewise.
	* include/tr1_impl/hashtable: Likewise.
	* include/tr1_impl/hashtable_policy.h: Likewise.
	* include/tr1_impl/random.tcc: Likewise.
	* include/tr1_impl/random: Likewise.
	* include/tr1_impl/regex: Likewise.
	* include/tr1_impl/type_traits: Likewise.
	* include/tr1_impl/unordered_map: Likewise.
	* include/tr1_impl/unordered_set: Likewise.
	* include/tr1_impl/utility: Likewise.
	* libsupc++/array_type_info.cc: Likewise.
	* libsupc++/atexit_arm.cc: Likewise.
	* libsupc++/bad_cast.cc: Likewise.
	* libsupc++/bad_typeid.cc: Likewise.
	* libsupc++/class_type_info.cc: Likewise.
	* libsupc++/cxxabi-forced.h: Likewise.
	* libsupc++/cxxabi.h: Likewise.
	* libsupc++/del_op.cc: Likewise.
	* libsupc++/del_opnt.cc: Likewise.
	* libsupc++/del_opv.cc: Likewise.
	* libsupc++/del_opvnt.cc: Likewise.
	* libsupc++/dyncast.cc: Likewise.
	* libsupc++/eh_alloc.cc: Likewise.
	* libsupc++/eh_arm.cc: Likewise.
	* libsupc++/eh_aux_runtime.cc: Likewise.
	* libsupc++/eh_call.cc: Likewise.
	* libsupc++/eh_catch.cc: Likewise.
	* libsupc++/eh_exception.cc: Likewise.
	* libsupc++/eh_globals.cc: Likewise.
	* libsupc++/eh_personality.cc: Likewise.
	* libsupc++/eh_ptr.cc: Likewise.
	* libsupc++/eh_term_handler.cc: Likewise.
	* libsupc++/eh_terminate.cc: Likewise.
	* libsupc++/eh_throw.cc: Likewise.
	* libsupc++/eh_type.cc: Likewise.
	* libsupc++/eh_unex_handler.cc: Likewise.
	* libsupc++/enum_type_info.cc: Likewise.
	* libsupc++/exception: Likewise.
	* libsupc++/exception_defines.h: Likewise.
	* libsupc++/exception_ptr.h: Likewise.
	* libsupc++/function_type_info.cc: Likewise.
	* libsupc++/fundamental_type_info.cc: Likewise.
	* libsupc++/guard.cc: Likewise.
	* libsupc++/initializer_list: Likewise.
	* libsupc++/new: Likewise.
	* libsupc++/new_handler.cc: Likewise.
	* libsupc++/new_op.cc: Likewise.
	* libsupc++/new_opnt.cc: Likewise.
	* libsupc++/new_opv.cc: Likewise.
	* libsupc++/new_opvnt.cc: Likewise.
	* libsupc++/pbase_type_info.cc: Likewise.
	* libsupc++/pmem_type_info.cc: Likewise.
	* libsupc++/pointer_type_info.cc: Likewise.
	* libsupc++/pure.cc: Likewise.
	* libsupc++/si_class_type_info.cc: Likewise.
	* libsupc++/tinfo.cc: Likewise.
	* libsupc++/tinfo.h: Likewise.
	* libsupc++/tinfo2.cc: Likewise.
	* libsupc++/typeinfo: Likewise.
	* libsupc++/unwind-cxx.h: Likewise.
	* libsupc++/vec.cc: Likewise.
	* libsupc++/vmi_class_type_info.cc: Likewise.
	* libsupc++/vterminate.cc: Likewise.
	* po/string_literals.cc: Likewise.
	* src/atomic.cc: Likewise.
	* src/bitmap_allocator.cc: Likewise.
	* src/chrono.cc: Likewise.
	* src/codecvt.cc: Likewise.
	* src/compatibility-ldbl.cc: Likewise.
	* src/compatibility.cc: Likewise.
	* src/complex_io.cc: Likewise.
	* src/concept-inst.cc: Likewise.
	* src/condition_variable.cc: Likewise.
	* src/ctype.cc: Likewise.
	* src/debug.cc: Likewise.
	* src/debug_list.cc: Likewise.
	* src/ext-inst.cc: Likewise.
	* src/fstream-inst.cc: Likewise.
	* src/functexcept.cc: Likewise.
	* src/globals_io.cc: Likewise.
	* src/hash.cc: Likewise.
	* src/hash_c++0x.cc: Likewise.
	* src/hashtable.cc: Likewise.
	* src/hashtable_c++0x.cc: Likewise.
	* src/ios-inst.cc: Likewise.
	* src/ios.cc: Likewise.
	* src/ios_failure.cc: Likewise.
	* src/ios_init.cc: Likewise.
	* src/ios_locale.cc: Likewise.
	* src/iostream-inst.cc: Likewise.
	* src/istream-inst.cc: Likewise.
	* src/istream.cc: Likewise.
	* src/limits.cc: Likewise.
	* src/limits_c++0x.cc: Likewise.
	* src/list.cc: Likewise.
	* src/locale-inst.cc: Likewise.
	* src/locale.cc: Likewise.
	* src/locale_facets.cc: Likewise.
	* src/locale_init.cc: Likewise.
	* src/localename.cc: Likewise.
	* src/math_stubs_float.cc: Likewise.
	* src/math_stubs_long_double.cc: Likewise.
	* src/misc-inst.cc: Likewise.
	* src/mt_allocator.cc: Likewise.
	* src/mutex.cc: Likewise.
	* src/ostream-inst.cc: Likewise.
	* src/parallel_list.cc: Likewise.
	* src/parallel_settings.cc: Likewise.
	* src/pool_allocator.cc: Likewise.
	* src/sstream-inst.cc: Likewise.
	* src/stdexcept.cc: Likewise.
	* src/streambuf-inst.cc: Likewise.
	* src/streambuf.cc: Likewise.
	* src/string-inst.cc: Likewise.
	* src/strstream.cc: Likewise.
	* src/system_error.cc: Likewise.
	* src/thread.cc: Likewise.
	* src/tree.cc: Likewise.
	* src/valarray-inst.cc: Likewise.
	* src/wlocale-inst.cc: Likewise.
	* src/wstring-inst.cc: Likewise.
	* doc/xml/manual/intro.xml: Change documentation to refer the
	reader to version 3 of the GNU General Public License, version
	3.1 of the GCC Runtime Library Exception, and to point readers
	at the FSF's license web page.

2009-04-09  Jakub Jelinek  <jakub@redhat.com>

	* Makefile.am: Change copyright header to refer to version
	3 of the GNU General Public License and to point readers at the
	COPYING3 file and the FSF's license web page.
	* doc/Makefile.am: Likewise.
	* include/Makefile.am: Likewise.
	* libsupc++/Makefile.am: Likewise.
	* po/Makefile.am: Likewise.
	* po/POTFILES.in: Likewise.
	* src/Makefile.am: Likewise.
	* testsuite/17_intro/headers/all_assert_neg.cc: Likewise.
	* testsuite/17_intro/headers/c++1998/all.cc: Likewise.
	* testsuite/17_intro/headers/c++1998/all_multiple_inclusion.cc:
	Likewise.
	* testsuite/17_intro/headers/c++200x/all.cc: Likewise.
	* testsuite/17_intro/headers/c++200x/all_multiple_inclusion.cc:
	Likewise.
	* testsuite/17_intro/using_namespace_std.cc: Likewise.
	* testsuite/17_intro/using_namespace_std_tr1_neg.cc: Likewise.
	* testsuite/18_support/bad_alloc/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_alloc/what.cc: Likewise.
	* testsuite/18_support/bad_cast/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_cast/what.cc: Likewise.
	* testsuite/18_support/bad_exception/23591_thread-1.c: Likewise.
	* testsuite/18_support/bad_exception/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/18_support/bad_exception/what.cc: Likewise.
	* testsuite/18_support/bad_typeid/cons_virtual_derivation.cc: Likewise.
	* testsuite/18_support/bad_typeid/what.cc: Likewise.
	* testsuite/18_support/exception/38732.cc: Likewise.
	* testsuite/18_support/exception/what.cc: Likewise.
	* testsuite/18_support/exception_ptr/current_exception.cc: Likewise.
	* testsuite/18_support/exception_ptr/lifespan.cc: Likewise.
	* testsuite/18_support/exception_ptr/rethrow_exception.cc: Likewise.
	* testsuite/18_support/headers/cfloat/values.cc: Likewise.
	* testsuite/18_support/headers/climits/values.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/functions_std.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/macros.cc: Likewise.
	* testsuite/18_support/headers/csetjmp/types_std.cc: Likewise.
	* testsuite/18_support/headers/csignal/functions_std.cc: Likewise.
	* testsuite/18_support/headers/csignal/macros.cc: Likewise.
	* testsuite/18_support/headers/csignal/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdarg/macros.cc: Likewise.
	* testsuite/18_support/headers/cstdarg/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdbool/std_c++0x_neg.cc: Likewise.
	* testsuite/18_support/headers/cstddef/macros.cc: Likewise.
	* testsuite/18_support/headers/cstddef/types_std.cc: Likewise.
	* testsuite/18_support/headers/cstdint/std_c++0x_neg.cc: Likewise.
	* testsuite/18_support/headers/cstdint/types_std_c++0x.cc: Likewise.
	* testsuite/18_support/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/18_support/headers/cstdlib/macros.cc: Likewise.
	* testsuite/18_support/headers/ctime/functions_std.cc: Likewise.
	* testsuite/18_support/headers/ctime/macros.cc: Likewise.
	* testsuite/18_support/headers/ctime/types_std.cc: Likewise.
	* testsuite/18_support/headers/exception/synopsis.cc: Likewise.
	* testsuite/18_support/headers/exception/types_std.cc: Likewise.
	* testsuite/18_support/headers/limits/synopsis.cc: Likewise.
	* testsuite/18_support/headers/new/synopsis.cc: Likewise.
	* testsuite/18_support/headers/new/types_std.cc: Likewise.
	* testsuite/18_support/headers/typeinfo/synopsis.cc: Likewise.
	* testsuite/18_support/headers/typeinfo/types_std.cc: Likewise.
	* testsuite/18_support/new_delete_placement.cc: Likewise.
	* testsuite/18_support/numeric_limits/29989.cc: Likewise.
	* testsuite/18_support/numeric_limits/char16_32_t.cc: Likewise.
	* testsuite/18_support/numeric_limits/denorm_min.cc: Likewise.
	* testsuite/18_support/numeric_limits/digits10.cc: Likewise.
	* testsuite/18_support/numeric_limits/epsilon.cc: Likewise.
	* testsuite/18_support/numeric_limits/infinity.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_iec559.cc: Likewise.
	* testsuite/18_support/numeric_limits/is_signed.cc: Likewise.
	* testsuite/18_support/numeric_limits/min_max.cc: Likewise.
	* testsuite/18_support/numeric_limits/quiet_NaN.cc: Likewise.
	* testsuite/18_support/numeric_limits/specialization_default_values.cc:
	Likewise.
	* testsuite/18_support/numeric_limits/traps.cc: Likewise.
	* testsuite/18_support/pthread_guard.cc: Likewise.
	* testsuite/18_support/uncaught_exception/14026.cc: Likewise.
	* testsuite/19_diagnostics/error_category/cons/copy_neg.cc: Likewise.
	* testsuite/19_diagnostics/error_category/cons/default.cc: Likewise.
	* testsuite/19_diagnostics/error_category/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_category/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_code/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/bool_neg.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/equal.cc: Likewise.
	* testsuite/19_diagnostics/error_code/operators/not_equal.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/cons/1.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/operators/bool.cc: Likewise.
	* testsuite/19_diagnostics/error_condition/operators/bool_neg.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/operators/equal.cc:
	Likewise.
	* testsuite/19_diagnostics/error_condition/operators/not_equal.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/cassert/macros.cc: Likewise.
	* testsuite/19_diagnostics/headers/cerrno/macros.cc: Likewise.
	* testsuite/19_diagnostics/headers/stdexcept/synopsis.cc: Likewise.
	* testsuite/19_diagnostics/headers/stdexcept/types_std.cc: Likewise.
	* testsuite/19_diagnostics/headers/system_error/34538.cc: Likewise.
	* testsuite/19_diagnostics/headers/system_error/errc_std_c++0x.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/system_error/std_c++0x_neg.cc:
	Likewise.
	* testsuite/19_diagnostics/headers/system_error/types_std_c++0x.cc:
	Likewise.
	* testsuite/19_diagnostics/logic_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/logic_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/logic_error/what-big.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/runtime_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/runtime_error/what-big.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/19_diagnostics/system_error/what-1.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-2.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-3.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-4.cc: Likewise.
	* testsuite/19_diagnostics/system_error/what-big.cc: Likewise.
	* testsuite/20_util/add_lvalue_reference/value.cc: Likewise.
	* testsuite/20_util/add_rvalue_reference/value.cc: Likewise.
	* testsuite/20_util/aligned_storage/value.cc: Likewise.
	* testsuite/20_util/allocator/1.cc: Likewise.
	* testsuite/20_util/allocator/10378.cc: Likewise.
	* testsuite/20_util/allocator/14176.cc: Likewise.
	* testsuite/20_util/allocator/33807.cc: Likewise.
	* testsuite/20_util/allocator/8230.cc: Likewise.
	* testsuite/20_util/auto_ptr/1.cc: Likewise.
	* testsuite/20_util/auto_ptr/2.cc: Likewise.
	* testsuite/20_util/auto_ptr/3.cc: Likewise.
	* testsuite/20_util/auto_ptr/3946.cc: Likewise.
	* testsuite/20_util/auto_ptr/4.cc: Likewise.
	* testsuite/20_util/auto_ptr/5.cc: Likewise.
	* testsuite/20_util/auto_ptr/6.cc: Likewise.
	* testsuite/20_util/auto_ptr/7.cc: Likewise.
	* testsuite/20_util/auto_ptr/assign_neg.cc: Likewise.
	* testsuite/20_util/bad_function_call/cons_virtual_derivation.cc:
	Likewise.
	* testsuite/20_util/clocks/1.cc: Likewise.
	* testsuite/20_util/common_type/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/conditional/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/decay/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/duration/arithmetic/1.cc: Likewise.
	* testsuite/20_util/duration/arithmetic/2.cc: Likewise.
	* testsuite/20_util/duration/comparisons/1.cc: Likewise.
	* testsuite/20_util/duration/cons/1.cc: Likewise.
	* testsuite/20_util/duration/cons/1_neg.cc: Likewise.
	* testsuite/20_util/duration/cons/2.cc: Likewise.
	* testsuite/20_util/duration/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/enable_if/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/enable_if/requirements/typedefs_neg.cc: Likewise.
	* testsuite/20_util/enable_shared_from_this/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/forward/1.cc: Likewise.
	* testsuite/20_util/forward/1_neg.cc: Likewise.
	* testsuite/20_util/function_objects/binders/1.cc: Likewise.
	* testsuite/20_util/function_objects/binders/3113.cc: Likewise.
	* testsuite/20_util/function_objects/comparisons.cc: Likewise.
	* testsuite/20_util/function_objects/dr660.cc: Likewise.
	* testsuite/20_util/has_nothrow_copy_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_nothrow_copy_constructor/value.cc: Likewise.
	* testsuite/20_util/has_nothrow_default_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_nothrow_default_constructor/value.cc: Likewise.
	* testsuite/20_util/has_trivial_copy_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_trivial_copy_constructor/value.cc: Likewise.
	* testsuite/20_util/has_trivial_default_constructor/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/has_trivial_default_constructor/value.cc: Likewise.
	* testsuite/20_util/hash/operators/size_t.cc: Likewise.
	* testsuite/20_util/hash/requirements/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/headers/cstdlib/functions_std.cc: Likewise.
	* testsuite/20_util/headers/cstring/functions_std.cc: Likewise.
	* testsuite/20_util/headers/cstring/macros.cc: Likewise.
	* testsuite/20_util/headers/cstring/types_std.cc: Likewise.
	* testsuite/20_util/headers/ctime/functions_std.cc: Likewise.
	* testsuite/20_util/headers/ctime/macros.cc: Likewise.
	* testsuite/20_util/headers/ctime/types_std.cc: Likewise.
	* testsuite/20_util/headers/functional/synopsis.cc: Likewise.
	* testsuite/20_util/headers/functional/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/functional/using_namespace_std_placeholders.cc:
	Likewise.
	* testsuite/20_util/headers/memory/synopsis.cc: Likewise.
	* testsuite/20_util/headers/memory/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/type_traits/std_c++0x_neg.cc: Likewise.
	* testsuite/20_util/headers/type_traits/types_std_c++0x.cc: Likewise.
	* testsuite/20_util/headers/type_traits/types_std_c++0x_neg.cc:
	Likewise.
	* testsuite/20_util/headers/utility/synopsis.cc: Likewise.
	* testsuite/20_util/headers/utility/using_namespace_std_rel_ops.cc:
	Likewise.
	* testsuite/20_util/identity/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/identity/value.cc: Likewise.
	* testsuite/20_util/is_integral/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_integral/value.cc: Likewise.
	* testsuite/20_util/is_lvalue_reference/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/is_lvalue_reference/value.cc: Likewise.
	* testsuite/20_util/is_reference/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_reference/value.cc: Likewise.
	* testsuite/20_util/is_rvalue_reference/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/is_rvalue_reference/value.cc: Likewise.
	* testsuite/20_util/is_signed/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_signed/value.cc: Likewise.
	* testsuite/20_util/is_unsigned/requirements/typedefs.cc: Likewise.
	* testsuite/20_util/is_unsigned/value.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs-2.cc: Likewise.
	* testsuite/20_util/make_signed/requirements/typedefs_neg.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs-1.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs-2.cc: Likewise.
	* testsuite/20_util/make_unsigned/requirements/typedefs_neg.cc:
	Likewise.
	* testsuite/20_util/move/1.cc: Likewise.
	* testsuite/20_util/owner_less/cmp.cc: Likewise.
	* testsuite/20_util/pair/1.cc: Likewise.
	* testsuite/20_util/pair/2.cc: Likewise.
	* testsuite/20_util/pair/3.cc: Likewise.
	* testsuite/20_util/pair/4.cc: Likewise.
	* testsuite/20_util/ratio/comparisons/comp1.cc: Likewise.
	* testsuite/20_util/ratio/comparisons/comp2.cc: Likewise.
	* testsuite/20_util/ratio/cons/cons1.cc: Likewise.
	* testsuite/20_util/ratio/cons/cons_overflow_neg.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops1.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops2.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops3.cc: Likewise.
	* testsuite/20_util/ratio/operations/ops_overflow_neg.cc: Likewise.
	* testsuite/20_util/raw_storage_iterator/requirements/base_classes.cc:
	Likewise.
	* testsuite/20_util/raw_storage_iterator/requirements/typedefs.cc:
	Likewise.
	* testsuite/20_util/reference_wrapper/invoke.cc: Likewise.
	* testsuite/20_util/reference_wrapper/typedefs.cc: Likewise.
	* testsuite/20_util/rel_ops.cc: Likewise.
	* testsuite/20_util/remove_reference/value.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/assign.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/auto_ptr_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/dr541.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/move.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/shared_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/shared_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/assign/unique_ptr_lvalue_neg.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/assign/unique_ptr_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/casts/1.cc: Likewise.
	* testsuite/20_util/shared_ptr/comparison/cmp.cc: Likewise.
	* testsuite/20_util/shared_ptr/comparison/less.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/39405.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/alias.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/auto_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/auto_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/copy.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/default.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/move.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/pointer.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter_ref_1.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_deleter_ref_2.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/cons/unique_ptr_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/weak_ptr.cc: Likewise.
	* testsuite/20_util/shared_ptr/cons/weak_ptr_expired.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/36949.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/dr402.cc: Likewise.
	* testsuite/20_util/shared_ptr/creation/make.cc: Likewise.
	* testsuite/20_util/shared_ptr/dest/dest.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/24595.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/io.cc: Likewise.
	* testsuite/20_util/shared_ptr/misc/swap.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/24805.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset_alloc.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/reset_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap_neg.cc: Likewise.
	* testsuite/20_util/shared_ptr/modifiers/swap_rvalue.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/bool_conv.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/get.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/owner_before.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/unique.cc: Likewise.
	* testsuite/20_util/shared_ptr/observers/use_count.cc: Likewise.
	* testsuite/20_util/shared_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/thread/default_weaktoshared.cc:
	Likewise.
	* testsuite/20_util/shared_ptr/thread/mutex_weaktoshared.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy/move_iterators/1.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_copy_n/move_iterators/1.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_fill/32158.cc:
	Likewise.
	* testsuite/20_util/specialized_algorithms/uninitialized_fill_n/16505.cc:
	Likewise.
	* testsuite/20_util/temporary_buffer.cc: Likewise.
	* testsuite/20_util/time_point/1.cc: Likewise.
	* testsuite/20_util/time_point/2.cc: Likewise.
	* testsuite/20_util/time_point/3.cc: Likewise.
	* testsuite/20_util/time_point/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/tuple/comparison_operators/35480.cc: Likewise.
	* testsuite/20_util/tuple/comparison_operators/comparisons.cc:
	Likewise.
	* testsuite/20_util/tuple/cons/assignment.cc: Likewise.
	* testsuite/20_util/tuple/cons/big_tuples.cc: Likewise.
	* testsuite/20_util/tuple/cons/constructor.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/23978.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/make_tuple.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/tie.cc: Likewise.
	* testsuite/20_util/tuple/creation_functions/tie2.cc: Likewise.
	* testsuite/20_util/tuple/element_access/get.cc: Likewise.
	* testsuite/20_util/tuple/tuple_element.cc: Likewise.
	* testsuite/20_util/tuple/tuple_size.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/assign_neg.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/move.cc: Likewise.
	* testsuite/20_util/unique_ptr/assign/move_array.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer_array.cc: Likewise.
	* testsuite/20_util/unique_ptr/cons/pointer_array_convertible.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/modifiers/reset_neg.cc: Likewise.
	* testsuite/20_util/unique_ptr/requirements/explicit_instantiation/explicit_instantiation.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/comparisons.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/comparisons_array.cc:
	Likewise.
	* testsuite/20_util/unique_ptr/specialized_algorithms/swap.cc:
	Likewise.
	* testsuite/20_util/weak_ptr/comparison/cmp_neg.cc: Likewise.
	* testsuite/20_util/weak_ptr/lock/1.cc: Likewise.
	* testsuite/20_util/weak_ptr/observers/owner_before.cc: Likewise.
	* testsuite/20_util/weak_ptr/requirements/explicit_instantiation/1.cc:
	Likewise.
	* testsuite/20_util/weak_ptr/requirements/explicit_instantiation/2.cc:
	Likewise.
	* testsuite/21_strings/basic_string/append/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/append/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/append/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/append/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/assign/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/18654.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/18654.cc:
	Likewise.
	* testsuite/21_strings/basic_string/capacity/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/char/13650.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/compare/wchar_t/13650.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/5.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/char/6.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/4.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/5.cc: Likewise.
	* testsuite/21_strings/basic_string/cons/wchar_t/6.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/2.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/3.cc:
	Likewise.
	* testsuite/21_strings/basic_string/element_access/wchar_t/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/find/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/3.cc: Likewise.
	* testsuite/21_strings/basic_string/find/char/4.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/3.cc: Likewise.
	* testsuite/21_strings/basic_string/find/wchar_t/4.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/char/2.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/wchar_t/1.cc: Likewise.
	* testsuite/21_strings/basic_string/insert/wchar_t/2.cc: Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/10.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/11.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/28277.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/5.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/6.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/7.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/8.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/char/9.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/1.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/10.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/11.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/28277.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/4.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/5.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/6.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/7.cc:
	Likewise.
	* testsuite/21_strings/basic_string/inserters_extractors/wchar_t/8.cc:
	Likewise.
